from . import entry_builder
entries = ['common', 'dwarvish', 'elvish', 'giant', 'gnomish', 'goblin', 'halfling', 'orc', 'abyssal', 'celestial', 'draconic', 'deep_speech', 'infernal', 'primordial', 'sylvan', 'undercommon']
attributes = ['index', 'name', 'type', 'typical_speakers', 'script', 'url', 'desc']
common = entry_builder.entry_builder(index = 'common',name = 'Common',type = 'Standard',typical_speakers = ['Humans'],script = 'Common',url = '/api/languages/common')
dwarvish = entry_builder.entry_builder(index = 'dwarvish',name = 'Dwarvish',desc = 'Dwarvish is full of hard consonants and guttural sounds.',type = 'Standard',typical_speakers = ['Dwarves'],script = 'Dwarvish',url = '/api/languages/dwarvish')
elvish = entry_builder.entry_builder(index = 'elvish',name = 'Elvish',desc = 'Elvish is fluid, with subtle intonations and intricate grammar. Elven literature is rich and varied, and their songs and poems are famous among other races. Many bards learn their language so they can add Elvish ballads to their repertoires.',type = 'Standard',typical_speakers = ['Elves'],script = 'Elvish',url = '/api/languages/elvish')
giant = entry_builder.entry_builder(index = 'giant',name = 'Giant',type = 'Standard',typical_speakers = ['Ogres', 'Giants'],script = 'Dwarvish',url = '/api/languages/giant')
gnomish = entry_builder.entry_builder(index = 'gnomish',name = 'Gnomish',desc = 'The Gnomish language, which uses the Dwarvish script, is renowned for its technical treatises and its catalogs of knowledge about the natural world.',type = 'Standard',typical_speakers = ['Gnomes'],script = 'Dwarvish',url = '/api/languages/gnomish')
goblin = entry_builder.entry_builder(index = 'goblin',name = 'Goblin',type = 'Standard',typical_speakers = ['Goblinoids'],script = 'Dwarvish',url = '/api/languages/goblin')
halfling = entry_builder.entry_builder(index = 'halfling',name = 'Halfling',desc = 'The Halfling language isn\'t secret, but halflings are loath to share it with others. They write very little, so they don\'t have a rich body of literature. Their oral tradition, however, is very strong.',type = 'Standard',typical_speakers = ['Halflings'],script = 'Common',url = '/api/languages/halfling')
orc = entry_builder.entry_builder(index = 'orc',name = 'Orc',desc = 'Orc is a harsh, grating language with hard consonants. It has no script of its own but is written in the Dwarvish script.',type = 'Standard',typical_speakers = ['Orcs'],script = 'Dwarvish',url = '/api/languages/orc')
abyssal = entry_builder.entry_builder(index = 'abyssal',name = 'Abyssal',type = 'Exotic',typical_speakers = ['Demons'],script = 'Infernal',url = '/api/languages/abyssal')
celestial = entry_builder.entry_builder(index = 'celestial',name = 'Celestial',type = 'Exotic',typical_speakers = ['Celestials'],script = 'Celestial',url = '/api/languages/celestial')
draconic = entry_builder.entry_builder(index = 'draconic',name = 'Draconic',desc = 'Draconic is thought to be one of the oldest languages and is often used in the study of magic. The language sounds harsh to most other creatures and includes numerous hard consonants and sibilants.',type = 'Exotic',typical_speakers = ['Dragons', 'Dragonborn'],script = 'Draconic',url = '/api/languages/draconic')
deep_speech = entry_builder.entry_builder(index = 'deep-speech',name = 'Deep Speech',type = 'Exotic',typical_speakers = ['Aboleths', 'Cloakers'],url = '/api/languages/deep-speech')
infernal = entry_builder.entry_builder(index = 'infernal',name = 'Infernal',type = 'Exotic',typical_speakers = ['Devils'],script = 'Infernal',url = '/api/languages/infernal')
primordial = entry_builder.entry_builder(index = 'primordial',name = 'Primordial',type = 'Exotic',typical_speakers = ['Elementals'],script = 'Dwarvish',url = '/api/languages/primordial')
sylvan = entry_builder.entry_builder(index = 'sylvan',name = 'Sylvan',type = 'Exotic',typical_speakers = ['Fey creatures'],script = 'Elvish',url = '/api/languages/sylvan')
undercommon = entry_builder.entry_builder(index = 'undercommon',name = 'Undercommon',type = 'Exotic',typical_speakers = ['Underdark traders'],script = 'Elvish',url = '/api/languages/undercommon')
