from . import entry_builder
entries = ['light_armor', 'medium_armor', 'heavy_armor', 'all_armor', 'padded_armor', 'leather_armor', 'studded_leather_armor', 'hide_armor', 'chain_shirt', 'scale_mail', 'breastplate', 'half_plate_armor', 'ring_mail', 'chain_mail', 'splint_armor', 'plate_armor', 'shields', 'simple_weapons', 'martial_weapons', 'clubs', 'daggers', 'greatclubs', 'handaxes', 'javelins', 'light_hammers', 'maces', 'quarterstaffs', 'sickles', 'spears', 'crossbows_light', 'darts', 'shortbows', 'slings', 'battleaxes', 'flails', 'glaives', 'greataxes', 'greatswords', 'halberds', 'lances', 'longswords', 'mauls', 'morningstars', 'pikes', 'rapiers', 'scimitars', 'shortswords', 'tridents', 'war_picks', 'warhammers', 'whips', 'blowguns', 'hand_crossbows', 'crossbows_heavy', 'longbows', 'nets', 'alchemists_supplies', 'brewers_supplies', 'calligraphers_supplies', 'carpenters_tools', 'cartographers_tools', 'cobblers_tools', 'cooks_utensils', 'glassblowers_tools', 'jewelers_tools', 'leatherworkers_tools', 'masons_tools', 'painters_supplies', 'potters_tools', 'smiths_tools', 'tinkers_tools', 'weavers_tools', 'woodcarvers_tools', 'disguise_kit', 'forgery_kit', 'dice_set', 'playing_card_set', 'bagpipes', 'drum', 'dulcimer', 'flute', 'lute', 'lyre', 'horn', 'pan_flute', 'shawm', 'viol', 'herbalism_kit', 'navigators_tools', 'poisoners_kit', 'thieves_tools', 'land_vehicles', 'water_vehicles', 'saving_throw_str', 'saving_throw_dex', 'saving_throw_con', 'saving_throw_int', 'saving_throw_wis', 'saving_throw_cha', 'skill_acrobatics', 'skill_animal_handling', 'skill_arcana', 'skill_athletics', 'skill_deception', 'skill_history', 'skill_insight', 'skill_intimidation', 'skill_investigation', 'skill_medicine', 'skill_nature', 'skill_perception', 'skill_performance', 'skill_persuasion', 'skill_religion', 'skill_sleight_of_hand', 'skill_stealth', 'skill_survival']
attributes = ['index', 'type', 'name', 'classes', 'races', 'url', 'reference']
light_armor = entry_builder.entry_builder(index = 'light-armor',type = 'Armor',name = 'Light Armor',classes = [{'index': 'barbarian', 'name': 'Barbarian', 'url': '/api/classes/barbarian'}, {'index': 'bard', 'name': 'Bard', 'url': '/api/classes/bard'}, {'index': 'cleric', 'name': 'Cleric', 'url': '/api/classes/cleric'}, {'index': 'druid', 'name': 'Druid', 'url': '/api/classes/druid'}, {'index': 'ranger', 'name': 'Ranger', 'url': '/api/classes/ranger'}, {'index': 'rogue', 'name': 'Rogue', 'url': '/api/classes/rogue'}, {'index': 'warlock', 'name': 'Warlock', 'url': '/api/classes/warlock'}],races = [],url = '/api/proficiencies/light-armor',reference = {'index': 'light-armor', 'name': 'Light Armor', 'url': '/api/equipment-categories/light-armor'})
medium_armor = entry_builder.entry_builder(index = 'medium-armor',type = 'Armor',name = 'Medium Armor',classes = [{'index': 'barbarian', 'name': 'Barbarian', 'url': '/api/classes/barbarian'}, {'index': 'cleric', 'name': 'Cleric', 'url': '/api/classes/cleric'}, {'index': 'druid', 'name': 'Druid', 'url': '/api/classes/druid'}, {'index': 'ranger', 'name': 'Ranger', 'url': '/api/classes/ranger'}],races = [],url = '/api/proficiencies/medium-armor',reference = {'index': 'medium-armor', 'name': 'Medium Armor', 'url': '/api/equipment-categories/medium-armor'})
heavy_armor = entry_builder.entry_builder(index = 'heavy-armor',type = 'Armor',name = 'Heavy Armor',classes = [],races = [],url = '/api/proficiencies/heavy-armor',reference = {'index': 'heavy-armor', 'name': 'Heavy Armor', 'url': '/api/equipment-categories/heavy-armor'})
all_armor = entry_builder.entry_builder(index = 'all-armor',type = 'Armor',name = 'All armor',classes = [{'index': 'fighter', 'name': 'Fighter', 'url': '/api/classes/fighter'}, {'index': 'paladin', 'name': 'Paladin', 'url': '/api/classes/paladin'}],races = [],url = '/api/proficiencies/all-armor',reference = {'index': 'armor', 'name': 'Armor', 'url': '/api/equipment-categories/armor'})
padded_armor = entry_builder.entry_builder(index = 'padded-armor',type = 'Armor',name = 'Padded Armor',classes = [],races = [],url = '/api/proficiencies/padded-armor',reference = {'index': 'padded-armor', 'name': 'Padded Armor', 'url': '/api/equipment/padded-armor'})
leather_armor = entry_builder.entry_builder(index = 'leather-armor',type = 'Armor',name = 'Leather Armor',classes = [],races = [],url = '/api/proficiencies/leather-armor',reference = {'index': 'leather-armor', 'name': 'Leather Armor', 'url': '/api/equipment/leather-armor'})
studded_leather_armor = entry_builder.entry_builder(index = 'studded-leather-armor',type = 'Armor',name = 'Studded Leather Armor',classes = [],races = [],url = '/api/proficiencies/studded-leather-armor',reference = {'index': 'studded-leather-armor', 'name': 'Studded Leather Armor', 'url': '/api/equipment/studded-leather-armor'})
hide_armor = entry_builder.entry_builder(index = 'hide-armor',type = 'Armor',name = 'Hide Armor',classes = [],races = [],url = '/api/proficiencies/hide-armor',reference = {'index': 'hide-armor', 'name': 'Hide Armor', 'url': '/api/equipment/hide-armor'})
chain_shirt = entry_builder.entry_builder(index = 'chain-shirt',type = 'Armor',name = 'Chain Shirt',classes = [],races = [],url = '/api/proficiencies/chain-shirt',reference = {'index': 'chain-shirt', 'name': 'Chain Shirt', 'url': '/api/equipment/chain-shirt'})
scale_mail = entry_builder.entry_builder(index = 'scale-mail',type = 'Armor',name = 'Scale Mail',classes = [],races = [],url = '/api/proficiencies/scale-mail',reference = {'index': 'scale-mail', 'name': 'Scale Mail', 'url': '/api/equipment/scale-mail'})
breastplate = entry_builder.entry_builder(index = 'breastplate',type = 'Armor',name = 'Breastplate',classes = [],races = [],url = '/api/proficiencies/breastplate',reference = {'index': 'breastplate', 'name': 'Breastplate', 'url': '/api/equipment/breastplate'})
half_plate_armor = entry_builder.entry_builder(index = 'half-plate-armor',type = 'Armor',name = 'Half Plate Armor',classes = [],races = [],url = '/api/proficiencies/half-plate-armor',reference = {'index': 'half-plate-armor', 'name': 'Half Plate Armor', 'url': '/api/equipment/half-plate-armor'})
ring_mail = entry_builder.entry_builder(index = 'ring-mail',type = 'Armor',name = 'Ring Mail',classes = [],races = [],url = '/api/proficiencies/ring-mail',reference = {'index': 'ring-mail', 'name': 'Ring Mail', 'url': '/api/equipment/ring-mail'})
chain_mail = entry_builder.entry_builder(index = 'chain-mail',type = 'Armor',name = 'Chain Mail',classes = [],races = [],url = '/api/proficiencies/chain-mail',reference = {'index': 'chain-mail', 'name': 'Chain Mail', 'url': '/api/equipment/chain-mail'})
splint_armor = entry_builder.entry_builder(index = 'splint-armor',type = 'Armor',name = 'Splint Armor',classes = [],races = [],url = '/api/proficiencies/splint-armor',reference = {'index': 'splint-armor', 'name': 'Splint Armor', 'url': '/api/equipment/splint-armor'})
plate_armor = entry_builder.entry_builder(index = 'plate-armor',type = 'Armor',name = 'Plate Armor',classes = [],races = [],url = '/api/proficiencies/plate-armor',reference = {'index': 'plate-armor', 'name': 'Plate Armor', 'url': '/api/equipment/plate-armor'})
shields = entry_builder.entry_builder(index = 'shields',type = 'Armor',name = 'Shields',classes = [{'index': 'barbarian', 'name': 'Barbarian', 'url': '/api/classes/barbarian'}, {'index': 'cleric', 'name': 'Cleric', 'url': '/api/classes/cleric'}, {'index': 'druid', 'name': 'Druid', 'url': '/api/classes/druid'}, {'index': 'fighter', 'name': 'Fighter', 'url': '/api/classes/fighter'}, {'index': 'paladin', 'name': 'Paladin', 'url': '/api/classes/paladin'}, {'index': 'ranger', 'name': 'Ranger', 'url': '/api/classes/ranger'}],races = [],url = '/api/proficiencies/shields',reference = {'index': 'shield', 'name': 'Shield', 'url': '/api/equipment/shield'})
simple_weapons = entry_builder.entry_builder(index = 'simple-weapons',type = 'Weapons',name = 'Simple Weapons',classes = [{'index': 'barbarian', 'name': 'Barbarian', 'url': '/api/classes/barbarian'}, {'index': 'bard', 'name': 'Bard', 'url': '/api/classes/bard'}, {'index': 'cleric', 'name': 'Cleric', 'url': '/api/classes/cleric'}, {'index': 'fighter', 'name': 'Fighter', 'url': '/api/classes/fighter'}, {'index': 'monk', 'name': 'Monk', 'url': '/api/classes/monk'}, {'index': 'paladin', 'name': 'Paladin', 'url': '/api/classes/paladin'}, {'index': 'ranger', 'name': 'Ranger', 'url': '/api/classes/ranger'}, {'index': 'rogue', 'name': 'Rogue', 'url': '/api/classes/rogue'}, {'index': 'warlock', 'name': 'Warlock', 'url': '/api/classes/warlock'}],races = [],url = '/api/proficiencies/simple-weapons',reference = {'index': 'simple-weapons', 'name': 'Simple Weapons', 'url': '/api/equipment-categories/simple-weapons'})
martial_weapons = entry_builder.entry_builder(index = 'martial-weapons',type = 'Weapons',name = 'Martial Weapons',classes = [{'index': 'barbarian', 'name': 'Barbarian', 'url': '/api/classes/barbarian'}, {'index': 'fighter', 'name': 'Fighter', 'url': '/api/classes/fighter'}, {'index': 'paladin', 'name': 'Paladin', 'url': '/api/classes/paladin'}, {'index': 'ranger', 'name': 'Ranger', 'url': '/api/classes/ranger'}],races = [],url = '/api/proficiencies/martial-weapons',reference = {'index': 'martial-weapons', 'name': 'Martial Weapons', 'url': '/api/equipment-categories/martial-weapons'})
clubs = entry_builder.entry_builder(index = 'clubs',type = 'Weapons',name = 'Clubs',classes = [{'index': 'druid', 'name': 'Druid', 'url': '/api/classes/druid'}],races = [],url = '/api/proficiencies/clubs',reference = {'index': 'club', 'name': 'Club', 'url': '/api/equipment/club'})
daggers = entry_builder.entry_builder(index = 'daggers',type = 'Weapons',name = 'Daggers',classes = [{'index': 'druid', 'name': 'Druid', 'url': '/api/classes/druid'}, {'index': 'sorcerer', 'name': 'Sorcerer', 'url': '/api/classes/sorcerer'}, {'index': 'wizard', 'name': 'Wizard', 'url': '/api/classes/wizard'}],races = [],url = '/api/proficiencies/daggers',reference = {'index': 'dagger', 'name': 'Dagger', 'url': '/api/equipment/dagger'})
greatclubs = entry_builder.entry_builder(index = 'greatclubs',type = 'Weapons',name = 'Greatclubs',classes = [],races = [],url = '/api/proficiencies/greatclubs',reference = {'index': 'greatclub', 'name': 'Greatclub', 'url': '/api/equipment/greatclub'})
handaxes = entry_builder.entry_builder(index = 'handaxes',type = 'Weapons',name = 'Handaxes',classes = [],races = [{'index': 'dwarf', 'name': 'Dwarf', 'url': '/api/races/dwarf'}],url = '/api/proficiencies/handaxes',reference = {'index': 'handaxe', 'name': 'Handaxe', 'url': '/api/equipment/handaxe'})
javelins = entry_builder.entry_builder(index = 'javelins',type = 'Weapons',name = 'Javelins',classes = [{'index': 'druid', 'name': 'Druid', 'url': '/api/classes/druid'}],races = [],url = '/api/proficiencies/javelins',reference = {'index': 'javelin', 'name': 'Javelin', 'url': '/api/equipment/javelin'})
light_hammers = entry_builder.entry_builder(index = 'light-hammers',type = 'Weapons',name = 'Light hammers',classes = [],races = [{'index': 'dwarf', 'name': 'Dwarf', 'url': '/api/races/dwarf'}],url = '/api/proficiencies/light-hammers',reference = {'index': 'light-hammer', 'name': 'Light hammer', 'url': '/api/equipment/light-hammer'})
maces = entry_builder.entry_builder(index = 'maces',type = 'Weapons',name = 'Maces',classes = [{'index': 'druid', 'name': 'Druid', 'url': '/api/classes/druid'}],races = [],url = '/api/proficiencies/maces',reference = {'index': 'mace', 'name': 'Mace', 'url': '/api/equipment/mace'})
quarterstaffs = entry_builder.entry_builder(index = 'quarterstaffs',type = 'Weapons',name = 'Quarterstaffs',classes = [{'index': 'druid', 'name': 'Druid', 'url': '/api/classes/druid'}, {'index': 'sorcerer', 'name': 'Sorcerer', 'url': '/api/classes/sorcerer'}, {'index': 'wizard', 'name': 'Wizard', 'url': '/api/classes/wizard'}],races = [],url = '/api/proficiencies/quarterstaffs',reference = {'index': 'quarterstaff', 'name': 'Quarterstaff', 'url': '/api/equipment/quarterstaff'})
sickles = entry_builder.entry_builder(index = 'sickles',type = 'Weapons',name = 'Sickles',classes = [{'index': 'druid', 'name': 'Druid', 'url': '/api/classes/druid'}],races = [],url = '/api/proficiencies/sickles',reference = {'index': 'sickle', 'name': 'Sickle', 'url': '/api/equipment/sickle'})
spears = entry_builder.entry_builder(index = 'spears',type = 'Weapons',name = 'Spears',classes = [{'index': 'druid', 'name': 'Druid', 'url': '/api/classes/druid'}],races = [],url = '/api/proficiencies/spears',reference = {'index': 'spear', 'name': 'Spear', 'url': '/api/equipment/spear'})
crossbows_light = entry_builder.entry_builder(index = 'crossbows-light',type = 'Weapons',name = 'Crossbows, light',classes = [{'index': 'sorcerer', 'name': 'Sorcerer', 'url': '/api/classes/sorcerer'}, {'index': 'wizard', 'name': 'Wizard', 'url': '/api/classes/wizard'}],races = [],url = '/api/proficiencies/crossbows-light',reference = {'index': 'crossbow-light', 'name': 'Crossbow, light', 'url': '/api/equipment/crossbow-light'})
darts = entry_builder.entry_builder(index = 'darts',type = 'Weapons',name = 'Darts',classes = [{'index': 'druid', 'name': 'Druid', 'url': '/api/classes/druid'}, {'index': 'sorcerer', 'name': 'Sorcerer', 'url': '/api/classes/sorcerer'}, {'index': 'wizard', 'name': 'Wizard', 'url': '/api/classes/wizard'}],races = [],url = '/api/proficiencies/darts',reference = {'index': 'dart', 'name': 'Dart', 'url': '/api/equipment/dart'})
shortbows = entry_builder.entry_builder(index = 'shortbows',type = 'Weapons',name = 'Shortbows',classes = [],races = [{'index': 'high-elf', 'name': 'High Elf', 'url': '/api/subraces/high-elf'}],url = '/api/proficiencies/shortbows',reference = {'index': 'shortbow', 'name': 'Shortbow', 'url': '/api/equipment/shortbow'})
slings = entry_builder.entry_builder(index = 'slings',type = 'Weapons',name = 'Slings',classes = [{'index': 'druid', 'name': 'Druid', 'url': '/api/classes/druid'}, {'index': 'sorcerer', 'name': 'Sorcerer', 'url': '/api/classes/sorcerer'}, {'index': 'wizard', 'name': 'Wizard', 'url': '/api/classes/wizard'}],races = [],url = '/api/proficiencies/slings',reference = {'index': 'sling', 'name': 'Sling', 'url': '/api/equipment/sling'})
battleaxes = entry_builder.entry_builder(index = 'battleaxes',type = 'Weapons',name = 'Battleaxes',classes = [],races = [{'index': 'dwarf', 'name': 'Dwarf', 'url': '/api/races/dwarf'}],url = '/api/proficiencies/battleaxes',reference = {'index': 'battleaxe', 'name': 'Battleaxe', 'url': '/api/equipment/battleaxe'})
flails = entry_builder.entry_builder(index = 'flails',type = 'Weapons',name = 'Flails',classes = [],races = [],url = '/api/proficiencies/flails',reference = {'index': 'flail', 'name': 'Flail', 'url': '/api/equipment/flail'})
glaives = entry_builder.entry_builder(index = 'glaives',type = 'Weapons',name = 'Glaives',classes = [],races = [],url = '/api/proficiencies/glaives',reference = {'index': 'glaive', 'name': 'Glaive', 'url': '/api/equipment/glaive'})
greataxes = entry_builder.entry_builder(index = 'greataxes',type = 'Weapons',name = 'Greataxes',classes = [],races = [],url = '/api/proficiencies/greataxes',reference = {'index': 'greataxe', 'name': 'Greataxe', 'url': '/api/equipment/greataxe'})
greatswords = entry_builder.entry_builder(index = 'greatswords',type = 'Weapons',name = 'Greatswords',classes = [],races = [],url = '/api/proficiencies/greatswords',reference = {'index': 'greatsword', 'name': 'Greatsword', 'url': '/api/equipment/greatsword'})
halberds = entry_builder.entry_builder(index = 'halberds',type = 'Weapons',name = 'Halberds',classes = [],races = [],url = '/api/proficiencies/halberds',reference = {'index': 'halberd', 'name': 'Halberd', 'url': '/api/equipment/halberd'})
lances = entry_builder.entry_builder(index = 'lances',type = 'Weapons',name = 'Lances',classes = [],races = [],url = '/api/proficiencies/lances',reference = {'index': 'lance', 'name': 'Lance', 'url': '/api/equipment/lance'})
longswords = entry_builder.entry_builder(index = 'longswords',type = 'Weapons',name = 'Longswords',classes = [{'index': 'bard', 'name': 'Bard', 'url': '/api/classes/bard'}, {'index': 'rogue', 'name': 'Rogue', 'url': '/api/classes/rogue'}],races = [{'index': 'high-elf', 'name': 'High Elf', 'url': '/api/subraces/high-elf'}],url = '/api/proficiencies/longswords',reference = {'index': 'longsword', 'name': 'Longsword', 'url': '/api/equipment/longsword'})
mauls = entry_builder.entry_builder(index = 'mauls',type = 'Weapons',name = 'Mauls',classes = [],races = [],url = '/api/proficiencies/mauls',reference = {'index': 'maul', 'name': 'Maul', 'url': '/api/equipment/maul'})
morningstars = entry_builder.entry_builder(index = 'morningstars',type = 'Weapons',name = 'Morningstars',classes = [],races = [],url = '/api/proficiencies/morningstars',reference = {'index': 'morningstar', 'name': 'Morningstar', 'url': '/api/equipment/morningstar'})
pikes = entry_builder.entry_builder(index = 'pikes',type = 'Weapons',name = 'Pikes',classes = [],races = [],url = '/api/proficiencies/pikes',reference = {'index': 'pike', 'name': 'Pike', 'url': '/api/equipment/pike'})
rapiers = entry_builder.entry_builder(index = 'rapiers',type = 'Weapons',name = 'Rapiers',classes = [{'index': 'bard', 'name': 'Bard', 'url': '/api/classes/bard'}, {'index': 'rogue', 'name': 'Rogue', 'url': '/api/classes/rogue'}],races = [],url = '/api/proficiencies/rapiers',reference = {'index': 'rapier', 'name': 'Rapier', 'url': '/api/equipment/rapier'})
scimitars = entry_builder.entry_builder(index = 'scimitars',type = 'Weapons',name = 'Scimitars',classes = [{'index': 'druid', 'name': 'Druid', 'url': '/api/classes/druid'}],races = [],url = '/api/proficiencies/scimitars',reference = {'index': 'scimitar', 'name': 'Scimitar', 'url': '/api/equipment/scimitar'})
shortswords = entry_builder.entry_builder(index = 'shortswords',type = 'Weapons',name = 'Shortswords',classes = [{'index': 'bard', 'name': 'Bard', 'url': '/api/classes/bard'}, {'index': 'monk', 'name': 'Monk', 'url': '/api/classes/monk'}, {'index': 'rogue', 'name': 'Rogue', 'url': '/api/classes/rogue'}],races = [{'index': 'high-elf', 'name': 'High Elf', 'url': '/api/subraces/high-elf'}],url = '/api/proficiencies/shortswords',reference = {'index': 'shortsword', 'name': 'Shortsword', 'url': '/api/equipment/shortsword'})
tridents = entry_builder.entry_builder(index = 'tridents',type = 'Weapons',name = 'Tridents',classes = [],races = [],url = '/api/proficiencies/tridents',reference = {'index': 'trident', 'name': 'Trident', 'url': '/api/equipment/trident'})
war_picks = entry_builder.entry_builder(index = 'war-picks',type = 'Weapons',name = 'War picks',classes = [],races = [],url = '/api/proficiencies/war-picks',reference = {'index': 'war-pick', 'name': 'War pick', 'url': '/api/equipment/war-pick'})
warhammers = entry_builder.entry_builder(index = 'warhammers',type = 'Weapons',name = 'Warhammers',classes = [],races = [{'index': 'dwarf', 'name': 'Dwarf', 'url': '/api/races/dwarf'}],url = '/api/proficiencies/warhammers',reference = {'index': 'warhammer', 'name': 'Warhammer', 'url': '/api/equipment/warhammer'})
whips = entry_builder.entry_builder(index = 'whips',type = 'Weapons',name = 'Whips',classes = [],races = [],url = '/api/proficiencies/whips',reference = {'index': 'whip', 'name': 'Whip', 'url': '/api/equipment/whip'})
blowguns = entry_builder.entry_builder(index = 'blowguns',type = 'Weapons',name = 'Blowguns',classes = [],races = [],url = '/api/proficiencies/blowguns',reference = {'index': 'blowgun', 'name': 'Blowgun', 'url': '/api/equipment/blowgun'})
hand_crossbows = entry_builder.entry_builder(index = 'hand-crossbows',type = 'Weapons',name = 'Hand crossbows',classes = [{'index': 'bard', 'name': 'Bard', 'url': '/api/classes/bard'}, {'index': 'rogue', 'name': 'Rogue', 'url': '/api/classes/rogue'}],races = [],url = '/api/proficiencies/hand-crossbows',reference = {'index': 'crossbow-hand', 'name': 'Crossbow, hand', 'url': '/api/equipment/crossbow-hand'})
crossbows_heavy = entry_builder.entry_builder(index = 'crossbows-heavy',type = 'Weapons',name = 'Crossbows, heavy',classes = [],races = [],url = '/api/proficiencies/crossbows-heavy',reference = {'index': 'crossbow-heavy', 'name': 'Crossbow, heavy', 'url': '/api/equipment/crossbow-heavy'})
longbows = entry_builder.entry_builder(index = 'longbows',type = 'Weapons',name = 'Longbows',classes = [],races = [{'index': 'high-elf', 'name': 'High Elf', 'url': '/api/subraces/high-elf'}],url = '/api/proficiencies/longbows',reference = {'index': 'longbow', 'name': 'Longbow', 'url': '/api/equipment/longbow'})
nets = entry_builder.entry_builder(index = 'nets',type = 'Weapons',name = 'Nets',classes = [],races = [],url = '/api/proficiencies/nets',reference = {'index': 'net', 'name': 'Net', 'url': '/api/equipment/net'})
alchemists_supplies = entry_builder.entry_builder(index = 'alchemists-supplies',type = 'Artisan\'s Tools',name = 'Alchemist\'s Supplies',classes = [],races = [],url = '/api/proficiencies/alchemists-supplies',reference = {'index': 'alchemists-supplies', 'name': "Alchemist's Supplies", 'url': '/api/equipment/alchemists-supplies'})
brewers_supplies = entry_builder.entry_builder(index = 'brewers-supplies',type = 'Artisan\'s Tools',name = 'Brewer\'s Supplies',classes = [],races = [],url = '/api/proficiencies/brewers-supplies',reference = {'index': 'brewers-supplies', 'name': "Brewer's Supplies", 'url': '/api/equipment/brewers-supplies'})
calligraphers_supplies = entry_builder.entry_builder(index = 'calligraphers-supplies',type = 'Artisan\'s Tools',name = 'Calligrapher\'s Supplies',classes = [],races = [],url = '/api/proficiencies/calligraphers-supplies',reference = {'index': 'calligraphers-supplies', 'name': "Calligrapher's Supplies", 'url': '/api/equipment/calligraphers-supplies'})
carpenters_tools = entry_builder.entry_builder(index = 'carpenters-tools',type = 'Artisan\'s Tools',name = 'Carpenter\'s Tools',classes = [],races = [],url = '/api/proficiencies/carpenters-tools',reference = {'index': 'carpenters-tools', 'name': "Carpenter's Tools", 'url': '/api/equipment/carpenters-tools'})
cartographers_tools = entry_builder.entry_builder(index = 'cartographers-tools',type = 'Artisan\'s Tools',name = 'Cartographer\'s Tools',classes = [],races = [],url = '/api/proficiencies/cartographers-tools',reference = {'index': 'cartographers-tools', 'name': "Cartographer's Tools", 'url': '/api/equipment/cartographers-tools'})
cobblers_tools = entry_builder.entry_builder(index = 'cobblers-tools',type = 'Artisan\'s Tools',name = 'Cobbler\'s Tools',classes = [],races = [],url = '/api/proficiencies/cobblers-tools',reference = {'index': 'cobblers-tools', 'name': "Cobbler's Tools", 'url': '/api/equipment/cobblers-tools'})
cooks_utensils = entry_builder.entry_builder(index = 'cooks-utensils',type = 'Artisan\'s Tools',name = 'Cook\'s utensils',classes = [],races = [],url = '/api/proficiencies/cooks-utensils',reference = {'index': 'cooks-utensils', 'name': "Cook's utensils", 'url': '/api/equipment/cooks-utensils'})
glassblowers_tools = entry_builder.entry_builder(index = 'glassblowers-tools',type = 'Artisan\'s Tools',name = 'Glassblower\'s Tools',classes = [],races = [],url = '/api/proficiencies/glassblowers-tools',reference = {'index': 'glassblowers-tools', 'name': "Glassblower's Tools", 'url': '/api/equipment/glassblowers-tools'})
jewelers_tools = entry_builder.entry_builder(index = 'jewelers-tools',type = 'Artisan\'s Tools',name = 'Jeweler\'s Tools',classes = [],races = [],url = '/api/proficiencies/jewelers-tools',reference = {'index': 'jewelers-tools', 'name': "Jeweler's Tools", 'url': '/api/equipment/jewelers-tools'})
leatherworkers_tools = entry_builder.entry_builder(index = 'leatherworkers-tools',type = 'Artisan\'s Tools',name = 'Leatherworker\'s Tools',classes = [],races = [],url = '/api/proficiencies/leatherworkers-tools',reference = {'index': 'leatherworkers-tools', 'name': "Leatherworker's Tools", 'url': '/api/equipment/leatherworkers-tools'})
masons_tools = entry_builder.entry_builder(index = 'masons-tools',type = 'Artisan\'s Tools',name = 'Mason\'s Tools',classes = [],races = [],url = '/api/proficiencies/masons-tools',reference = {'index': 'masons-tools', 'name': "Mason's Tools", 'url': '/api/equipment/masons-tools'})
painters_supplies = entry_builder.entry_builder(index = 'painters-supplies',type = 'Artisan\'s Tools',name = 'Painter\'s Supplies',classes = [],races = [],url = '/api/proficiencies/painters-supplies',reference = {'index': 'painters-supplies', 'name': "Painter's Supplies", 'url': '/api/equipment/painters-supplies'})
potters_tools = entry_builder.entry_builder(index = 'potters-tools',type = 'Artisan\'s Tools',name = 'Potter\'s Tools',classes = [],races = [],url = '/api/proficiencies/potters-tools',reference = {'index': 'potters-tools', 'name': "Potter's Tools", 'url': '/api/equipment/potters-tools'})
smiths_tools = entry_builder.entry_builder(index = 'smiths-tools',type = 'Artisan\'s Tools',name = 'Smith\'s Tools',classes = [],races = [],url = '/api/proficiencies/smiths-tools',reference = {'index': 'smiths-tools', 'name': "Smith's Tools", 'url': '/api/equipment/smiths-tools'})
tinkers_tools = entry_builder.entry_builder(index = 'tinkers-tools',type = 'Artisan\'s Tools',name = 'Tinker\'s Tools',classes = [],races = [],url = '/api/proficiencies/tinkers-tools',reference = {'index': 'tinkers-tools', 'name': "Tinker's Tools", 'url': '/api/equipment/tinkers-tools'})
weavers_tools = entry_builder.entry_builder(index = 'weavers-tools',type = 'Artisan\'s Tools',name = 'Weaver\'s Tools',classes = [],races = [],url = '/api/proficiencies/weavers-tools',reference = {'index': 'weavers-tools', 'name': "Weaver's Tools", 'url': '/api/equipment/weavers-tools'})
woodcarvers_tools = entry_builder.entry_builder(index = 'woodcarvers-tools',type = 'Artisan\'s Tools',name = 'Woodcarver\'s Tools',classes = [],races = [],url = '/api/proficiencies/woodcarvers-tools',reference = {'index': 'woodcarvers-tools', 'name': "Woodcarver's Tools", 'url': '/api/equipment/woodcarvers-tools'})
disguise_kit = entry_builder.entry_builder(index = 'disguise-kit',type = 'Artisan\'s Tools',name = 'Disguise Kit',classes = [],races = [],url = '/api/proficiencies/disguise-kit',reference = {'index': 'disguise-kit', 'name': 'Disguise Kit', 'url': '/api/equipment/disguise-kit'})
forgery_kit = entry_builder.entry_builder(index = 'forgery-kit',type = 'Artisan\'s Tools',name = 'Forgery Kit',classes = [],races = [],url = '/api/proficiencies/forgery-kit',reference = {'index': 'forgery-kit', 'name': 'Forgery Kit', 'url': '/api/equipment/forgery-kit'})
dice_set = entry_builder.entry_builder(index = 'dice-set',type = 'Gaming Sets',name = 'Dice Set',classes = [],races = [],url = '/api/proficiencies/dice-set',reference = {'index': 'dice-set', 'name': 'Dice Set', 'url': '/api/equipment/dice-set'})
playing_card_set = entry_builder.entry_builder(index = 'playing-card-set',type = 'Gaming Sets',name = 'Playing Card Set',classes = [],races = [],url = '/api/proficiencies/playing-card-set',reference = {'index': 'playing-card-set', 'name': 'Playing Card Set', 'url': '/api/equipment/playing-card-set'})
bagpipes = entry_builder.entry_builder(index = 'bagpipes',type = 'Musical Instruments',name = 'Bagpipes',classes = [],races = [],url = '/api/proficiencies/bagpipes',reference = {'index': 'bagpipes', 'name': 'Bagpipes', 'url': '/api/equipment/bagpipes'})
drum = entry_builder.entry_builder(index = 'drum',type = 'Musical Instruments',name = 'Drum',classes = [],races = [],url = '/api/proficiencies/drum',reference = {'index': 'drum', 'name': 'Drum', 'url': '/api/equipment/drum'})
dulcimer = entry_builder.entry_builder(index = 'dulcimer',type = 'Musical Instruments',name = 'Dulcimer',classes = [],races = [],url = '/api/proficiencies/dulcimer',reference = {'index': 'dulcimer', 'name': 'Dulcimer', 'url': '/api/equipment/dulcimer'})
flute = entry_builder.entry_builder(index = 'flute',type = 'Musical Instruments',name = 'Flute',classes = [],races = [],url = '/api/proficiencies/flute',reference = {'index': 'flute', 'name': 'Flute', 'url': '/api/equipment/flute'})
lute = entry_builder.entry_builder(index = 'lute',type = 'Musical Instruments',name = 'Lute',classes = [],races = [],url = '/api/proficiencies/lute',reference = {'index': 'lute', 'name': 'Lute', 'url': '/api/equipment/lute'})
lyre = entry_builder.entry_builder(index = 'lyre',type = 'Musical Instruments',name = 'Lyre',classes = [],races = [],url = '/api/proficiencies/lyre',reference = {'index': 'lyre', 'name': 'Lyre', 'url': '/api/equipment/lyre'})
horn = entry_builder.entry_builder(index = 'horn',type = 'Musical Instruments',name = 'Horn',classes = [],races = [],url = '/api/proficiencies/horn',reference = {'index': 'horn', 'name': 'Horn', 'url': '/api/equipment/horn'})
pan_flute = entry_builder.entry_builder(index = 'pan-flute',type = 'Musical Instruments',name = 'Pan flute',classes = [],races = [],url = '/api/proficiencies/pan-flute',reference = {'index': 'pan-flute', 'name': 'Pan flute', 'url': '/api/equipment/pan-flute'})
shawm = entry_builder.entry_builder(index = 'shawm',type = 'Musical Instruments',name = 'Shawm',classes = [],races = [],url = '/api/proficiencies/shawm',reference = {'index': 'shawm', 'name': 'Shawm', 'url': '/api/equipment/shawm'})
viol = entry_builder.entry_builder(index = 'viol',type = 'Musical Instruments',name = 'Viol',classes = [],races = [],url = '/api/proficiencies/viol',reference = {'index': 'viol', 'name': 'Viol', 'url': '/api/equipment/viol'})
herbalism_kit = entry_builder.entry_builder(index = 'herbalism-kit',type = 'Other',name = 'Herbalism Kit',classes = [{'index': 'druid', 'name': 'Druid', 'url': '/api/classes/druid'}],races = [],url = '/api/proficiencies/herbalism-kit',reference = {'index': 'herbalism-kit', 'name': 'Herbalism Kit', 'url': '/api/equipment/herbalism-kit'})
navigators_tools = entry_builder.entry_builder(index = 'navigators-tools',type = 'Other',name = 'Navigator\'s Tools',classes = [],races = [],url = '/api/proficiencies/navigators-tools',reference = {'index': 'navigators-tools', 'name': "Navigator's Tools", 'url': '/api/equipment/navigators-tools'})
poisoners_kit = entry_builder.entry_builder(index = 'poisoners-kit',type = 'Other',name = 'Poisoner\'s Kit',classes = [],races = [],url = '/api/proficiencies/poisoners-kit',reference = {'index': 'poisoners-kit', 'name': "Poisoner's Kit", 'url': '/api/equipment/poisoners-kit'})
thieves_tools = entry_builder.entry_builder(index = 'thieves-tools',type = 'Other',name = 'Thieves\' Tools',classes = [{'index': 'rogue', 'name': 'Rogue', 'url': '/api/classes/rogue'}],races = [],url = '/api/proficiencies/thieves-tools',reference = {'index': 'thieves-tools', 'name': "Thieves' Tools", 'url': '/api/equipment/thieves-tools'})
land_vehicles = entry_builder.entry_builder(index = 'land-vehicles',type = 'Vehicles',name = 'Land Vehicles',classes = [],races = [],url = '/api/proficiencies/land-vehicles',reference = {'index': 'land-vehicles', 'name': 'Land Vehicles', 'url': '/api/equipment-categories/land-vehicles'})
water_vehicles = entry_builder.entry_builder(index = 'water-vehicles',type = 'Vehicles',name = 'Water Vehicles',classes = [],races = [],url = '/api/proficiencies/water-vehicles',reference = {'index': 'waterborne-vehicles', 'name': 'Waterborne Vehicles', 'url': '/api/equipment-categories/waterborne-vehicles'})
saving_throw_str = entry_builder.entry_builder(index = 'saving-throw-str',type = 'Saving Throws',name = 'Saving Throw: STR',classes = [{'index': 'barbarian', 'name': 'Barbarian', 'url': '/api/classes/barbarian'}, {'index': 'fighter', 'name': 'Fighter', 'url': '/api/classes/fighter'}, {'index': 'monk', 'name': 'Monk', 'url': '/api/classes/monk'}, {'index': 'ranger', 'name': 'Ranger', 'url': '/api/classes/ranger'}],races = [],url = '/api/proficiencies/saving-throw-str',reference = {'index': 'str', 'name': 'STR', 'url': '/api/ability-scores/str'})
saving_throw_dex = entry_builder.entry_builder(index = 'saving-throw-dex',type = 'Saving Throws',name = 'Saving Throw: DEX',classes = [{'index': 'bard', 'name': 'Bard', 'url': '/api/classes/bard'}, {'index': 'monk', 'name': 'Monk', 'url': '/api/classes/monk'}, {'index': 'ranger', 'name': 'Ranger', 'url': '/api/classes/ranger'}, {'index': 'rogue', 'name': 'Rogue', 'url': '/api/classes/rogue'}],races = [],url = '/api/proficiencies/saving-throw-dex',reference = {'index': 'dex', 'name': 'DEX', 'url': '/api/ability-scores/dex'})
saving_throw_con = entry_builder.entry_builder(index = 'saving-throw-con',type = 'Saving Throws',name = 'Saving Throw: CON',classes = [{'index': 'barbarian', 'name': 'Barbarian', 'url': '/api/classes/barbarian'}, {'index': 'fighter', 'name': 'Fighter', 'url': '/api/classes/fighter'}, {'index': 'sorcerer', 'name': 'Sorcerer', 'url': '/api/classes/sorcerer'}],races = [],url = '/api/proficiencies/saving-throw-con',reference = {'index': 'con', 'name': 'CON', 'url': '/api/ability-scores/con'})
saving_throw_int = entry_builder.entry_builder(index = 'saving-throw-int',type = 'Saving Throws',name = 'Saving Throw: INT',classes = [{'index': 'druid', 'name': 'Druid', 'url': '/api/classes/druid'}, {'index': 'rogue', 'name': 'Rogue', 'url': '/api/classes/rogue'}, {'index': 'wizard', 'name': 'Wizard', 'url': '/api/classes/wizard'}],races = [],url = '/api/proficiencies/saving-throw-int',reference = {'index': 'int', 'name': 'INT', 'url': '/api/ability-scores/int'})
saving_throw_wis = entry_builder.entry_builder(index = 'saving-throw-wis',type = 'Saving Throws',name = 'Saving Throw: WIS',classes = [{'index': 'cleric', 'name': 'Cleric', 'url': '/api/classes/cleric'}, {'index': 'druid', 'name': 'Druid', 'url': '/api/classes/druid'}, {'index': 'paladin', 'name': 'Paladin', 'url': '/api/classes/paladin'}, {'index': 'warlock', 'name': 'Warlock', 'url': '/api/classes/warlock'}, {'index': 'wizard', 'name': 'Wizard', 'url': '/api/classes/wizard'}],races = [],url = '/api/proficiencies/saving-throw-wis',reference = {'index': 'wis', 'name': 'WIS', 'url': '/api/ability-scores/wis'})
saving_throw_cha = entry_builder.entry_builder(index = 'saving-throw-cha',type = 'Saving Throws',name = 'Saving Throw: CHA',classes = [{'index': 'bard', 'name': 'Bard', 'url': '/api/classes/bard'}, {'index': 'cleric', 'name': 'Cleric', 'url': '/api/classes/cleric'}, {'index': 'paladin', 'name': 'Paladin', 'url': '/api/classes/paladin'}, {'index': 'sorcerer', 'name': 'Sorcerer', 'url': '/api/classes/sorcerer'}, {'index': 'warlock', 'name': 'Warlock', 'url': '/api/classes/warlock'}],races = [],url = '/api/proficiencies/saving-throw-cha',reference = {'index': 'cha', 'name': 'CHA', 'url': '/api/ability-scores/cha'})
skill_acrobatics = entry_builder.entry_builder(index = 'skill-acrobatics',type = 'Skills',name = 'Skill: Acrobatics',classes = [],races = [],url = '/api/proficiencies/skill-acrobatics',reference = {'index': 'acrobatics', 'name': 'Acrobatics', 'url': '/api/skills/acrobatics'})
skill_animal_handling = entry_builder.entry_builder(index = 'skill-animal-handling',type = 'Skills',name = 'Skill: Animal Handling',classes = [],races = [],url = '/api/proficiencies/skill-animal-handling',reference = {'index': 'animal-handling', 'name': 'Animal Handling', 'url': '/api/skills/animal-handling'})
skill_arcana = entry_builder.entry_builder(index = 'skill-arcana',type = 'Skills',name = 'Skill: Arcana',classes = [],races = [],url = '/api/proficiencies/skill-arcana',reference = {'index': 'arcana', 'name': 'Arcana', 'url': '/api/skills/arcana'})
skill_athletics = entry_builder.entry_builder(index = 'skill-athletics',type = 'Skills',name = 'Skill: Athletics',classes = [],races = [],url = '/api/proficiencies/skill-athletics',reference = {'index': 'athletics', 'name': 'Athletics', 'url': '/api/skills/athletics'})
skill_deception = entry_builder.entry_builder(index = 'skill-deception',type = 'Skills',name = 'Skill: Deception',classes = [],races = [],url = '/api/proficiencies/skill-deception',reference = {'index': 'deception', 'name': 'Deception', 'url': '/api/skills/deception'})
skill_history = entry_builder.entry_builder(index = 'skill-history',type = 'Skills',name = 'Skill: History',classes = [],races = [],url = '/api/proficiencies/skill-history',reference = {'index': 'history', 'name': 'History', 'url': '/api/skills/history'})
skill_insight = entry_builder.entry_builder(index = 'skill-insight',type = 'Skills',name = 'Skill: Insight',classes = [],races = [],url = '/api/proficiencies/skill-insight',reference = {'index': 'insight', 'name': 'Insight', 'url': '/api/skills/insight'})
skill_intimidation = entry_builder.entry_builder(index = 'skill-intimidation',type = 'Skills',name = 'Skill: Intimidation',classes = [],races = [],url = '/api/proficiencies/skill-intimidation',reference = {'index': 'intimidation', 'name': 'Intimidation', 'url': '/api/skills/intimidation'})
skill_investigation = entry_builder.entry_builder(index = 'skill-investigation',type = 'Skills',name = 'Skill: Investigation',classes = [],races = [],url = '/api/proficiencies/skill-investigation',reference = {'index': 'investigation', 'name': 'Investigation', 'url': '/api/skills/investigation'})
skill_medicine = entry_builder.entry_builder(index = 'skill-medicine',type = 'Skills',name = 'Skill: Medicine',classes = [],races = [],url = '/api/proficiencies/skill-medicine',reference = {'index': 'medicine', 'name': 'Medicine', 'url': '/api/skills/medicine'})
skill_nature = entry_builder.entry_builder(index = 'skill-nature',type = 'Skills',name = 'Skill: Nature',classes = [],races = [],url = '/api/proficiencies/skill-nature',reference = {'index': 'nature', 'name': 'Nature', 'url': '/api/skills/nature'})
skill_perception = entry_builder.entry_builder(index = 'skill-perception',type = 'Skills',name = 'Skill: Perception',classes = [],races = [{'index': 'elf', 'name': 'Elf', 'url': '/api/races/elf'}],url = '/api/proficiencies/skill-perception',reference = {'index': 'perception', 'name': 'Perception', 'url': '/api/skills/perception'})
skill_performance = entry_builder.entry_builder(index = 'skill-performance',type = 'Skills',name = 'Skill: Performance',classes = [],races = [],url = '/api/proficiencies/skill-performance',reference = {'index': 'performance', 'name': 'Performance', 'url': '/api/skills/performance'})
skill_persuasion = entry_builder.entry_builder(index = 'skill-persuasion',type = 'Skills',name = 'Skill: Persuasion',classes = [],races = [],url = '/api/proficiencies/skill-persuasion',reference = {'index': 'persuasion', 'name': 'Persuasion', 'url': '/api/skills/persuasion'})
skill_religion = entry_builder.entry_builder(index = 'skill-religion',type = 'Skills',name = 'Skill: Religion',classes = [],races = [],url = '/api/proficiencies/skill-religion',reference = {'index': 'religion', 'name': 'Religion', 'url': '/api/skills/religion'})
skill_sleight_of_hand = entry_builder.entry_builder(index = 'skill-sleight-of-hand',type = 'Skills',name = 'Skill: Sleight of Hand',classes = [],races = [],url = '/api/proficiencies/skill-sleight-of-hand',reference = {'index': 'sleight-of-hand', 'name': 'Sleight of Hand', 'url': '/api/skills/sleight-of-hand'})
skill_stealth = entry_builder.entry_builder(index = 'skill-stealth',type = 'Skills',name = 'Skill: Stealth',classes = [],races = [],url = '/api/proficiencies/skill-stealth',reference = {'index': 'stealth', 'name': 'Stealth', 'url': '/api/skills/stealth'})
skill_survival = entry_builder.entry_builder(index = 'skill-survival',type = 'Skills',name = 'Skill: Survival',classes = [],races = [],url = '/api/proficiencies/skill-survival',reference = {'index': 'survival', 'name': 'Survival', 'url': '/api/skills/survival'})
