from . import entry_builder
entries = ['the_order_of_combat', 'movement_and_position', 'actions_in_combat', 'making_an_attack', 'cover', 'damage_and_healing', 'mounted_combat', 'underwater_combat', 'ability_scores_and_modifiers', 'advantage_and_disadvantage', 'proficiency_bonus', 'ability_checks', 'using_each_ability', 'saving_throws', 'time', 'movement', 'the_environment', 'resting', 'between_adventures', 'what_is_a_spell', 'casting_a_spell', 'standard_exchange_rates', 'objects', 'poisons', 'attunement', 'wearing_and_wielding_items', 'activating_an_item', 'sentient_magic_items', 'fantasy_historical_pantheons', 'the_planes_of_existence', 'traps', 'diseases', 'madness']
attributes = ['name', 'index', 'desc', 'url']
the_order_of_combat = entry_builder.entry_builder(name = 'The Order of Combat',index = 'the-order-of-combat',desc = '## The Order of Combat\n\nA typical combat encounter is a clash between two sides, a flurry of weapon swings, feints, parries, footwork, and spellcasting. The game organizes the chaos of combat into a cycle of rounds and turns. A **round** represents about 6 seconds in the game world. During a round, each participant in a battle takes a **turn**. The order of turns is determined at the beginning of a combat encounter, when everyone rolls initiative. Once everyone has taken a turn, the fight continues to the next round if neither side has defeated the other.\n\n##### Combat Step by Step\n\n1.  **Determine surprise.** The GM determines whether anyone involved in the combat encounter is surprised.\n2.  **Establish positions.** The GM decides where all the characters and monsters are located. Given the adventurers\' marching order or their stated positions in the room or other location, the GM figures out where the adversaries are/how far away and in what direction.\n3.  **Roll initiative.** Everyone involved in the combat encounter rolls initiative, determining the order of combatants\' turns.\n4.  **Take turns.** Each participant in the battle takes a turn in initiative order.\n5.  **Begin the next round.** When everyone involved in the combat has had a turn, the round ends. Repeat step 4 until the fighting stops.\n\n### Surprise\n\nA band of adventurers sneaks up on a bandit camp, springing from the trees to attack them. A gelatinous cube glides down a dungeon passage, unnoticed by the adventurers until the cube engulfs one of them. In these situations, one side of the battle gains surprise over the other.\n\nThe GM determines who might be surprised. If neither side tries to be stealthy, they automatically notice each other. Otherwise, the GM compares the Dexterity (Stealth) checks of anyone hiding with the passive Wisdom (Perception) score of each creature on the opposing side. Any character or monster that doesn\'t notice a threat is surprised at the start of the encounter.\n\nIf you\'re surprised, you can\'t move or take an action on your first turn of the combat, and you can\'t take a reaction until that turn ends. A member of a group can be surprised even if the other members aren\'t.\n\n### Initiative\n\nInitiative determines the order of turns during combat. When combat starts, every participant makes a Dexterity check to determine their place in the initiative order. The GM makes one roll for an entire group of identical creatures, so each member of the group acts at the same time.\n\nThe GM ranks the combatants in order from the one with the highest Dexterity check total to the one with the lowest. This is the order (called the initiative order) in which they act during each round. The initiative order remains the same from round to round.\n\nIf a tie occurs, the GM decides the order among tied GM-controlled creatures, and the players decide the order among their tied characters. The GM can decide the order if the tie is between a monster and a player character. Optionally, the GM can have the tied characters and monsters each roll a d20 to determine the order, highest roll going first.\n\n### Your Turn\n\nOn your turn, you can **move** a distance up to your speed and **take one action**. You decide whether to move first or take your action first. Your speed--sometimes called your walking speed--is noted on your character sheet.\n\nThe most common actions you can take are described in the "Actions in Combat" section later in this chapter. Many class features and other abilities provide additional options for your action.\n\nThe "Movement and Position" section later in this chapter gives the rules for your move.\n\nYou can forgo moving, taking an action, or doing anything at all on your turn. If you can\'t decide what to do on your turn, consider taking the Dodge or Ready action, as described in "Actions in Combat."\n\n#### Bonus Actions\n\nVarious class features, spells, and other abilities let you take an additional action on your turn called a bonus action. The Cunning Action feature, for example, allows a rogue to take a bonus action. You can take a bonus action only when a special ability, spell, or other feature of the game states that you can do something as a bonus action. You otherwise don\'t have a bonus action to take.\n\nYou can take only one bonus action on your turn, so you must choose which bonus action to use when you have more than one available.\n\nYou choose when to take a bonus action during your turn, unless the bonus action\'s timing is specified, and anything that deprives you of your ability to take actions also prevents you from taking a bonus action.\n\n#### Other Activity on Your Turn\n\nYour turn can include a variety of flourishes that require neither your action nor your move.\n\nYou can communicate however you are able, through brief utterances and gestures, as you take your turn.\n\nYou can also interact with one object or feature of the environment for free, during either your move or your action. For example, you could open a door during your move as you stride toward a foe, or you could draw your weapon as part of the same action you use to attack.\n\nIf you want to interact with a second object, you need to use your action. Some magic items and other special objects always require an action to use, as stated in their descriptions.\n\nThe GM might require you to use an action for any of these activities when it needs special care or when it presents an unusual obstacle. For instance, the GM could reasonably expect you to use an action to open a stuck door or turn a crank to lower a drawbridge.\n\n### Reactions\n\nCertain special abilities, spells, and situations allow you to take a special action called a reaction. A reaction is an instant response to a trigger of some kind, which can occur on your turn or on someone else\'s. The opportunity attack, described later in this chapter, is the most common type of reaction.\n\nWhen you take a reaction, you can\'t take another one until the start of your next turn. If the reaction interrupts another creature\'s turn, that creature can continue its turn right after the reaction.\n',url = '/api/rule-sections/the-order-of-combat')
movement_and_position = entry_builder.entry_builder(name = 'Movement and Position',index = 'movement-and-position',desc = '## Movement and Position\n\nIn combat, characters and monsters are in constant motion, often using movement and position to gain the upper hand.\n\nOn your turn, you can move a distance up to your speed. You can use as much or as little of your speed as you like on your turn, following the rules here.\n\nYour movement can include jumping, climbing, and swimming. These different modes of movement can be combined with walking, or they can constitute your entire move. However you\'re moving, you deduct the distance of each part of your move from your speed until it is used up or until you are done moving.\n\n### Breaking Up Your Move\n\nYou can break up your movement on your turn, using some of your speed before and after your action. For example, if you have a speed of 30 feet, you can move 10 feet, take your action, and then move 20 feet.\n\n#### Moving between Attacks\n\nIf you take an action that includes more than one weapon attack, you can break up your movement even further by moving between those attacks. For example, a fighter who can make two attacks with the Extra Attack feature and who has a speed of 25 feet could move 10 feet, make an attack, move 15 feet, and then attack again.\n\n#### Using Different Speeds\n\nIf you have more than one speed, such as your walking speed and a flying speed, you can switch back and forth between your speeds during your move. Whenever you switch, subtract the distance you\'ve already moved from the new speed. The result determines how much farther you can move. If the result is 0 or less, you can\'t use the new speed during the current move.\n\nFor example, if you have a speed of 30 and a flying speed of 60 because a wizard cast the *fly* spell on you, you could fly 20 feet, then walk 10 feet, and then leap into the air to fly 30 feet more.\n\n### Difficult Terrain\n\nCombat rarely takes place in bare rooms or on featureless plains. Boulder-strewn caverns, briar-choked forests, treacherous staircases-the setting of a typical fight contains difficult terrain.\n\nEvery foot of movement in difficult terrain costs 1 extra foot. This rule is true even if multiple things in a space count as difficult terrain.\n\nLow furniture, rubble, undergrowth, steep stairs, snow, and shallow bogs are examples of difficult terrain. The space of another creature, whether hostile or not, also counts as difficult terrain.\n\n### Being Prone\n\nCombatants often find themselves lying on the ground, either because they are knocked down or because they throw themselves down. In the game, they are prone, a condition described in appendix PH-A.\n\nYou can **drop prone** without using any of your speed. **Standing up** takes more effort; doing so costs an amount of movement equal to half your speed. For example, if your speed is 30 feet, you must spend\n\n15 feet of movement to stand up. You can\'t stand up if you don\'t have enough movement left or if your speed is 0.\n\nTo move while prone, you must **crawl** or use magic such as teleportation. Every foot of movement while crawling costs 1 extra foot. Crawling 1 foot in difficult terrain, therefore, costs 3 feet of movement.\n\n### Moving Around Other Creatures\n\nYou can move through a nonhostile creature\'s space. In contrast, you can move through a hostile creature\'s space only if the creature is at least two sizes larger or smaller than you. Remember that another creature\'s space is difficult terrain for you.\n\nWhether a creature is a friend or an enemy, you can\'t willingly end your move in its space.\n\nIf you leave a hostile creature\'s reach during your move, you provoke an opportunity attack, as explained later in the chapter.\n\n### Flying Movement\n\nFlying creatures enjoy many benefits of mobility, but they must also deal with the danger of falling. If a flying creature is knocked prone, has its speed reduced to 0, or is otherwise deprived of the ability to move, the creature falls, unless it has the ability to hover or it is being held aloft by magic, such as by the *fly* spell.\n\n### Creature Size\n\nEach creature takes up a different amount of space. The Size Categories table shows how much space a creature of a particular size controls in combat. Objects sometimes use the same size categories.\n\n#### Size Categories\n\n| Size       | Space                  |\n|------------|------------------------|\n| Tiny       | 2.5 by 2.5 ft.           |\n| Small      | 5 by 5 ft.             |\n| Medium     | 5 by 5 ft.             |\n| Large      | 10 by 10 ft.           |\n| Huge       | 15 by 15 ft.           |\n| Gargantuan | 20 by 20 ft. or larger |\n\n#### Space\n\nA creature\'s space is the area in feet that it effectively controls in combat, not an expression of its physical dimensions. A typical Medium creature isn\'t 5 feet wide, for example, but it does control a space that wide. If a Medium hobgoblin stands in a 5-foot-wide doorway, other creatures can\'t get through unless the hobgoblin lets them.\n\nA creature\'s space also reflects the area it needs to fight effectively. For that reason, there\'s a limit to the number of creatures that can surround another creature in combat. Assuming Medium combatants, eight creatures can fit in a 5-foot radius around another one.\n\nBecause larger creatures take up more space, fewer of them can surround a creature. If five Large creatures crowd around a Medium or smaller one, there\'s little room for anyone else. In contrast, as many as twenty Medium creatures can surround a Gargantuan one.\n\n#### Squeezing into a Smaller Space\n\nA creature can squeeze through a space that is large enough for a creature one size smaller than it. Thus, a Large creature can squeeze through a passage that\'s only 5 feet wide. While squeezing through a space, a creature must spend 1 extra foot for every foot it moves there, and it has disadvantage on attack rolls and Dexterity saving throws. Attack rolls against the creature have advantage while it\'s in the smaller space.\n\n### Interacting with Objects Around You\n\nHere are a few examples of the sorts of thing you can do in tandem with your movement and action:\n- draw or sheathe a sword\n- open or close a door\n- withdraw a potion from your backpack\n- pick up a dropped axe\n- take a bauble from a table\n- remove a ring from your finger\n- stuff some food into your mouth\n- plant a banner in the ground\n- fish a few coins from your belt pouch\n- drink all the ale in a flagon\n- throw a lever or a switch\n- pull a torch from a sconce\n- take a book from a shelf you can reach\n- extinguish a small flame\n- don a mask\n- pull the hood of your cloak up and over your head\n- put your ear to a door\n- kick a small stone\n- turn a key in a lock\n- tap the floor with a 10-foot pole\n- hand an item to another character\n',url = '/api/rule-sections/movement-and-position')
actions_in_combat = entry_builder.entry_builder(name = 'Actions in Combat',index = 'actions-in-combat',desc = '## Actions in Combat\n\nWhen you take your action on your turn, you can take one of the actions presented here, an action you gained from your class or a special feature, or an action that you improvise. Many monsters have action options of their own in their stat blocks.\n\nWhen you describe an action not detailed elsewhere in the rules, the GM tells you whether that action is possible and what kind of roll you need to make, if any, to determine success or failure.\n\n### Attack\n\nThe most common action to take in combat is the Attack action, whether you are swinging a sword, firing an arrow from a bow, or brawling with your fists.\n\nWith this action, you make one melee or ranged attack. See the "Making an Attack" section for the rules that govern attacks.\n\nCertain features, such as the Extra Attack feature of the fighter, allow you to make more than one attack with this action.\n\n### Cast a Spell\n\nSpellcasters such as wizards and clerics, as well as many monsters, have access to spells and can use them to great effect in combat. Each spell has a casting time, which specifies whether the caster must use an action, a reaction, minutes, or even hours to cast the spell. Casting a spell is, therefore, not necessarily an action. Most spells do have a casting time of 1 action, so a spellcaster often uses his or her action in combat to cast such a spell.\n\n### Dash\n\nWhen you take the Dash action, you gain extra movement for the current turn. The increase equals your speed, after applying any modifiers. With a speed of 30 feet, for example, you can move up to 60 feet on your turn if you dash.\n\nAny increase or decrease to your speed changes this additional movement by the same amount. If your speed of 30 feet is reduced to 15 feet, for instance, you can move up to 30 feet this turn if you dash.\n\n### Disengage\n\nIf you take the Disengage action, your movement doesn\'t provoke opportunity attacks for the rest of the turn.\n\n### Dodge\n\nWhen you take the Dodge action, you focus entirely on avoiding attacks. Until the start of your next turn, any attack roll made against you has disadvantage if you can see the attacker, and you make Dexterity saving throws with advantage. You lose this benefit if you are incapacitated (as explained in appendix PH-A) or if your speed drops to 0.\n\n### Help\n\nYou can lend your aid to another creature in the completion of a task. When you take the Help action, the creature you aid gains advantage on the next ability check it makes to perform the task you are helping with, provided that it makes the check before the start of your next turn.\n\nAlternatively, you can aid a friendly creature in attacking a creature within 5 feet of you. You feint, distract the target, or in some other way team up to make your ally\'s attack more effective. If your ally attacks the target before your next turn, the first attack roll is made with advantage.\n\n### Hide\n\nWhen you take the Hide action, you make a Dexterity (Stealth) check in an attempt to hide, following the rules for hiding. If you succeed, you gain certain benefits, as described in the "Unseen Attackers and Targets" section later in this chapter.\n\n### Ready\n\nSometimes you want to get the jump on a foe or wait for a particular circumstance before you act. To do so, you can take the Ready action on your turn, which lets you act using your reaction before the start of your next turn.\n\nFirst, you decide what perceivable circumstance will trigger your reaction. Then, you choose the action you will take in response to that trigger, or you choose to move up to your speed in response to it. Examples include "If the cultist steps on the trapdoor, I\'ll pull the lever that opens it," and "If the goblin steps next to me, I move away."\n\nWhen the trigger occurs, you can either take your reaction right after the trigger finishes or ignore the trigger. Remember that you can take only one reaction per round.\n\nWhen you ready a spell, you cast it as normal but hold its energy, which you release with your reaction when the trigger occurs. To be readied, a spell must have a casting time of 1 action, and holding onto the spell\'s magic requires concentration. If your concentration is broken, the spell dissipates without taking effect. For example, if you are concentrating on the *web* spell and ready *magic missile*, your *web* spell ends, and if you take damage before you release *magic missile* with your reaction, your concentration might be broken.\n\n### Search\n\nWhen you take the Search action, you devote your attention to finding something. Depending on the nature of your search, the GM might have you make a Wisdom (Perception) check or an Intelligence (Investigation) check.\n\n### Use an Object\n\nYou normally interact with an object while doing something else, such as when you draw a sword as part of an attack. When an object requires your action for its use, you take the Use an Object action. This action is also useful when you want to interact with more than one object on your turn.\n',url = '/api/rule-sections/actions-in-combat')
making_an_attack = entry_builder.entry_builder(name = 'Making an Attack',index = 'making-an-attack',desc = '## Making an Attack\n\nWhether you\'re striking with a melee weapon, firing a weapon at range, or making an attack roll as part of a spell, an attack has a simple structure.\n\n1.  **Choose a target.** Pick a target within your attack\'s range: a creature, an object, or a location.\n2.  **Determine modifiers.** The GM determines whether the target has cover and whether you have advantage or disadvantage against the target. In addition, spells, special abilities, and other effects can apply penalties or bonuses to your attack roll.\n3.  **Resolve the attack.** You make the attack roll. On a hit, you roll damage, unless the particular attack has rules that specify otherwise. Some attacks cause special effects in addition to or instead of damage.\n\nIf there\'s ever any question whether something you\'re doing counts as an attack, the rule is simple: if you\'re making an attack roll, you\'re making an attack.\n\n### Attack Rolls\n\nWhen you make an attack, your attack roll determines whether the attack hits or misses. To make an attack roll, roll a d20 and add the appropriate modifiers. If the total of the roll plus modifiers equals or exceeds the target\'s Armor Class (AC), the attack hits. The AC of a character is determined at character creation, whereas the AC of a monster is in its stat block.\n\n#### Modifiers to the Roll\n\nWhen a character makes an attack roll, the two most common modifiers to the roll are an ability modifier and the character\'s proficiency bonus. When a monster makes an attack roll, it uses whatever modifier is provided in its stat block.\n\n***Ability Modifier.*** The ability modifier used for a melee weapon attack is Strength, and the ability modifier used for a ranged weapon attack is Dexterity. Weapons that have the finesse or thrown property break this rule.\n\nSome spells also require an attack roll. The ability modifier used for a spell attack depends on the spellcasting ability of the spellcaster.\n\n***Proficiency Bonus.*** You add your proficiency bonus to your attack roll when you attack using a weapon with which you have proficiency, as well as when you attack with a spell.\n\n#### Rolling 1 or 20\n\nSometimes fate blesses or curses a combatant, causing the novice to hit and the veteran to miss.\n\nIf the d20 roll for an attack is a 20, the attack hits regardless of any modifiers or the target\'s AC. This is called a critical hit, which is explained later in this chapter.\n\nIf the d20 roll for an attack is a 1, the attack misses regardless of any modifiers or the target\'s AC.\n\n### Unseen Attackers and Targets\n\nCombatants often try to escape their foes\' notice by hiding, casting the invisibility spell, or lurking in darkness.\n\nWhen you attack a target that you can\'t see, you have disadvantage on the attack roll. This is true whether you\'re guessing the target\'s location or you\'re targeting a creature you can hear but not see. If the target isn\'t in the location you targeted, you automatically miss, but the GM typically just says that the attack missed, not whether you guessed the target\'s location correctly.\n\nWhen a creature can\'t see you, you have advantage on attack rolls against it. If you are hidden-both unseen and unheard-when you make an attack, you give away your location when the attack hits or misses.\n\n### Ranged Attacks\n\nWhen you make a ranged attack, you fire a bow or a crossbow, hurl a handaxe, or otherwise send projectiles to strike a foe at a distance. A monster might shoot spines from its tail. Many spells also involve making a ranged attack.\n\n#### Range\n\nYou can make ranged attacks only against targets within a specified range.\n\nIf a ranged attack, such as one made with a spell, has a single range, you can\'t attack a target beyond this range.\n\nSome ranged attacks, such as those made with a longbow or a shortbow, have two ranges. The smaller number is the normal range, and the larger number is the long range. Your attack roll has disadvantage when your target is beyond normal range, and you can\'t attack a target beyond the long range.\n\n#### Ranged Attacks in Close Combat\n\nAiming a ranged attack is more difficult when a foe is next to you. When you make a ranged attack with a weapon, a spell, or some other means, you have disadvantage on the attack roll if you are within 5 feet of a hostile creature who can see you and who isn\'t incapacitated.\n\n### Melee Attacks\n\nUsed in hand-to-hand combat, a melee attack allows you to attack a foe within your reach. A melee attack typically uses a handheld weapon such as a sword, a warhammer, or an axe. A typical monster makes a melee attack when it strikes with its claws, horns, teeth, tentacles, or other body part. A few spells also involve making a melee attack.\n\nMost creatures have a 5-foot **reach** and can thus attack targets within 5 feet of them when making a melee attack. Certain creatures (typically those larger than Medium) have melee attacks with a greater reach than 5 feet, as noted in their descriptions.\n\nInstead of using a weapon to make a melee weapon attack, you can use an **unarmed strike**: a punch, kick, head-butt, or similar forceful blow (none of which count as weapons). On a hit, an unarmed strike deals bludgeoning damage equal to 1 + your Strength modifier. You are proficient with your unarmed strikes.\n\n#### Opportunity Attacks\n\nIn a fight, everyone is constantly watching for a chance to strike an enemy who is fleeing or passing by. Such a strike is called an opportunity attack.\n\nYou can make an opportunity attack when a hostile creature that you can see moves out of your reach. To make the opportunity attack, you use your reaction to make one melee attack against the provoking creature. The attack occurs right before the creature leaves your reach.\n\nYou can avoid provoking an opportunity attack by taking the Disengage action. You also don\'t provoke an opportunity attack when you teleport or when someone or something moves you without using your movement, action, or reaction. For example, you don\'t provoke an opportunity attack if an explosion hurls you out of a foe\'s reach or if gravity causes you to fall past an enemy.\n\n#### Two-Weapon Fighting\n\nWhen you take the Attack action and attack with a light melee weapon that you\'re holding in one hand, you can use a bonus action to attack with a different light melee weapon that you\'re holding in the other hand. You don\'t add your ability modifier to the damage of the bonus attack, unless that modifier is negative.\n\nIf either weapon has the thrown property, you can throw the weapon, instead of making a melee attack with it.\n\n#### Contests in Combat\n\nBattle often involves pitting your prowess against that of your foe. Such a challenge is represented by a contest. This section includes the most common contests that require an action in combat: grappling and shoving a creature. The GM can use these contests as models for improvising others.\n\n#### Grappling\n\nWhen you want to grab a creature or wrestle with it, you can use the Attack action to make a special melee attack, a grapple. If you\'re able to make multiple attacks with the Attack action, this attack replaces one of them.\n\nThe target of your grapple must be no more than one size larger than you and must be within your reach. Using at least one free hand, you try to seize the target by making a grapple check instead of an attack roll: a Strength (Athletics) check contested by the target\'s Strength (Athletics) or Dexterity (Acrobatics) check (the target chooses the ability to use). If you succeed, you subject the target to the grappled condition (see appendix PH-A). The condition specifies the things that end it, and you can release the target whenever you like (no action required).\n\n***Escaping a Grapple.*** A grappled creature can use its action to escape. To do so, it must succeed on a Strength (Athletics) or Dexterity (Acrobatics) check contested by your Strength\n(Athletics) check.\n\n***Moving a Grappled Creature.*** When you move, you can drag or carry the grappled creature with you, but your speed is halved, unless the creature is two or more sizes smaller than you.\n\n#### Shoving a Creature\n\nUsing the Attack action, you can make a special melee attack to shove a creature, either to knock it prone or push it away from you. If you\'re able to make multiple attacks with the Attack action, this attack replaces one of them.\n\nThe target must be no more than one size larger than you and must be within your reach. Instead of making an attack roll, you make a Strength (Athletics) check contested by the target\'s Strength (Athletics) or Dexterity (Acrobatics) check (the target chooses the ability to use). If you win the contest, you either knock the target prone or push it 5 feet away from you.\n',url = '/api/rule-sections/making-an-attack')
cover = entry_builder.entry_builder(name = 'Cover',index = 'cover',desc = '## Cover\n\nWalls, trees, creatures, and other obstacles can provide cover during combat, making a target more difficult to harm. A target can benefit from cover only when an attack or other effect originates on the opposite side of the cover.\n\nThere are three degrees of cover. If a target is behind multiple sources of cover, only the most protective degree of cover applies; the degrees aren\'t added together. For example, if a target is behind a creature that gives half cover and a tree trunk that gives three-quarters cover, the target has three-quarters cover.\n\nA target with **half cover** has a +2 bonus to AC and Dexterity saving throws. A target has half cover if an obstacle blocks at least half of its body. The obstacle might be a low wall, a large piece of furniture, a narrow tree trunk, or a creature, whether that creature is an enemy or a friend.\n\nA target with **three-quarters cover** has a +5 bonus to AC and Dexterity saving throws. A target has three-quarters cover if about three-quarters of it is covered by an obstacle. The obstacle might be a portcullis, an arrow slit, or a thick tree trunk.\n\nA target with **total cover** can\'t be targeted directly by an attack or a spell, although some spells can reach such a target by including it in an area of effect. A target has total cover if it is completely concealed by an obstacle.\n',url = '/api/rule-sections/cover')
damage_and_healing = entry_builder.entry_builder(name = 'Damage and Healing',index = 'damage-and-healing',desc = '## Damage and Healing\n\nInjury and the risk of death are constant companions of those who explore fantasy gaming worlds. The thrust of a sword, a well-placed arrow, or a blast of flame from a *fireball* spell all have the potential to damage, or even kill, the hardiest of creatures.\n\n### Hit Points\n\nHit points represent a combination of physical and mental durability, the will to live, and luck. Creatures with more hit points are more difficult to kill. Those with fewer hit points are more fragile.\n\nA creature\'s current hit points (usually just called hit points) can be any number from the creature\'s hit point maximum down to 0. This number changes frequently as a creature takes damage or receives healing.\n\nWhenever a creature takes damage, that damage is subtracted from its hit points. The loss of hit points has no effect on a creature\'s capabilities until the creature drops to 0 hit points.\n\n### Damage Rolls\n\nEach weapon, spell, and harmful monster ability specifies the damage it deals. You roll the damage die or dice, add any modifiers, and apply the damage to your target. Magic weapons, special abilities, and other factors can grant a bonus to damage. With a penalty, it is possible to deal 0 damage, but never negative damage.\n\nWhen attacking with a **weapon**, you add your ability modifier-the same modifier used for the attack roll-to the damage. A **spell** tells you which dice to roll for damage and whether to add any modifiers.\n\nIf a spell or other effect deals damage to **more** **than one target** at the same time, roll the damage once for all of them. For example, when a wizard casts *fireball* or a cleric casts *flame strike*, the spell\'s damage is rolled once for all creatures caught in the blast.\n\n#### Critical Hits\n\nWhen you score a critical hit, you get to roll extra dice for the attack\'s damage against the target. Roll all of the attack\'s damage dice twice and add them together. Then add any relevant modifiers as normal. To speed up play, you can roll all the damage dice at once.\n\nFor example, if you score a critical hit with a dagger, roll 2d4 for the damage, rather than 1d4, and then add your relevant ability modifier. If the attack involves other damage dice, such as from the rogue\'s Sneak Attack feature, you roll those dice twice as well.\n\n#### Damage Types\n\nDifferent attacks, damaging spells, and other harmful effects deal different types of damage. Damage types have no rules of their own, but other rules, such as damage resistance, rely on the types.\n\nThe damage types follow, with examples to help a GM assign a damage type to a new effect.\n\n***Acid.*** The corrosive spray of a black dragon\'s breath and the dissolving enzymes secreted by a black pudding deal acid damage.\n\n***Bludgeoning.*** Blunt force attacks-hammers, falling, constriction, and the like-deal bludgeoning damage.\n\n***Cold.*** The infernal chill radiating from an ice devil\'s spear and the frigid blast of a white dragon\'s breath deal cold damage.\n\n***Fire.*** Red dragons breathe fire, and many spells conjure flames to deal fire damage.\n\n***Force.*** Force is pure magical energy focused into a damaging form. Most effects that deal force damage are spells, including *magic missile* and *spiritual weapon*.\n\n***Lightning.*** A *lightning bolt* spell and a blue dragon\'s breath deal lightning damage.\n\n***Necrotic.*** Necrotic damage, dealt by certain undead and a spell such as *chill touch*, withers matter and even the soul.\n\n***Piercing.*** Puncturing and impaling attacks, including spears and monsters\' bites, deal piercing damage.\n\n***Poison.*** Venomous stings and the toxic gas of a green dragon\'s breath deal poison damage.\n\n***Psychic.*** Mental abilities such as a mind flayer\'s psionic blast deal psychic damage.\n\n***Radiant.*** Radiant damage, dealt by a cleric\'s *flame strike* spell or an angel\'s smiting weapon, sears the flesh like fire and overloads the spirit with power.\n\n***Slashing.*** Swords, axes, and monsters\' claws deal slashing damage.\n\n***Thunder.*** A concussive burst of sound, such as the effect of the *thunderwave* spell, deals thunder damage.\n\n### Damage Resistance and Vulnerability\n\nSome creatures and objects are exceedingly difficult or unusually easy to hurt with certain types of damage.\n\nIf a creature or an object has **resistance** to a damage type, damage of that type is halved against it. If a creature or an object has **vulnerability** to a damage type, damage of that type is doubled against it.\n\nResistance and then vulnerability are applied after all other modifiers to damage. For example, a creature has resistance to bludgeoning damage and is hit by an attack that deals 25 bludgeoning damage. The creature is also within a magical aura that reduces all damage by 5. The 25 damage is first reduced by 5 and then halved, so the creature takes 10 damage.\n\nMultiple instances of resistance or vulnerability that affect the same damage type count as only one instance. For example, if a creature has resistance to fire damage as well as resistance to all nonmagical damage, the damage of a nonmagical fire is reduced by half against the creature, not reduced by three-quarters.\n\n### Healing\n\nUnless it results in death, damage isn\'t permanent. Even death is reversible through powerful magic. Rest can restore a creature\'s hit points, and magical methods such as a *cure wounds* spell or a *potion of healing* can remove damage in an instant.\n\nWhen a creature receives healing of any kind, hit points regained are added to its current hit points. A creature\'s hit points can\'t exceed its hit point maximum, so any hit points regained in excess of this number are lost. For example, a druid grants a ranger 8 hit points of healing. If the ranger has 14 current hit points and has a hit point maximum of 20, the ranger regains 6 hit points from the druid, not 8.\n\nA creature that has died can\'t regain hit points until magic such as the *revivify* spell has restored it to life.\n\n### Dropping to 0 Hit Points\n\nWhen you drop to 0 hit points, you either die outright or fall unconscious, as explained in the following sections.\n\n#### Instant Death\n\nMassive damage can kill you instantly. When damage reduces you to 0 hit points and there is damage remaining, you die if the remaining damage equals or exceeds your hit point maximum.\n\nFor example, a cleric with a maximum of 12 hit points currently has 6 hit points. If she takes 18 damage from an attack, she is reduced to 0 hit points, but 12 damage remains. Because the remaining damage equals her hit point maximum, the cleric dies.\n\n#### Falling Unconscious\n\nIf damage reduces you to 0 hit points and fails to kill you, you fall unconscious (see appendix PH-A). This unconsciousness ends if you regain any hit points.\n\n#### Death Saving Throws\n\nWhenever you start your turn with 0 hit points, you must make a special saving throw, called a death saving throw, to determine whether you creep closer to death or hang onto life. Unlike other saving throws, this one isn\'t tied to any ability score. You are in the hands of fate now, aided only by spells and features that improve your chances of succeeding on a saving throw.\n\nRoll a d20. If the roll is 10 or higher, you succeed. Otherwise, you fail. A success or failure has no effect by itself. On your third success, you become stable (see below). On your third failure, you die. The successes and failures don\'t need to be consecutive; keep track of both until you collect three of a kind. The number of both is reset to zero when you regain any hit points or become stable.\n\n***Rolling 1 or 20.*** When you make a death saving throw and roll a 1 on the d20, it counts as two failures. If you roll a 20 on the d20, you regain 1 hit point.\n\n***Damage at 0 Hit Points.*** If you take any damage while you have 0 hit points, you suffer a death saving throw failure. If the damage is from a critical hit, you suffer two failures instead. If the damage equals or exceeds your hit point maximum, you suffer instant death.\n\n#### Stabilizing a Creature\n\nThe best way to save a creature with 0 hit points is to heal it. If healing is unavailable, the creature can at least be stabilized so that it isn\'t killed by a failed death saving throw.\n\nYou can use your action to administer first aid to an unconscious creature and attempt to stabilize it, which requires a successful DC 10 Wisdom (Medicine) check.\n\nA **stable** creature doesn\'t make death saving throws, even though it has 0 hit points, but it does remain unconscious. The creature stops being stable, and must start making death saving throws again, if it takes any damage. A stable creature that isn\'t healed regains 1 hit point after 1d4 hours.\n\n#### Monsters and Death\n\nMost GMs have a monster die the instant it drops to 0 hit points, rather than having it fall unconscious and make death saving throws.\n\nMighty villains and special nonplayer characters are common exceptions; the GM might have them fall unconscious and follow the same rules as player characters.\n\n### Knocking a Creature Out\n\nSometimes an attacker wants to incapacitate a foe, rather than deal a killing blow. When an attacker reduces a creature to 0 hit points with a melee attack, the attacker can knock the creature out. The attacker can make this choice the instant the damage is dealt. The creature falls unconscious and is stable.\n\n### Temporary Hit Points\n\nSome spells and special abilities confer temporary hit points to a creature. Temporary hit points aren\'t actual hit points; they are a buffer against damage, a pool of hit points that protect you from injury.\n\nWhen you have temporary hit points and take damage, the temporary hit points are lost first, and any leftover damage carries over to your normal hit points. For example, if you have 5 temporary hit points and take 7 damage, you lose the temporary hit points and then take 2 damage.\n\nBecause temporary hit points are separate from your actual hit points, they can exceed your hit point maximum. A character can, therefore, be at full hit points and receive temporary hit points.\n\nHealing can\'t restore temporary hit points, and they can\'t be added together. If you have temporary hit points and receive more of them, you decide whether to keep the ones you have or to gain the new ones. For example, if a spell grants you 12 temporary hit points when you already have 10, you can have 12 or 10, not 22.\n\nIf you have 0 hit points, receiving temporary hit points doesn\'t restore you to consciousness or stabilize you. They can still absorb damage directed at you while you\'re in that state, but only true healing can save you.\n\nUnless a feature that grants you temporary hit points has a duration, they last until they\'re depleted or you finish a long rest.\n',url = '/api/rule-sections/damage-and-healing')
mounted_combat = entry_builder.entry_builder(name = 'Mounted Combat',index = 'mounted-combat',desc = '## Mounted Combat\n\nA knight charging into battle on a warhorse, a wizard casting spells from the back of a griffon, or a cleric soaring through the sky on a pegasus all enjoy the benefits of speed and mobility that a mount can provide.\n\nA willing creature that is at least one size larger than you and that has an appropriate anatomy can serve as a mount, using the following rules.\n\n### Mounting and Dismounting\n\nOnce during your move, you can mount a creature that is within 5 feet of you or dismount. Doing so costs an amount of movement equal to half your speed. For example, if your speed is 30 feet, you must spend 15 feet of movement to mount a horse. Therefore, you can\'t mount it if you don\'t have 15 feet of movement left or if your speed is 0.\n\nIf an effect moves your mount against its will while you\'re on it, you must succeed on a DC 10 Dexterity saving throw or fall off the mount, landing prone in a space within 5 feet of it. If you\'re knocked prone while mounted, you must make the same saving throw.\n\nIf your mount is knocked prone, you can use your reaction to dismount it as it falls and land on your feet. Otherwise, you are dismounted and fall prone in a space within 5 feet it.\n\n### Controlling a Mount\n\nWhile you\'re mounted, you have two options. You can either control the mount or allow it to act independently. Intelligent creatures, such as dragons, act independently.\n\nYou can control a mount only if it has been trained to accept a rider. Domesticated horses, donkeys, and similar creatures are assumed to have such training. The initiative of a controlled mount changes to match yours when you mount it. It moves as you direct it, and it has only three action options: Dash, Disengage, and Dodge. A controlled mount can move and act even on the turn that you mount it.\n\nAn independent mount retains its place in the initiative order. Bearing a rider puts no restrictions on the actions the mount can take, and it moves and acts as it wishes. It might flee from combat, rush to attack and devour a badly injured foe, or otherwise act against your wishes.\n\nIn either case, if the mount provokes an opportunity attack while you\'re on it, the attacker can target you or the mount.\n',url = '/api/rule-sections/mounted-combat')
underwater_combat = entry_builder.entry_builder(name = 'Underwater Combat',index = 'underwater-combat',desc = '## Underwater Combat\n\nWhen adventurers pursue sahuagin back to their undersea homes, fight off sharks in an ancient shipwreck, or find themselves in a flooded dungeon room, they must fight in a challenging environment. Underwater the following rules apply.\n\nWhen making a **melee weapon attack**, a creature that doesn\'t have a swimming speed (either natural or granted by magic) has disadvantage on the attack roll unless the weapon is a dagger, javelin, shortsword, spear, or trident.\n\nA **ranged weapon attack** automatically misses a target beyond the weapon\'s normal range. Even against a target within normal range, the attack roll has disadvantage unless the weapon is a crossbow, a net, or a weapon that is thrown like a javelin (including a spear, trident, or dart).\n\nCreatures and objects that are fully immersed in water have resistance to fire damage.',url = '/api/rule-sections/underwater-combat')
ability_scores_and_modifiers = entry_builder.entry_builder(name = 'Ability Scores and Modifiers',index = 'ability-scores-and-modifiers',desc = '## Ability Scores and Modifiers\n\n| Score | Modifier |\n|-------|----------|\n| 1     | -5       |\n| 2-3   | -4       |\n| 4-5   | -3       |\n| 6-7   | -2       |\n| 8-9   | -1       |\n| 10-11 | +0       |\n| 12-13 | +1       |\n| 14-15 | +2       |\n| 16-17 | +3       |\n| 18-19 | +4       |\n| 20-21 | +5       |\n| 22-23 | +6       |\n| 24-25 | +7       |\n| 26-27 | +8       |\n| 28-29 | +9       |\n| 30    | +10      |\n\nTo determine an ability modifier without consulting the table, subtract 10 from the ability score and then divide the total by 2 (round down).\n\nBecause ability modifiers affect almost every attack roll, ability check, and saving throw, ability modifiers come up in play more often than their associated scores.\n',url = '/api/rule-sections/ability-scores-and-modifiers')
advantage_and_disadvantage = entry_builder.entry_builder(name = 'Advantage and Disadvantage',index = 'advantage-and-disadvantage',desc = '## Advantage and Disadvantage\n\nSometimes a special ability or spell tells you that you have advantage or disadvantage on an ability check, a saving throw, or an attack roll. When that happens, you roll a second d20 when you make the roll. Use the higher of the two rolls if you have advantage, and use the lower roll if you have disadvantage. For example, if you have disadvantage and roll a 17 and a 5, you use the 5. If you instead have advantage and roll those numbers, you use the 17.\n\nIf multiple situations affect a roll and each one grants advantage or imposes disadvantage on it, you don\'t roll more than one additional d20. If two favorable situations grant advantage, for example, you still roll only one additional d20.\n\nIf circumstances cause a roll to have both advantage and disadvantage, you are considered to have neither of them, and you roll one d20. This is true even if multiple circumstances impose disadvantage and only one grants advantage or vice versa. In such a situation, you have neither advantage nor disadvantage.\n\nWhen you have advantage or disadvantage and something in the game, such as the halfling\'s Lucky trait, lets you reroll the d20, you can reroll only one of the dice. You choose which one. For example, if a halfling has advantage or disadvantage on an ability check and rolls a 1 and a 13, the halfling could use the Lucky trait to reroll the 1.\n\nYou usually gain advantage or disadvantage through the use of special abilities, actions, or spells. Inspiration can also give a character advantage. The\n\nGM can also decide that circumstances influence a roll in one direction or the other and grant advantage or impose disadvantage as a result.\n',url = '/api/rule-sections/advantage-and-disadvantage')
proficiency_bonus = entry_builder.entry_builder(name = 'Proficiency Bonus',index = 'proficiency-bonus',desc = '## Proficiency Bonus\n\nCharacters have a proficiency bonus determined by level. Monsters also have this bonus, which is incorporated in their stat blocks. The bonus is used in the rules on ability checks, saving throws, and attack rolls.\n\nYour proficiency bonus can\'t be added to a single die roll or other number more than once. For example, if two different rules say you can add your proficiency bonus to a Wisdom saving throw, you nevertheless add the bonus only once when you make the save.\n\nOccasionally, your proficiency bonus might be multiplied or divided (doubled or halved, for example) before you apply it. For example, the rogue\'s Expertise feature doubles the proficiency bonus for certain ability checks. If a circumstance suggests that your proficiency bonus applies more than once to the same roll, you still add it only once and multiply or divide it only once.\n\nBy the same token, if a feature or effect allows you to multiply your proficiency bonus when making an ability check that wouldn\'t normally benefit from your proficiency bonus, you still don\'t add the bonus to the check. For that check your proficiency bonus is 0, given the fact that multiplying 0 by any number is still 0. For instance, if you lack proficiency in the History skill, you gain no benefit from a feature that lets you double your proficiency bonus when you make Intelligence (History) checks.\n\nIn general, you don\'t multiply your proficiency bonus for attack rolls or saving throws. If a feature or effect allows you to do so, these same rules apply.\n',url = '/api/rule-sections/proficiency-bonus')
ability_checks = entry_builder.entry_builder(name = 'Ability Checks',index = 'ability-checks',desc = '## Ability Checks\n\nAn ability check tests a character\'s or monster\'s innate talent and training in an effort to overcome a challenge. The GM calls for an ability check when a character or monster attempts an action (other than an attack) that has a chance of failure. When the outcome is uncertain, the dice determine the results.\n\nFor every ability check, the GM decides which of the six abilities is relevant to the task at hand and the difficulty of the task, represented by a Difficulty Class.\n\nThe more difficult a task, the higher its DC. The Typical Difficulty Classes table shows the most common DCs.\n\n#### Typical Difficulty Classes\n\n| Task Difficulty   | DC |\n|-------------------|----|\n| Very easy         | 5  |\n| Easy              | 10 |\n| Medium            | 15 |\n| Hard              | 20 |\n| Very hard         | 25 |\n| Nearly impossible | 30 |\n\nTo make an ability check, roll a d20 and add the relevant ability modifier. As with other d20 rolls, apply bonuses and penalties, and compare the total to the DC. If the total equals or exceeds the DC, the ability check is a success-the creature overcomes the challenge at hand. Otherwise, it\'s a failure, which means the character or monster makes no progress toward the objective or makes progress combined with a setback determined by the GM.\n\n### Contests\n\nSometimes one character\'s or monster\'s efforts are directly opposed to another\'s. This can occur when both of them are trying to do the same thing and only one can succeed, such as attempting to snatch up a magic ring that has fallen on the floor. This situation also applies when one of them is trying to prevent the other one from accomplishing a goal--for example, when a monster tries to force open a door that an adventurer is holding closed. In situations like these, the outcome is determined by a special form of ability check, called a contest.\n\nBoth participants in a contest make ability checks appropriate to their efforts. They apply all appropriate bonuses and penalties, but instead of comparing the total to a DC, they compare the totals of their two checks. The participant with the higher check total wins the contest. That character or monster either succeeds at the action or prevents the other one from succeeding.\n\nIf the contest results in a tie, the situation remains the same as it was before the contest. Thus, one contestant might win the contest by default. If two characters tie in a contest to snatch a ring off the floor, neither character grabs it. In a contest between a monster trying to open a door and an adventurer trying to keep the door closed, a tie means that the door remains shut.\n\n### Skills\n\nEach ability covers a broad range of capabilities, including skills that a character or a monster can be proficient in. A skill represents a specific aspect of an ability score, and an individual\'s proficiency in a skill demonstrates a focus on that aspect. (A character\'s starting skill proficiencies are determined at character creation, and a monster\'s skill proficiencies appear in the monster\'s stat block.)\n\nFor example, a Dexterity check might reflect a character\'s attempt to pull off an acrobatic stunt, to palm an object, or to stay hidden. Each of these aspects of Dexterity has an associated skill: Acrobatics, Sleight of Hand, and Stealth, respectively. So a character who has proficiency in the Stealth skill is particularly good at Dexterity checks related to sneaking and hiding.\n\nThe skills related to each ability score are shown in the following list. (No skills are related to Constitution.) See an ability\'s description in the later sections of this section for examples of how to use a skill associated with an ability.\n\n#### Strength\n- Athletics\n\n#### Dexterity\n- Acrobatics\n- Sleight of Hand\n- Stealth\n\n#### Intelligence\n- Arcana\n- History\n- Investigation\n- Nature\n- Religion\n\n#### Wisdom\n- Animal Handling\n- Insight\n- Medicine\n- Perception\n- Survival\n\n#### Charisma\n- Deception\n- Intimidation\n- Performance\n- Persuasion\n\nSometimes, the GM might ask for an ability check using a specific skill-for example, "Make a Wisdom (Perception) check." At other times, a player might ask the GM if proficiency in a particular skill applies to a check. In either case, proficiency in a skill means an individual can add his or her proficiency bonus to ability checks that involve that skill. Without proficiency in the skill, the individual makes a normal ability check.\n\nFor example, if a character attempts to climb up a dangerous cliff, the GM might ask for a Strength (Athletics) check. If the character is proficient in Athletics, the character\'s proficiency bonus is added to the Strength check. If the character lacks that proficiency, he or she just makes a Strength check.\n\n#### Variant: Skills with Different Abilities\n\nNormally, your proficiency in a skill applies only to a specific kind of ability check. Proficiency in Athletics, for example, usually applies to Strength checks. In some situations, though, your proficiency might reasonably apply to a different kind of check. In such cases, the GM might ask for a check using an unusual combination of ability and skill, or you might ask your GM if you can apply a proficiency to a different check. For example, if you have to swim from an offshore island to the mainland, your GM might call for a Constitution check to see if you have the stamina to make it that far. In this case, your GM might allow you to apply your proficiency in Athletics and ask for a Constitution (Athletics) check. So if you\'re proficient in Athletics, you apply your proficiency bonus to the Constitution check just as you would normally do for a Strength (Athletics) check. Similarly, when your half-orc barbarian uses a display of raw strength to intimidate an enemy, your GM might ask for a Strength (Intimidation) check, even though Intimidation is normally associated with Charisma.\n\n### Passive Checks\n\nA passive check is a special kind of ability check that doesn\'t involve any die rolls. Such a check can represent the average result for a task done repeatedly, such as searching for secret doors over and over again, or can be used when the GM wants to secretly determine whether the characters succeed at something without rolling dice, such as noticing a hidden monster.\n\nHere\'s how to determine a character\'s total for a passive check:\n\n10 + all modifiers that normally apply to the check\n\nIf the character has advantage on the check, add 5. For disadvantage, subtract 5. The game refers to a passive check total as a **score**.\n\nFor example, if a 1st-level character has a Wisdom of 15 and proficiency in Perception, he or she has a passive Wisdom (Perception) score of 14.\n\nThe rules on hiding in the "Dexterity" section below rely on passive checks, as do the exploration rules.\n\n### Working Together\n\nSometimes two or more characters team up to attempt a task. The character who\'s leading the effort-or the one with the highest ability modifier-can make an ability check with advantage, reflecting the help provided by the other characters. In combat, this requires the Help action.\n\nA character can only provide help if the task is one that he or she could attempt alone. For example, trying to open a lock requires proficiency with thieves\' tools, so a character who lacks that proficiency can\'t help another character in that task. Moreover, a character can help only when two or more individuals working together would actually be productive. Some tasks, such as threading a needle, are no easier with help.\n\n#### Group Checks\n\nWhen a number of individuals are trying to accomplish something as a group, the GM might ask for a group ability check. In such a situation, the characters who are skilled at a particular task help cover those who aren\'t.\n\nTo make a group ability check, everyone in the group makes the ability check. If at least half the group succeeds, the whole group succeeds. Otherwise, the group fails.\n\nGroup checks don\'t come up very often, and they\'re most useful when all the characters succeed or fail as a group. For example, when adventurers are navigating a swamp, the GM might call for a group Wisdom (Survival) check to see if the characters can avoid the quicksand, sinkholes, and other natural hazards of the environment. If at least half the group succeeds, the successful characters are able to guide their companions out of danger. Otherwise, the group stumbles into one of these hazards.\n',url = '/api/rule-sections/ability-checks')
using_each_ability = entry_builder.entry_builder(name = 'Using Each Ability',index = 'using-each-ability',desc = '## Using Each Ability\n\nEvery task that a character or monster might attempt in the game is covered by one of the six abilities. This section explains in more detail what those abilities mean and the ways they are used in the game.\n\n### Strength\n\nStrength measures bodily power, athletic training, and the extent to which you can exert raw physical force.\n\n#### Strength Checks\n\nA Strength check can model any attempt to lift, push, pull, or break something, to force your body through a space, or to otherwise apply brute force to a situation. The Athletics skill reflects aptitude in certain kinds of Strength checks.\n\n***Athletics.*** Your Strength (Athletics) check covers difficult situations you encounter while climbing, jumping, or swimming. Examples include the following activities:\n- You attempt to climb a sheer or slippery cliff, avoid hazards while scaling a wall, or cling to a surface while something is trying to knock you off.\n- You try to jump an unusually long distance or pull off a stunt midjump.\n- You struggle to swim or stay afloat in treacherous currents, storm-tossed waves, or areas of thick seaweed. Or another creature tries to push or pull you underwater or otherwise interfere with your swimming.\n\n***Other Strength Checks.*** The GM might also call for a Strength check when you try to accomplish tasks like the following:\n- Force open a stuck, locked, or barred door\n- Break free of bonds\n- Push through a tunnel that is too small\n- Hang on to a wagon while being dragged behind it\n- Tip over a statue\n- Keep a boulder from rolling\n\n#### Attack Rolls and Damage\n\nYou add your Strength modifier to your attack roll and your damage roll when attacking with a melee weapon such as a mace, a battleaxe, or a javelin. You use melee weapons to make melee attacks in hand-to-hand combat, and some of them can be thrown to make a ranged attack.\n\n#### Lifting and Carrying\n\nYour Strength score determines the amount of weight you can bear. The following terms define what you can lift or carry.\n\n***Carrying Capacity.*** Your carrying capacity is your Strength score multiplied by 15. This is the weight (in pounds) that you can carry, which is high enough that most characters don\'t usually have to worry about it.\n\n***Push, Drag, or Lift.*** You can push, drag, or lift a weight in pounds up to twice your carrying capacity (or 30 times your Strength score). While pushing or dragging weight in excess of your carrying capacity, your speed drops to 5 feet.\n\n***Size and Strength.*** Larger creatures can bear more weight, whereas Tiny creatures can carry less. For each size category above Medium, double the creature\'s carrying capacity and the amount it can push, drag, or lift. For a Tiny creature, halve these weights.\n\n##### Variant: Encumbrance\n\nThe rules for lifting and carrying are intentionally simple. Here is a variant if you are looking for more detailed rules for determining how a character is hindered by the weight of equipment. When you use this variant, ignore the Strength column of the Armor table.\n\nIf you carry weight in excess of 5 times your Strength score, you are **encumbered**, which means your speed drops by 10 feet.\n\nIf you carry weight in excess of 10 times your Strength score, up to your maximum carrying capacity, you are instead **heavily encumbered**, which means your speed drops by 20 feet and you have disadvantage on ability checks, attack rolls, and saving throws that use Strength, Dexterity, or Constitution.\n\n### Dexterity\n\nDexterity measures agility, reflexes, and balance.\n\n#### Dexterity Checks\n\nA Dexterity check can model any attempt to move nimbly, quickly, or quietly, or to keep from falling on tricky footing. The Acrobatics, Sleight of Hand, and Stealth skills reflect aptitude in certain kinds of Dexterity checks.\n\n***Acrobatics.*** Your Dexterity (Acrobatics) check covers your attempt to stay on your feet in a tricky situation, such as when you\'re trying to run across a sheet of ice, balance on a tightrope, or stay upright on a rocking ship\'s deck. The GM might also call for a Dexterity (Acrobatics) check to see if you can perform acrobatic stunts, including dives, rolls, somersaults, and flips.\n\n***Sleight of Hand.*** Whenever you attempt an act of legerdemain or manual trickery, such as planting something on someone else or concealing an object on your person, make a Dexterity (Sleight of Hand) check. The GM might also call for a Dexterity (Sleight of Hand) check to determine whether you can lift a coin purse off another person or slip something out of another person\'s pocket.\n\n***Stealth.*** Make a Dexterity (Stealth) check when you attempt to conceal yourself from enemies, slink past guards, slip away without being noticed, or sneak up on someone without being seen or heard.\n\n***Other Dexterity Checks.*** The GM might call for a Dexterity check when you try to accomplish tasks like the following:\n- Control a heavily laden cart on a steep descent\n- Steer a chariot around a tight turn\n- Pick a lock\n- Disable a trap\n- Securely tie up a prisoner\n- Wriggle free of bonds\n- Play a stringed instrument\n- Craft a small or detailed object\n\n#### Attack Rolls and Damage\n\nYou add your Dexterity modifier to your attack roll and your damage roll when attacking with a ranged weapon, such as a sling or a longbow. You can also add your Dexterity modifier to your attack roll and your damage roll when attacking with a melee weapon that has the finesse property, such as a dagger or a rapier.\n\n#### Armor Class\n\nDepending on the armor you wear, you might add some or all of your Dexterity modifier to your Armor Class.\n\n#### Initiative\n\nAt the beginning of every combat, you roll initiative by making a Dexterity check. Initiative determines the order of creatures\' turns in combat.\n\n#### Hiding\n\nThe GM decides when circumstances are appropriate for hiding. When you try to hide, make a Dexterity (Stealth) check. Until you are discovered or you stop hiding, that check\'s total is contested by the Wisdom (Perception) check of any creature that actively searches for signs of your presence.\n\nYou can\'t hide from a creature that can see you clearly, and you give away your position if you make noise, such as shouting a warning or knocking over a vase.\n\nAn invisible creature can always try to hide. Signs of its passage might still be noticed, and it does have to stay quiet.\n\nIn combat, most creatures stay alert for signs of danger all around, so if you come out of hiding and approach a creature, it usually sees you. However, under certain circumstances, the GM might allow you to stay hidden as you approach a creature that is distracted, allowing you to gain advantage on an attack roll before you are seen.\n\n***Passive Perception.*** When you hide, there\'s a chance someone will notice you even if they aren\'t searching. To determine whether such a creature notices you, the GM compares your Dexterity (Stealth) check with that creature\'s passive Wisdom (Perception) score, which equals 10 + the creature\'s Wisdom modifier, as well as any other bonuses or penalties. If the creature has advantage, add 5. For disadvantage, subtract 5. For example, if a 1st-level character (with a proficiency bonus of +2) has a Wisdom of 15 (a +2 modifier) and proficiency in Perception, he or she has a passive Wisdom (Perception) of 14.\n\n***What Can You See?*** One of the main factors in determining whether you can find a hidden creature or object is how well you can see in an area, which might be **lightly** or **heavily obscured**, as explained in chapter 8, "Adventuring."\n\n### Constitution\n\nConstitution measures health, stamina, and vital force.\n\n#### Constitution Checks\n\nConstitution checks are uncommon, and no skills apply to Constitution checks, because the endurance this ability represents is largely passive rather than involving a specific effort on the part of a character or monster. A Constitution check can model your attempt to push beyond normal limits, however.\n\nThe GM might call for a Constitution check when you try to accomplish tasks like the following:\n- Hold your breath\n- March or labor for hours without rest\n- Go without sleep\n- Survive without food or water\n- Quaff an entire stein of ale in one go\n\n#### Hit Points\n\nYour Constitution modifier contributes to your hit points. Typically, you add your Constitution modifier to each Hit Die you roll for your hit points.\n\nIf your Constitution modifier changes, your hit point maximum changes as well, as though you had the new modifier from 1st level. For example, if you raise your Constitution score when you reach 4th level and your Constitution modifier increases from +1 to +2, you adjust your hit point maximum as though the modifier had always been +2. So you add 3 hit points for your first three levels, and then roll your hit points for 4th level using your new modifier. Or if you\'re 7th level and some effect lowers your Constitution score so as to reduce your Constitution modifier by 1, your hit point maximum is reduced by 7.\n\n### Intelligence\n\nIntelligence measures mental acuity, accuracy of recall, and the ability to reason.\n\n#### Intelligence Checks\n\nAn Intelligence check comes into play when you need to draw on logic, education, memory, or deductive reasoning. The Arcana, History, Investigation, Nature, and Religion skills reflect aptitude in certain kinds of Intelligence checks.\n\n***Arcana.*** Your Intelligence (Arcana) check measures your ability to recall lore about spells, magic items, eldritch symbols, magical traditions, the planes of existence, and the inhabitants of those planes.\n\n***History.*** Your Intelligence (History) check measures your ability to recall lore about historical events, legendary people, ancient kingdoms, past disputes, recent wars, and lost civilizations.\n\n***Investigation.*** When you look around for clues and make deductions based on those clues, you make an Intelligence (Investigation) check. You might deduce the location of a hidden object, discern from the appearance of a wound what kind of weapon dealt it, or determine the weakest point in a tunnel that could cause it to collapse. Poring through ancient scrolls in search of a hidden fragment of knowledge might also call for an Intelligence (Investigation) check.\n\n***Nature.*** Your Intelligence (Nature) check measures your ability to recall lore about terrain, plants and animals, the weather, and natural cycles.\n\n***Religion.*** Your Intelligence (Religion) check measures your ability to recall lore about deities, rites and prayers, religious hierarchies, holy symbols, and the practices of secret cults.\n\n***Other Intelligence Checks.*** The GM might call for an Intelligence check when you try to accomplish tasks like the following:\n- Communicate with a creature without using words\n- Estimate the value of a precious item\n- Pull together a disguise to pass as a city guard\n- Forge a document\n- Recall lore about a craft or trade\n- Win a game of skill\n\n#### Spellcasting Ability\n\nWizards use Intelligence as their spellcasting ability, which helps determine the saving throw DCs of spells they cast.\n\n### Wisdom\n\nWisdom reflects how attuned you are to the world around you and represents perceptiveness and intuition.\n\n#### Wisdom Checks\n\nA Wisdom check might reflect an effort to read body language, understand someone\'s feelings, notice things about the environment, or care for an injured person. The Animal Handling, Insight, Medicine, Perception, and Survival skills reflect aptitude in certain kinds of Wisdom checks.\n\n***Animal Handling.*** When there is any question whether you can calm down a domesticated animal, keep a mount from getting spooked, or intuit an animal\'s intentions, the GM might call for a Wisdom (Animal Handling) check. You also make a Wisdom (Animal Handling) check to control your mount when you attempt a risky maneuver.\n\n***Insight.*** Your Wisdom (Insight) check decides whether you can determine the true intentions of a creature, such as when searching out a lie or predicting someone\'s next move. Doing so involves gleaning clues from body language, speech habits, and changes in mannerisms.\n\n***Medicine.*** A Wisdom (Medicine) check lets you try to stabilize a dying companion or diagnose an illness.\n\n***Perception.*** Your Wisdom (Perception) check lets you spot, hear, or otherwise detect the presence of something. It measures your general awareness of your surroundings and the keenness of your senses. For example, you might try to hear a conversation through a closed door, eavesdrop under an open window, or hear monsters moving stealthily in the forest. Or you might try to spot things that are obscured or easy to miss, whether they are orcs lying in ambush on a road, thugs hiding in the shadows of an alley, or candlelight under a closed secret door.\n\n***Survival.*** The GM might ask you to make a\n\nWisdom (Survival) check to follow tracks, hunt wild game, guide your group through frozen wastelands, identify signs that owlbears live nearby, predict the weather, or avoid quicksand and other natural hazards.\n\n***Other Wisdom Checks.*** The GM might call for a\n\nWisdom check when you try to accomplish tasks like the following:\n- Get a gut feeling about what course of action to follow\n- Discern whether a seemingly dead or living creature is undead\n\n#### Spellcasting Ability\n\nClerics, druids, and rangers use Wisdom as their spellcasting ability, which helps determine the saving throw DCs of spells they cast.\n\n### Charisma\n\nCharisma measures your ability to interact effectively with others. It includes such factors as confidence and eloquence, and it can represent a charming or commanding personality.\n\n#### Charisma Checks\n\nA Charisma check might arise when you try to influence or entertain others, when you try to make an impression or tell a convincing lie, or when you are navigating a tricky social situation. The Deception, Intimidation, Performance, and Persuasion skills reflect aptitude in certain kinds of Charisma checks.\n\n***Deception.*** Your Charisma (Deception) check determines whether you can convincingly hide the truth, either verbally or through your actions. This deception can encompass everything from misleading others through ambiguity to telling outright lies. Typical situations include trying to fast- talk a guard, con a merchant, earn money through gambling, pass yourself off in a disguise, dull someone\'s suspicions with false assurances, or maintain a straight face while telling a blatant lie.\n\n***Intimidation.*** When you attempt to influence someone through overt threats, hostile actions, and physical violence, the GM might ask you to make a Charisma (Intimidation) check. Examples include trying to pry information out of a prisoner, convincing street thugs to back down from a confrontation, or using the edge of a broken bottle to convince a sneering vizier to reconsider a decision.\n\n***Performance.*** Your Charisma (Performance) check determines how well you can delight an audience with music, dance, acting, storytelling, or some other form of entertainment.\n\n***Persuasion.*** When you attempt to influence someone or a group of people with tact, social graces, or good nature, the GM might ask you to make a Charisma (Persuasion) check. Typically, you use persuasion when acting in good faith, to foster friendships, make cordial requests, or exhibit proper etiquette. Examples of persuading others include convincing a chamberlain to let your party see the king, negotiating peace between warring tribes, or inspiring a crowd of townsfolk.\n\n***Other Charisma Checks.*** The GM might call for a Charisma check when you try to accomplish tasks like the following:\n- Find the best person to talk to for news, rumors, and gossip\n- Blend into a crowd to get the sense of key topics of conversation\n\n#### Spellcasting Ability\n\nBards, paladins, sorcerers, and warlocks use Charisma as their spellcasting ability, which helps determine the saving throw DCs of spells they cast.\n',url = '/api/rule-sections/using-each-ability')
saving_throws = entry_builder.entry_builder(name = 'Saving Throws',index = 'saving-throws',desc = '## Saving Throws\n\nA saving throw-also called a save-represents an attempt to resist a spell, a trap, a poison, a disease, or a similar threat. You don\'t normally decide to make a saving throw; you are forced to make one because your character or monster is at risk of harm.\n\nTo make a saving throw, roll a d20 and add the appropriate ability modifier. For example, you use your Dexterity modifier for a Dexterity saving throw.\n\nA saving throw can be modified by a situational bonus or penalty and can be affected by advantage and disadvantage, as determined by the GM.\n\nEach class gives proficiency in at least two saving throws. The wizard, for example, is proficient in Intelligence saves. As with skill proficiencies, proficiency in a saving throw lets a character add his or her proficiency bonus to saving throws made using a particular ability score. Some monsters have saving throw proficiencies as well.\n\nThe Difficulty Class for a saving throw is determined by the effect that causes it. For example, the DC for a saving throw allowed by a spell is determined by the caster\'s spellcasting ability and proficiency bonus.\n\nThe result of a successful or failed saving throw is also detailed in the effect that allows the save. Usually, a successful save means that a creature suffers no harm, or reduced harm, from an effect.\n',url = '/api/rule-sections/saving-throws')
time = entry_builder.entry_builder(name = 'Time',index = 'time',desc = '## Time\n\nIn situations where keeping track of the passage of time is important, the GM determines the time a task requires. The GM might use a different time scale depending on the context of the situation at hand. In a dungeon environment, the adventurers\' movement happens on a scale of **minutes**. It takes them about a minute to creep down a long hallway, another minute to check for traps on the door at the end of the hall, and a good ten minutes to search the chamber beyond for anything interesting or valuable.\n\nIn a city or wilderness, a scale of **hours** is often more appropriate. Adventurers eager to reach the lonely tower at the heart of the forest hurry across those fifteen miles in just under four hours\' time.\n\nFor long journeys, a scale of **days** works best.\n\nFollowing the road from Baldur\'s Gate to Waterdeep, the adventurers spend four uneventful days before a goblin ambush interrupts their journey.\n\nIn combat and other fast-paced situations, the game relies on **rounds**, a 6-second span of time.\n',url = '/api/rule-sections/time')
movement = entry_builder.entry_builder(name = 'Movement',index = 'movement',desc = '## Movement\n\nSwimming across a rushing river, sneaking down a dungeon corridor, scaling a treacherous mountain slope-all sorts of movement play a key role in fantasy gaming adventures.\n\nThe GM can summarize the adventurers\' movement without calculating exact distances or travel times: "You travel through the forest and find the dungeon entrance late in the evening of the third day." Even in a dungeon, particularly a large dungeon or a cave network, the GM can summarize movement between encounters: "After killing the guardian at the entrance to the ancient dwarven stronghold, you consult your map, which leads you through miles of echoing corridors to a chasm bridged by a narrow stone arch."\n\nSometimes it\'s important, though, to know how long it takes to get from one spot to another, whether the answer is in days, hours, or minutes. The rules for determining travel time depend on two factors: the speed and travel pace of the creatures moving and the terrain they\'re moving over.\n\n### Speed\n\nEvery character and monster has a speed, which is the distance in feet that the character or monster can walk in 1 round. This number assumes short bursts of energetic movement in the midst of a life-threatening situation.\n\nThe following rules determine how far a character or monster can move in a minute, an hour, or a day.\n\n#### Travel Pace\n\nWhile traveling, a group of adventurers can move at a normal, fast, or slow pace, as shown on the Travel Pace table. The table states how far the party can move in a period of time and whether the pace has any effect. A fast pace makes characters less perceptive, while a slow pace makes it possible to sneak around and to search an area more carefully.\n\n***Forced March.*** The Travel Pace table assumes that characters travel for 8 hours in day. They can push on beyond that limit, at the risk of exhaustion.\n\nFor each additional hour of travel beyond 8 hours, the characters cover the distance shown in the Hour column for their pace, and each character must make a Constitution saving throw at the end of the hour. The DC is 10 + 1 for each hour past 8 hours. On a failed saving throw, a character suffers one level of exhaustion (see appendix PH-A).\n\n***Mounts and Vehicles.*** For short spans of time (up to an hour), many animals move much faster than humanoids. A mounted character can ride at a gallop for about an hour, covering twice the usual distance for a fast pace. If fresh mounts are available every 8 to 10 miles, characters can cover larger distances at this pace, but this is very rare except in densely populated areas.\n\nCharacters in wagons, carriages, or other land vehicles choose a pace as normal. Characters in a waterborne vessel are limited to the speed of the vessel, and they don\'t suffer penalties for a fast pace or gain benefits from a slow pace. Depending on the vessel and the size of the crew, ships might be able to travel for up to 24 hours per day.\n\nCertain special mounts, such as a pegasus or griffon, or special vehicles, such as a *carpet of flying*, allow you to travel more swiftly.\n\n##### Travel Pace\n\n| Pace   | Distance per: Minute | Hour    | Day      | Effect                                           |\n|--------|----------------------|---------|----------|--------------------------------------------------|\n| Fast   | 400 feet             | 4 miles | 30 miles | -5 penalty to passive Wisdom (Perception) scores |\n| Normal | 300 feet             | 3 miles | 24 miles | -                                                |\n| Slow   | 200 feet             | 2 miles | 18 miles | Able to use stealth                              |\n\n#### Difficult Terrain\n\nThe travel speeds given in the Travel Pace table assume relatively simple terrain: roads, open plains, or clear dungeon corridors. But adventurers often face dense forests, deep swamps, rubble-filled ruins, steep mountains, and ice-covered ground-all considered difficult terrain.\n\nYou move at half speed in difficult terrain--moving 1 foot in difficult terrain costs 2 feet of speed-so you can cover only half the normal distance in a minute, an hour, or a day.\n\n### Special Types of Movement\n\nMovement through dangerous dungeons or wilderness areas often involves more than simply walking. Adventurers might have to climb, crawl, swim, or jump to get where they need to go.\n\n#### Climbing, Swimming, and Crawling\n\nWhile climbing or swimming, each foot of movement costs 1 extra foot (2 extra feet in difficult terrain), unless a creature has a climbing or swimming speed. At the GM\'s option, climbing a slippery vertical surface or one with few handholds requires a successful Strength (Athletics) check. Similarly, gaining any distance in rough water might require a successful Strength (Athletics) check.\n\n#### Jumping\n\nYour Strength determines how far you can jump.\n\n***Long Jump.*** When you make a long jump, you cover a number of feet up to your Strength score if you move at least 10 feet on foot immediately before the jump. When you make a standing long jump, you can leap only half that distance. Either way, each foot you clear on the jump costs a foot of movement.\n\nThis rule assumes that the height of your jump doesn\'t matter, such as a jump across a stream or chasm. At your GM\'s option, you must succeed on a DC 10 Strength (Athletics) check to clear a low obstacle (no taller than a quarter of the jump\'s distance), such as a hedge or low wall. Otherwise, you hit it.\n\nWhen you land in difficult terrain, you must succeed on a DC 10 Dexterity (Acrobatics) check to land on your feet. Otherwise, you land prone.\n\n***High Jump.*** When you make a high jump, you leap into the air a number of feet equal to 3 + your Strength modifier if you move at least 10 feet on foot immediately before the jump. When you make a standing high jump, you can jump only half that distance. Either way, each foot you clear on the jump costs a foot of movement. In some circumstances, your GM might allow you to make a Strength (Athletics) check to jump higher than you normally can.\n\nYou can extend your arms half your height above yourself during the jump. Thus, you can reach above you a distance equal to the height of the jump plus 1.5 times your height.\n',url = '/api/rule-sections/movement')
the_environment = entry_builder.entry_builder(name = 'The Environment',index = 'the-environment',desc = '## The Environment\n\nBy its nature, adventuring involves delving into places that are dark, dangerous, and full of mysteries to be explored. The rules in this section cover some of the most important ways in which adventurers interact with the environment in such places.\n\n### Falling\n\nA fall from a great height is one of the most common hazards facing an adventurer. At the end of a fall, a creature takes 1d6 bludgeoning damage for every 10 feet it fell, to a maximum of 20d6. The creature lands prone, unless it avoids taking damage from the fall.\n\n### Suffocating\n\nA creature can hold its breath for a number of minutes equal to 1 + its Constitution modifier (minimum of 30 seconds).\n\nWhen a creature runs out of breath or is choking, it can survive for a number of rounds equal to its Constitution modifier (minimum of 1 round). At the start of its next turn, it drops to 0 hit points and is dying, and it can\'t regain hit points or be stabilized until it can breathe again.\n\nFor example, a creature with a Constitution of 14 can hold its breath for 3 minutes. If it starts suffocating, it has 2 rounds to reach air before it drops to 0 hit points.\n\n### Vision and Light\n\nThe most fundamental tasks of adventuring--noticing danger, finding hidden objects, hitting an enemy in combat, and targeting a spell, to name just a few--rely heavily on a character\'s ability to see. Darkness and other effects that obscure vision can prove a significant hindrance.\n\nA given area might be lightly or heavily obscured. In a **lightly obscured** area, such as dim light, patchy fog, or moderate foliage, creatures have disadvantage on Wisdom (Perception) checks that rely on sight.\n\nA **heavily obscured** area-such as darkness, opaque fog, or dense foliage-blocks vision entirely. A creature effectively suffers from the blinded condition (see appendix PH-A) when trying to see something in that area.\n\nThe presence or absence of light in an environment creates three categories of illumination: bright light, dim light, and darkness.\n\n**Bright light** lets most creatures see normally.\n\nEven gloomy days provide bright light, as do torches, lanterns, fires, and other sources of illumination within a specific radius.\n\n**Dim light**, also called shadows, creates a lightly obscured area. An area of dim light is usually a boundary between a source of bright light, such as a torch, and surrounding darkness. The soft light of twilight and dawn also counts as dim light. A particularly brilliant full moon might bathe the land in dim light.\n\n**Darkness** creates a heavily obscured area.\n\nCharacters face darkness outdoors at night (even most moonlit nights), within the confines of an unlit dungeon or a subterranean vault, or in an area of magical darkness.\n\n#### Blindsight\n\nA creature with blindsight can perceive its surroundings without relying on sight, within a specific radius. Creatures without eyes, such as oozes, and creatures with echolocation or heightened senses, such as bats and true dragons, have this sense.\n\n#### Darkvision\n\nMany creatures in fantasy gaming worlds, especially those that dwell underground, have darkvision. Within a specified range, a creature with darkvision can see in darkness as if the darkness were dim light, so areas of darkness are only lightly obscured as far as that creature is concerned. However, the creature can\'t discern color in darkness, only shades of gray.\n\n#### Truesight\n\nA creature with truesight can, out to a specific range, see in normal and magical darkness, see invisible creatures and objects, automatically detect visual illusions and succeed on saving throws against them, and perceives the original form of a shapechanger or a creature that is transformed by magic. Furthermore, the creature can see into the Ethereal Plane.\n\n### Food and Water\n\nCharacters who don\'t eat or drink suffer the effects of exhaustion (see appendix PH-A). Exhaustion caused by lack of food or water can\'t be removed until the character eats and drinks the full required amount.\n\n#### Food\n\nA character needs one pound of food per day and can make food last longer by subsisting on half rations. Eating half a pound of food in a day counts as half a day without food.\n\nA character can go without food for a number of days equal to 3 + his or her Constitution modifier (minimum 1). At the end of each day beyond that limit, a character automatically suffers one level of exhaustion.\n\nA normal day of eating resets the count of days without food to zero.\n\n#### Water\n\nA character needs one gallon of water per day, or two gallons per day if the weather is hot. A character who drinks only half that much water must succeed on a DC 15 Constitution saving throw or suffer one level of exhaustion at the end of the day. A character with access to even less water automatically suffers one level of exhaustion at the end of the day.\n\nIf the character already has one or more levels of exhaustion, the character takes two levels in either case.\n\n### Interacting with Objects\n\nA character\'s interaction with objects in an environment is often simple to resolve in the game. The player tells the GM that his or her character is doing something, such as moving a lever, and the GM describes what, if anything, happens.\n\nFor example, a character might decide to pull a lever, which might, in turn, raise a portcullis, cause a room to flood with water, or open a secret door in a nearby wall. If the lever is rusted in position, though, a character might need to force it. In such a situation, the GM might call for a Strength check to see whether the character can wrench the lever into place. The GM sets the DC for any such check based on the difficulty of the task.\n\nCharacters can also damage objects with their weapons and spells. Objects are immune to poison and psychic damage, but otherwise they can be affected by physical and magical attacks much like creatures can. The GM determines an object\'s Armor Class and hit points, and might decide that certain objects have resistance or immunity to certain kinds of attacks. (It\'s hard to cut a rope with a club, for example.) Objects always fail Strength and Dexterity saving throws, and they are immune to effects that require other saves. When an object drops to 0 hit points, it breaks.\n\nA character can also attempt a Strength check to break an object. The GM sets the DC for any such check.\n',url = '/api/rule-sections/the-environment')
resting = entry_builder.entry_builder(name = 'Resting',index = 'resting',desc = '## Resting\n\nHeroic though they might be, adventurers can\'t spend every hour of the day in the thick of exploration, social interaction, and combat. They need rest-time to sleep and eat, tend their wounds, refresh their minds and spirits for spellcasting, and brace themselves for further adventure.\n\nAdventurers can take short rests in the midst of an adventuring day and a long rest to end the day.\n\n### Short Rest\n\nA short rest is a period of downtime, at least 1 hour long, during which a character does nothing more strenuous than eating, drinking, reading, and tending to wounds.\n\nA character can spend one or more Hit Dice at the end of a short rest, up to the character\'s maximum number of Hit Dice, which is equal to the character\'s level. For each Hit Die spent in this way, the player rolls the die and adds the character\'s Constitution modifier to it. The character regains hit points equal to the total. The player can decide to spend an additional Hit Die after each roll. A character regains some spent Hit Dice upon finishing a long rest, as explained below.\n\n### Long Rest\n\nA long rest is a period of extended downtime, at least 8 hours long, during which a character sleeps or performs light activity: reading, talking, eating, or standing watch for no more than 2 hours. If the rest is interrupted by a period of strenuous activity-at least 1 hour of walking, fighting, casting spells, or similar adventuring activity-the characters must begin the rest again to gain any benefit from it.\n\nAt the end of a long rest, a character regains all lost hit points. The character also regains spent Hit Dice, up to a number of dice equal to half of the character\'s total number of them (minimum of one die). For example, if a character has eight Hit Dice, he or she can regain four spent Hit Dice upon finishing a long rest.\n\nA character can\'t benefit from more than one long rest in a 24-hour period, and a character must have at least 1 hit point at the start of the rest to gain its benefits.\n',url = '/api/rule-sections/resting')
between_adventures = entry_builder.entry_builder(name = 'Between Adventures',index = 'between-adventures',desc = '## Between Adventures\n\nBetween trips to dungeons and battles against ancient evils, adventurers need time to rest, recuperate, and prepare for their next adventure. Many adventurers also use this time to perform other tasks, such as crafting arms and armor, performing research, or spending their hard-earned gold.\n\nIn some cases, the passage of time is something that occurs with little fanfare or description. When starting a new adventure, the GM might simply declare that a certain amount of time has passed and allow you to describe in general terms what your character has been doing. At other times, the GM might want to keep track of just how much time is passing as events beyond your perception stay in motion.\n\n### Lifestyle Expenses\n\nBetween adventures, you choose a particular quality of life and pay the cost of maintaining that lifestyle.\n\nLiving a particular lifestyle doesn\'t have a huge effect on your character, but your lifestyle can affect the way other individuals and groups react to you. For example, when you lead an aristocratic lifestyle, it might be easier for you to influence the nobles of the city than if you live in poverty.\n\n### Downtime Activities\n\nBetween adventures, the GM might ask you what your character is doing during his or her downtime. Periods of downtime can vary in duration, but each downtime activity requires a certain number of days to complete before you gain any benefit, and at least 8 hours of each day must be spent on the downtime activity for the day to count. The days do not need to be consecutive. If you have more than the minimum amount of days to spend, you can keep doing the same thing for a longer period of time, or switch to a new downtime activity.\n\nDowntime activities other than the ones presented below are possible. If you want your character to spend his or her downtime performing an activity not covered here, discuss it with your GM.\n\n#### Crafting\n\nYou can craft nonmagical objects, including adventuring equipment and works of art. You must be proficient with tools related to the object you are trying to create (typically artisan\'s tools). You might also need access to special materials or locations necessary to create it. For example, someone proficient with smith\'s tools needs a forge in order to craft a sword or suit of armor.\n\nFor every day of downtime you spend crafting, you can craft one or more items with a total market value not exceeding 5 gp, and you must expend raw materials worth half the total market value. If something you want to craft has a market value greater than 5 gp, you make progress every day in 5-gp increments until you reach the market value of the item. For example, a suit of plate armor (market value 1,500 gp) takes 300 days to craft by yourself.\n\nMultiple characters can combine their efforts toward the crafting of a single item, provided that the characters all have proficiency with the requisite tools and are working together in the same place. Each character contributes 5 gp worth of effort for every day spent helping to craft the item. For example, three characters with the requisite tool proficiency and the proper facilities can craft a suit of plate armor in 100 days, at a total cost of 750 gp.\n\nWhile crafting, you can maintain a modest lifestyle without having to pay 1 gp per day, or a comfortable lifestyle at half the normal cost.\n\n#### Practicing a Profession\n\nYou can work between adventures, allowing you to maintain a modest lifestyle without having to pay 1 gp per day. This benefit lasts as long you continue to practice your profession.\n\nIf you are a member of an organization that can provide gainful employment, such as a temple or a thieves\' guild, you earn enough to support a comfortable lifestyle instead.\n\nIf you have proficiency in the Performance skill and put your performance skill to use during your downtime, you earn enough to support a wealthy lifestyle instead.\n\n#### Recuperating\n\nYou can use downtime between adventures to recover from a debilitating injury, disease, or poison.\n\nAfter three days of downtime spent recuperating, you can make a DC 15 Constitution saving throw. On a successful save, you can choose one of the following results:\n- End one effect on you that prevents you from regaining hit points.\n- For the next 24 hours, gain advantage on saving throws against one disease or poison currently affecting you.\n\n#### Researching\n\nThe time between adventures is a great chance to perform research, gaining insight into mysteries that have unfurled over the course of the campaign. Research can include poring over dusty tomes and crumbling scrolls in a library or buying drinks for the locals to pry rumors and gossip from their lips.\n\nWhen you begin your research, the GM determines whether the information is available, how many days of downtime it will take to find it, and whether there are any restrictions on your research (such as needing to seek out a specific individual, tome, or location). The GM might also require you to make one or more ability checks, such as an Intelligence (Investigation) check to find clues pointing toward the information you seek, or a Charisma (Persuasion) check to secure someone\'s aid. Once those conditions are met, you learn the information if it is available.\n\nFor each day of research, you must spend 1 gp to cover your expenses. This cost is in addition to your normal lifestyle expenses.\n\n#### Training\n\nYou can spend time between adventures learning a new language or training with a set of tools. Your GM might allow additional training options.\n\nFirst, you must find an instructor willing to teach you. The GM determines how long it takes, and whether one or more ability checks are required.\n\nThe training lasts for 250 days and costs 1 gp per day. After you spend the requisite amount of time and money, you learn the new language or gain proficiency with the new tool.',url = '/api/rule-sections/between-adventures')
what_is_a_spell = entry_builder.entry_builder(name = 'What Is a Spell?',index = 'what-is-a-spell',desc = '## What Is a Spell?\n\nA spell is a discrete magical effect, a single shaping of the magical energies that suffuse the multiverse into a specific, limited expression. In casting a spell, a character carefully plucks at the invisible strands of raw magic suffusing the world, pins them in place in a particular pattern, sets them vibrating in a specific way, and then releases them to unleash the desired effect-in most cases, all in the span of seconds.\n\nSpells can be versatile tools, weapons, or protective wards. They can deal damage or undo it, impose or remove conditions (see appendix PH-A), drain life energy away, and restore life to the dead.\n\nUncounted thousands of spells have been created over the course of the multiverse\'s history, and many of them are long forgotten. Some might yet lie recorded in crumbling spellbooks hidden in ancient ruins or trapped in the minds of dead gods. Or they might someday be reinvented by a character who has amassed enough power and wisdom to do so.\n\n### Spell Level\n\nEvery spell has a level from 0 to 9. A spell\'s level is a general indicator of how powerful it is, with the lowly (but still impressive) *magic missile* at 1st level and the earth-shaking *wish* at 9th. Cantrips-simple but powerful spells that characters can cast almost by rote-are level 0. The higher a spell\'s level, the higher level a spellcaster must be to use that spell.\n\nSpell level and character level don\'t correspond directly. Typically, a character has to be at least 17th level, not 9th level, to cast a 9th-level spell.\n\n### Known and Prepared Spells\n\nBefore a spellcaster can use a spell, he or she must have the spell firmly fixed in mind, or must have access to the spell in a magic item. Members of a few classes, including bards and sorcerers, have a limited list of spells they know that are always fixed in mind. The same thing is true of many magic-using monsters. Other spellcasters, such as clerics and wizards, undergo a process of preparing spells. This process varies for different classes, as detailed in their descriptions.\n\nIn every case, the number of spells a caster can have fixed in mind at any given time depends on the character\'s level.\n\n### Spell Slots\n\nRegardless of how many spells a caster knows or prepares, he or she can cast only a limited number of spells before resting. Manipulating the fabric of magic and channeling its energy into even a simple spell is physically and mentally taxing, and higher-level spells are even more so. Thus, each spellcasting class\'s description (except that of the warlock) includes a table showing how many spell slots of each spell level a character can use at each character level. For example, the 3rd-level wizard Umara has four 1st-level spell slots and two 2nd-level slots.\n\nWhen a character casts a spell, he or she expends a slot of that spell\'s level or higher, effectively "filling" a slot with the spell. You can think of a spell slot as a groove of a certain size-small for a 1st-level slot, larger for a spell of higher level. A 1st-level spell fits into a slot of any size, but a 9th-level spell fits only in a 9th-level slot. So when Umara casts *magic missile,* a 1st-level spell, she spends one of her four 1st-level slots and has three remaining.\n\nFinishing a long rest restores any expended spell slots.\n\nSome characters and monsters have special abilities that let them cast spells without using spell slots. For example, a monk who follows the Way of the Four Elements, a warlock who chooses certain eldritch invocations, and a pit fiend from the Nine Hells can all cast spells in such a way.\n\n#### Casting a Spell at a Higher Level\n\nWhen a spellcaster casts a spell using a slot that is of a higher level than the spell, the spell assumes the higher level for that casting. For instance, if Umara casts *magic missile* using one of her 2nd-level slots, that *magic missile* is 2nd level. Effectively, the spell expands to fill the slot it is put into.\n\nSome spells, such as *magic missile* and *cure wounds*, have more powerful effects when cast at a higher level, as detailed in a spell\'s description.\n\n#### Casting in Armor\n\nBecause of the mental focus and precise gestures required for spellcasting, you must be proficient with the armor you are wearing to cast a spell. You are otherwise too distracted and physically hampered by your armor for spellcasting.\n\n### Cantrips\n\nA cantrip is a spell that can be cast at will, without using a spell slot and without being prepared in advance. Repeated practice has fixed the spell in the caster\'s mind and infused the caster with the magic needed to produce the effect over and over. A cantrip\'s spell level is 0.\n\n### Rituals\n\nCertain spells have a special tag: ritual. Such a spell can be cast following the normal rules for spellcasting, or the spell can be cast as a ritual. The ritual version of a spell takes 10 minutes longer to cast than normal. It also doesn\'t expend a spell slot, which means the ritual version of a spell can\'t be cast at a higher level.\n\nTo cast a spell as a ritual, a spellcaster must have a feature that grants the ability to do so. The cleric and the druid, for example, have such a feature. The caster must also have the spell prepared or on his or her list of spells known, unless the character\'s ritual feature specifies otherwise, as the wizard\'s does.\n',url = '/api/rule-sections/what-is-a-spell')
casting_a_spell = entry_builder.entry_builder(name = 'Casting a Spell',index = 'casting-a-spell',desc = '## Casting a Spell\n\nWhen a character casts any spell, the same basic rules are followed, regardless of the character\'s class or the spell\'s effects.\n\nEach spell description begins with a block of information, including the spell\'s name, level, school of magic, casting time, range, components, and duration. The rest of a spell entry describes the spell\'s effect.\n\n### Casting Time\n\nMost spells require a single action to cast, but some spells require a bonus action, a reaction, or much more time to cast.\n\n#### Bonus Action\n\nA spell cast with a bonus action is especially swift. You must use a bonus action on your turn to cast the spell, provided that you haven\'t already taken a bonus action this turn. You can\'t cast another spell during the same turn, except for a cantrip with a casting time of 1 action.\n\n#### Reactions\n\nSome spells can be cast as reactions. These spells take a fraction of a second to bring about and are cast in response to some event. If a spell can be cast as a reaction, the spell description tells you exactly when you can do so.\n\n#### Longer Casting Times\n\nCertain spells (including spells cast as rituals) require more time to cast: minutes or even hours. When you cast a spell with a casting time longer than a single action or reaction, you must spend your action each turn casting the spell, and you must maintain your concentration while you do so (see "Concentration" below). If your concentration is broken, the spell fails, but you don\'t expend a spell slot. If you want to try casting the spell again, you must start over.\n\n### Spell Range\n\nThe target of a spell must be within the spell\'s range. For a spell like *magic missile*, the target is a creature. For a spell like *fireball*, the target is the point in space where the ball of fire erupts.\n\nMost spells have ranges expressed in feet. Some spells can target only a creature (including you) that you touch. Other spells, such as the *shield* spell, affect only you. These spells have a range of self.\n\nSpells that create cones or lines of effect that originate from you also have a range of self, indicating that the origin point of the spell\'s effect must be you (see "Areas of Effect" later in the this chapter).\n\nOnce a spell is cast, its effects aren\'t limited by its range, unless the spell\'s description says otherwise.\n\n### Components\n\nA spell\'s components are the physical requirements you must meet in order to cast it. Each spell\'s description indicates whether it requires verbal (V), somatic (S), or material (M) components. If you can\'t provide one or more of a spell\'s components, you are unable to cast the spell.\n\n#### Verbal (V)\n\nMost spells require the chanting of mystic words. The words themselves aren\'t the source of the spell\'s power; rather, the particular combination of sounds, with specific pitch and resonance, sets the threads of magic in motion. Thus, a character who is gagged or in an area of silence, such as one created by the *silence* spell, can\'t cast a spell with a verbal component.\n\n#### Somatic (S)\n\nSpellcasting gestures might include a forceful gesticulation or an intricate set of gestures. If a spell requires a somatic component, the caster must have free use of at least one hand to perform these gestures.\n\n#### Material (M)\n\nCasting some spells requires particular objects, specified in parentheses in the component entry. A character can use a **component pouch** or a **spellcasting focus** (found in "Equipment") in place of the components specified for a spell. But if a cost is indicated for a component, a character must have that specific component before he or she can cast the spell.\n\nIf a spell states that a material component is consumed by the spell, the caster must provide this component for each casting of the spell.\n\nA spellcaster must have a hand free to access a spell\'s material components-or to hold a spellcasting focus-but it can be the same hand that he or she uses to perform somatic components.\n\n### Duration\n\nA spell\'s duration is the length of time the spell persists. A duration can be expressed in rounds, minutes, hours, or even years. Some spells specify that their effects last until the spells are dispelled or destroyed.\n\n#### Instantaneous\n\nMany spells are instantaneous. The spell harms, heals, creates, or alters a creature or an object in a way that can\'t be dispelled, because its magic exists only for an instant.\n\n#### Concentration\n\nSome spells require you to maintain concentration in order to keep their magic active. If you lose concentration, such a spell ends.\n\nIf a spell must be maintained with concentration, that fact appears in its Duration entry, and the spell specifies how long you can concentrate on it. You can end concentration at any time (no action required).\n\nNormal activity, such as moving and attacking, doesn\'t interfere with concentration. The following factors can break concentration:\n- **Casting another spell that requires concentration.** You lose concentration on a spell if you cast another spell that requires concentration. You can\'t concentrate on two spells at once.\n- **Taking damage.** Whenever you take damage while you are concentrating on a spell, you must make a Constitution saving throw to maintain your concentration. The DC equals 10 or half the damage you take, whichever number is higher. If you take damage from multiple sources, such as an arrow and a dragon\'s breath, you make a separate saving throw for each source of damage.\n- **Being incapacitated or killed.** You lose concentration on a spell if you are incapacitated or if you die.\n\nThe GM might also decide that certain environmental phenomena, such as a wave crashing over you while you\'re on a storm-tossed ship, require you to succeed on a DC 10 Constitution saving throw to maintain concentration on a spell.\n\n### Targets\n\nA typical spell requires you to pick one or more targets to be affected by the spell\'s magic. A spell\'s description tells you whether the spell targets creatures, objects, or a point of origin for an area of effect (described below).\n\nUnless a spell has a perceptible effect, a creature might not know it was targeted by a spell at all. An effect like crackling lightning is obvious, but a more subtle effect, such as an attempt to read a creature\'s thoughts, typically goes unnoticed, unless a spell says otherwise.\n\n#### A Clear Path to the Target\n\nTo target something, you must have a clear path to it, so it can\'t be behind total cover.\n\nIf you place an area of effect at a point that you can\'t see and an obstruction, such as a wall, is between you and that point, the point of origin comes into being on the near side of that obstruction.\n\n#### Targeting Yourself\n\nIf a spell targets a creature of your choice, you can choose yourself, unless the creature must be hostile or specifically a creature other than you. If you are in the area of effect of a spell you cast, you can target yourself.\n\n### Areas of Effect\n\nSpells such as *burning hands* and *cone of cold* cover an area, allowing them to affect multiple creatures at once.\n\nA spell\'s description specifies its area of effect, which typically has one of five different shapes: cone, cube, cylinder, line, or sphere. Every area of effect has a **point of origin**, a location from which the spell\'s energy erupts. The rules for each shape specify how you position its point of origin. Typically, a point of origin is a point in space, but some spells have an area whose origin is a creature or an object.\n\nA spell\'s effect expands in straight lines from the point of origin. If no unblocked straight line extends from the point of origin to a location within the area of effect, that location isn\'t included in the spell\'s area. To block one of these imaginary lines, an obstruction must provide total cover.\n\n#### Cone\n\nA cone extends in a direction you choose from its point of origin. A cone\'s width at a given point along its length is equal to that point\'s distance from the point of origin. A cone\'s area of effect specifies its maximum length.\n\nA cone\'s point of origin is not included in the cone\'s area of effect, unless you decide otherwise.\n\n#### Cube\n\nYou select a cube\'s point of origin, which lies anywhere on a face of the cubic effect. The cube\'s size is expressed as the length of each side.\n\nA cube\'s point of origin is not included in the cube\'s area of effect, unless you decide otherwise.\n\n#### Cylinder\n\nA cylinder\'s point of origin is the center of a circle of a particular radius, as given in the spell description. The circle must either be on the ground or at the height of the spell effect. The energy in a cylinder expands in straight lines from the point of origin to the perimeter of the circle, forming the base of the cylinder. The spell\'s effect then shoots up from the base or down from the top, to a distance equal to the height of the cylinder.\n\nA cylinder\'s point of origin is included in the cylinder\'s area of effect.\n\n#### Line\n\nA line extends from its point of origin in a straight path up to its length and covers an area defined by its width.\n\nA line\'s point of origin is not included in the line\'s area of effect, unless you decide otherwise.\n\n#### Sphere\n\nYou select a sphere\'s point of origin, and the sphere extends outward from that point. The sphere\'s size is expressed as a radius in feet that extends from the point.\n\nA sphere\'s point of origin is included in the sphere\'s area of effect.\n\n### Spell Saving Throws\n\nMany spells specify that a target can make a saving throw to avoid some or all of a spell\'s effects. The spell specifies the ability that the target uses for the save and what happens on a success or failure.\n\nThe DC to resist one of your spells equals 8 + your spellcasting ability modifier + your proficiency bonus + any special modifiers.\n\n### Spell Attack Rolls\n\nSome spells require the caster to make an attack roll to determine whether the spell effect hits the intended target. Your attack bonus with a spell attack equals your spellcasting ability modifier + your proficiency bonus.\n\nMost spells that require attack rolls involve ranged attacks. Remember that you have disadvantage on a ranged attack roll if you are within 5 feet of a hostile creature that can see you and that isn\'t incapacitated.\n\n### Combining Magical Effects\n\nThe effects of different spells add together while the durations of those spells overlap. The effects of the same spell cast multiple times don\'t combine, however. Instead, the most potent effect-such as the highest bonus-from those castings applies while their durations overlap.\n\nFor example, if two clerics cast *bless* on the same target, that character gains the spell\'s benefit only once; he or she doesn\'t get to roll two bonus dice.\n\n### The Schools of Magic\n\nAcademies of magic group spells into eight categories called schools of magic. Scholars, particularly wizards, apply these categories to all spells, believing that all magic functions in essentially the same way, whether it derives from rigorous study or is bestowed by a deity.\n\nThe schools of magic help describe spells; they have no rules of their own, although some rules refer to the schools.\n\n**Abjuration** spells are protective in nature, though some of them have aggressive uses. They create magical barriers, negate harmful effects, harm trespassers, or banish creatures to other planes of existence.\n\n**Conjuration** spells involve the transportation of objects and creatures from one location to another. Some spells summon creatures or objects to the caster\'s side, whereas others allow the caster to teleport to another location. Some conjurations create objects or effects out of nothing.\n\n**Divination** spells reveal information, whether in the form of secrets long forgotten, glimpses of the future, the locations of hidden things, the truth behind illusions, or visions of distant people or places.\n\n**Enchantment** spells affect the minds of others, influencing or controlling their behavior. Such spells can make enemies see the caster as a friend, force creatures to take a course of action, or even control another creature like a puppet.\n\n**Evocation** spells manipulate magical energy to produce a desired effect. Some call up blasts of fire or lightning. Others channel positive energy to heal wounds.\n\n**Illusion** spells deceive the senses or minds of others. They cause people to see things that are not there, to miss things that are there, to hear phantom noises, or to remember things that never happened. Some illusions create phantom images that any creature can see, but the most insidious illusions plant an image directly in the mind of a creature.\n\n**Necromancy** spells manipulate the energies of life and death. Such spells can grant an extra reserve of life force, drain the life energy from another creature, create the undead, or even bring the dead back to life.\n\nCreating the undead through the use of necromancy spells such as *animate dead* is not a good act, and only evil casters use such spells frequently.\n\n**Transmutation** spells change the properties of a creature, object, or environment. They might turn an enemy into a harmless creature, bolster the strength of an ally, make an object move at the caster\'s command, or enhance a creature\'s innate healing abilities to rapidly recover from injury.\n',url = '/api/rule-sections/casting-a-spell')
standard_exchange_rates = entry_builder.entry_builder(name = 'Standard Exchange Rates',index = 'standard-exchange-rates',desc = '## Standard Exchange Rates\n| Coin          | CP    | SP   | EP   | GP    | PP      |\n|---------------|-------|------|------|-------|---------|\n| Copper (cp)   | 1     | 1/10 | 1/50 | 1/100 | 1/1,000 |\n| Silver (sp)   | 10    | 1    | 1/5  | 1/10  | 1/100   |\n| Electrum (ep) | 50    | 5    | 1    | 1/2   | 1/20    |\n| Gold (gp)     | 100   | 10   | 2    | 1     | 1/10    |\n| Platinum (pp) | 1,000 | 100  | 20   | 10    | 1       |',url = '/api/rule-sections/standard-exchange-rates')
objects = entry_builder.entry_builder(name = 'Objects',index = 'objects',desc = '## Objects\n\nWhen characters need to saw through ropes, shatter a window, or smash a vampire\'s coffin, the only hard and fast rule is this: given enough time and the right tools, characters can destroy any destructible object. Use common sense when determining a character\'s success at damaging an object. Can a fighter cut through a section of a stone wall with a sword? No, the sword is likely to break before the wall does.\n\nFor the purpose of these rules, an object is a discrete, inanimate item like a window, door, sword, book, table, chair, or stone, not a building or a vehicle that is composed of many other objects.\n\n#### Statistics for Objects\n\nWhen time is a factor, you can assign an Armor Class and hit points to a destructible object. You can also give it immunities, resistances, and vulnerabilities to specific types of damage.\n\n***Armor Class.*** An object\'s Armor Class is a measure of how difficult it is to deal damage to the object when striking it (because the object has no chance of dodging out of the way). The Object Armor Class table provides suggested AC values for various substances.\n\n##### Object Armor Class\n\n| Substance           | AC |\n|---------------------|----|\n| Cloth, paper, rope  | 11 |\n| Crystal, glass, ice | 13 |\n| Wood, bone          | 15 |\n| Stone               | 17 |\n| Iron, steel         | 19 |\n| Mithral             | 21 |\n| Adamantine          | 23 |\n\n***Hit Points.*** An object\'s hit points measure how much damage it can take before losing its structural integrity. Resilient objects have more hit points than fragile ones. Large objects also tend to have more hit points than small ones, unless breaking a small part of the object is just as effective as breaking the whole thing. The Object Hit Points table provides suggested hit points for fragile and resilient objects that are Large or smaller.\n\n##### Object Hit Points\n\n***Huge and Gargantuan Objects.*** Normal weapons are of little use against many Huge and Gargantuan objects, such as a colossal statue, towering column of stone, or massive boulder. That said, one torch can burn a Huge tapestry, and an *earthquake* spell can reduce a colossus to rubble. You can track a Huge or Gargantuan object\'s hit points if you like, or you can simply decide how long the object can withstand whatever weapon or force is acting against it. If you track hit points for the object, divide it into Large or smaller sections, and track each section\'s hit points separately. Destroying one of those sections could ruin the entire object. For example, a Gargantuan statue of a human might topple over when one of its Large legs is reduced to 0 hit points.\n\n***Objects and Damage Types.*** Objects are immune to poison and psychic damage. You might decide that some damage types are more effective against a particular object or substance than others. For example, bludgeoning damage works well for smashing things but not for cutting through rope or leather. Paper or cloth objects might be vulnerable to fire and lightning damage. A pick can chip away stone but can\'t effectively cut down a tree. As always, use your best judgment.\n\n***Damage Threshold.*** Big objects such as castle walls often have extra resilience represented by a damage threshold. An object with a damage threshold has immunity to all damage unless it takes an amount of damage from a single attack or effect equal to or greater than its damage threshold, in which case it takes damage as normal. Any damage that fails to meet or exceed the object\'s damage threshold is considered superficial and doesn\'t reduce the object\'s hit points.\n\n| Size                                  | Fragile  | Resilient |\n|---------------------------------------|----------|-----------|\n| Tiny (bottle, lock)                   | 2 (1d4)  | 5 (2d4)   |\n| Small (chest, lute)                   | 3 (1d6)  | 10 (3d6)  |\n| Medium (barrel, chandelier)           | 4 (1d8)  | 18 (4d8)  |\n| Large (cart, 10-ft.-by-10-ft. window) | 5 (1d10) | 27 (5d10) |\n',url = '/api/rule-sections/objects')
poisons = entry_builder.entry_builder(name = 'Poisons',index = 'poisons',desc = '## Poisons\n\nGiven their insidious and deadly nature, poisons are illegal in most societies but are a favorite tool among assassins, drow, and other evil creatures.\n\nPoisons come in the following four types.\n\n***Contact.*** Contact poison can be smeared on an object and remains potent until it is touched or washed off. A creature that touches contact poison with exposed skin suffers its effects.\n\n***Ingested.*** A creature must swallow an entire dose of ingested poison to suffer its effects. The dose can be delivered in food or a liquid. You may decide that a partial dose has a reduced effect, such as allowing advantage on the saving throw or dealing only half damage on a failed save.\n\n***Inhaled.*** These poisons are powders or gases that take effect when inhaled. Blowing the powder or releasing the gas subjects creatures in a 5-foot cube to its effect. The resulting cloud dissipates immediately afterward. Holding one\'s breath is ineffective against inhaled poisons, as they affect nasal membranes, tear ducts, and other parts of the body.\n\n***Injury.*** Injury poison can be applied to weapons, ammunition, trap components, and other objects that deal piercing or slashing damage and remains potent until delivered through a wound or washed off. A creature that takes piercing or slashing damage from an object coated with the poison is exposed to its effects.\n\n##### Poisons\n\n| Item               | Type     | Price per Dose |\n|--------------------|----------|----------------|\n| Assassin\'s blood   | Ingested | 150 gp         |\n| Burnt othur fumes  | Inhaled  | 500 gp         |\n| Crawler mucus      | Contact  | 200 gp         |\n| Drow poison        | Injury   | 200 gp         |\n| Essence of ether   | Inhaled  | 300 gp         |\n| Malice             | Inhaled  | 250 gp         |\n| Midnight tears     | Ingested | 1,500 gp       |\n| Oil of taggit      | Contact  | 400 gp         |\n| Pale tincture      | Ingested | 250 gp         |\n| Purple worm poison | Injury   | 2,000 gp       |\n| Serpent venom      | Injury   | 200 gp         |\n| Torpor             | Ingested | 600 gp         |\n| Truth serum        | Ingested | 150 gp         |\n| Wyvern poison      | Injury   | 1,200 gp       |\n\n#### Sample Poisons\n\nEach type of poison has its own debilitating effects.\n\n***Assassin\'s Blood (Ingested).*** A creature subjected to this poison must make a DC 10 Constitution saving throw. On a failed save, it takes 6 (1d12) poison damage and is poisoned for 24 hours. On a successful save, the creature takes half damage and isn\'t poisoned.\n\n***Burnt Othur Fumes (Inhaled).*** A creature subjected to this poison must succeed on a DC 13 Constitution saving throw or take 10 (3d6) poison damage, and must repeat the saving throw at the start of each of its turns. On each successive failed save, the character takes 3 (1d6) poison damage. After three successful saves, the poison ends.\n\n***Crawler Mucus (Contact).*** This poison must be harvested from a dead or incapacitated crawler. A creature subjected to this poison must succeed on a DC 13 Constitution saving throw or be poisoned for 1 minute. The poisoned creature is paralyzed. The creature can repeat the saving throw at the end of each of its turns, ending the effect on itself on a success.\n\n***Drow Poison (Injury).*** This poison is typically made only by the drow, and only in a place far removed from sunlight. A creature subjected to this poison must succeed on a DC 13 Constitution saving throw or be poisoned for 1 hour. If the saving throw fails by 5 or more, the creature is also unconscious while poisoned in this way. The creature wakes up if it takes damage or if another creature takes an action to shake it awake.\n\n***Essence of Ether (Inhaled).*** A creature subjected to this poison must succeed on a DC 15 Constitution saving throw or become poisoned for 8 hours. The poisoned creature is unconscious. The creature wakes up if it takes damage or if another creature takes an action to shake it awake.\n\n***Malice (Inhaled).*** A creature subjected to this poison must succeed on a DC 15 Constitution saving throw or become poisoned for 1 hour. The poisoned creature is blinded.\n\n***Midnight Tears (Ingested).*** A creature that ingests this poison suffers no effect until the stroke of midnight. If the poison has not been neutralized before then, the creature must succeed on a DC 17 Constitution saving throw, taking 31 (9d6) poison damage on a failed save, or half as much damage on a successful one.\n\n***Oil of Taggit (Contact).*** A creature subjected to this poison must succeed on a DC 13 Constitution saving throw or become poisoned for 24 hours. The poisoned creature is unconscious. The creature wakes up if it takes damage.\n\n***Pale Tincture (Ingested).*** A creature subjected to this poison must succeed on a DC 16 Constitution saving throw or take 3 (1d6) poison damage and become poisoned. The poisoned creature must repeat the saving throw every 24 hours, taking 3 (1d6) poison damage on a failed save. Until this poison ends, the damage the poison deals can\'t be healed by any means. After seven successful saving throws, the effect ends and the creature can heal normally.\n\n***Purple Worm Poison (Injury).*** This poison must be harvested from a dead or incapacitated purple worm. A creature subjected to this poison must make a DC 19 Constitution saving throw, taking 42 (12d6) poison damage on a failed save, or half as much damage on a successful one.\n\n***Serpent Venom (Injury).*** This poison must be harvested from a dead or incapacitated giant poisonous snake. A creature subjected to this poison must succeed on a DC 11 Constitution saving throw, taking 10 (3d6) poison damage on a failed save, or half as much damage on a successful one.\n\n***Torpor (Ingested).*** A creature subjected to this poison must succeed on a DC 15 Constitution saving throw or become poisoned for 4d6 hours. The poisoned creature is incapacitated.\n\n***Truth Serum (Ingested).*** A creature subjected to this poison must succeed on a DC 11 Constitution saving throw or become poisoned for 1 hour. The poisoned creature can\'t knowingly speak a lie, as if under the effect of a *zone of truth* spell.\n\n***Wyvern Poison (Injury).*** This poison must be harvested from a dead or incapacitated wyvern. A creature subjected to this poison must make a DC 15 Constitution saving throw, taking 24 (7d6) poison damage on a failed save, or half as much damage on a successful one.',url = '/api/rule-sections/poisons')
attunement = entry_builder.entry_builder(name = 'Attunement',index = 'attunement',desc = '## Attunement\n\nSome magic items require a creature to form a bond with them before their magical properties can be used. This bond is called attunement, and certain items have a prerequisite for it. If the prerequisite is a class, a creature must be a member of that class to attune to the item. (If the class is a spellcasting class, a monster qualifies if it has spell slots and uses that class\'s spell list.) If the prerequisite is to be a spellcaster, a creature qualifies if it can cast at least one spell using its traits or features, not using a magic item or the like.\n\nWithout becoming attuned to an item that requires attunement, a creature gains only its nonmagical benefits, unless its description states otherwise. For example, a magic shield that requires attunement provides the benefits of a normal shield to a creature not attuned to it, but none of its magical properties.\n\nAttuning to an item requires a creature to spend a short rest focused on only that item while being in physical contact with it (this can\'t be the same short rest used to learn the item\'s properties). This focus can take the form of weapon practice (for a weapon), meditation (for a wondrous item), or some other appropriate activity. If the short rest is interrupted, the attunement attempt fails. Otherwise, at the end of the short rest, the creature gains an intuitive understanding of how to activate any magical properties of the item, including any necessary command words.\n\nAn item can be attuned to only one creature at a time, and a creature can be attuned to no more than three magic items at a time. Any attempt to attune to a fourth item fails; the creature must end its attunement to an item first. Additionally, a creature can\'t attune to more than one copy of an item. For example, a creature can\'t attune to more than one *ring of protection* at a time.\n\nA creature\'s attunement to an item ends if the creature no longer satisfies the prerequisites for attunement, if the item has been more than 100 feet away for at least 24 hours, if the creature dies, or if another creature attunes to the item. A creature can also voluntarily end attunement by spending another short rest focused on the item, unless the item is cursed.\n',url = '/api/rule-sections/attunement')
wearing_and_wielding_items = entry_builder.entry_builder(name = 'Wearing and Wielding Items',index = 'wearing-and-wielding-items',desc = '## Wearing and Wielding Items\n\nUsing a magic item\'s properties might mean wearing or wielding it. A magic item meant to be worn must be donned in the intended fashion: boots go on the feet, gloves on the hands, hats and helmets on the head, and rings on the finger. Magic armor must be donned, a shield strapped to the arm, a cloak fastened about the shoulders. A weapon must be held.\n\nIn most cases, a magic item that\'s meant to be worn can fit a creature regardless of size or build. Many magic garments are made to be easily adjustable, or they magically adjust themselves to the wearer. Rare exceptions exist. If the story suggests a good reason for an item to fit only creatures of a certain size or shape, you can rule that it doesn\'t adjust. For example, drow-made armor might fit elves only. Dwarves might make items usable only by dwarf-sized and dwarf-shaped folk.\n\nWhen a nonhumanoid tries to wear an item, use your discretion as to whether the item functions as intended. A ring placed on a tentacle might work, but a serpentfolk with a snakelike tail instead of legs can\'t wear boots.\n\n### Multiple Items of the Same Kind\n\nUse common sense to determine whether more than one of a given kind of magic item can be worn. A character can\'t normally wear more than one pair of footwear, one pair of gloves or gauntlets, one pair of bracers, one suit of armor, one item of headwear, and one cloak. You can make exceptions; a character might be able to wear a circlet under a helmet, for example, or to layer two cloaks.\n\n### Paired Items\n\nItems that come in pairs—such as boots, bracers, gauntlets, and gloves—impart their benefits only if both items of the pair are worn. For example, a character wearing a boot of striding and springing on one foot and a boot of elvenkind on the other foot gains no benefit from either.\n',url = '/api/rule-sections/wearing-and-wielding-items')
activating_an_item = entry_builder.entry_builder(name = 'Activating an Item',index = 'activating-an-item',desc = '## Activating an Item\n\nActivating some magic items requires a user to do something special, such as holding the item and uttering a command word. The description of each item category or individual item details how an item is activated. Certain items use the following rules for their activation.\n\nIf an item requires an action to activate, that action isn\'t a function of the Use an Item action, so a feature such as the rogue\'s Fast Hands can\'t be used to activate the item.\n\n### Command Word\n\nA command word is a word or phrase that must be spoken for an item to work. A magic item that requires a command word can\'t be activated in an area where sound is prevented, as in the area of the silence spell.\n\n### Consumables\n\nSome items are used up when they are activated. A potion or an elixir must be swallowed, or an oil applied to the body. The writing vanishes from a scroll when it is read. Once used, a consumable item loses its magic.\n\n### Spells\n\nSome magic items allow the user to cast a spell from the item. The spell is cast at the lowest possible spell level, doesn\'t expend any of the user\'s spell slots, and requires no components, unless the item\'s description says otherwise. The spell uses its normal casting time, range, and duration, and the user of the item must concentrate if the spell requires concentration. Many items, such as potions, bypass the casting of a spell and confer the spell\'s effects, with their usual duration. Certain items make exceptions to these rules, changing the casting time, duration, or other parts of a spell.\n\nA magic item, such as certain staffs, may require you to use your own spellcasting ability when you cast a spell from the item. If you have more than one spellcasting ability, you choose which one to use with the item. If you don\'t have a spellcasting ability--perhaps you\'re a rogue with the Use Magic Device feature--your spellcasting ability modifier is +0 for the item, and your proficiency bonus does apply.\n\n### Charges\n\nSome magic items have charges that must be expended to activate their properties. The number of charges an item has remaining is revealed when an identify spell is cast on it, as well as when a creature attunes to it. Additionally, when an item regains charges, the creature attuned to it learns how many charges it regained.\n',url = '/api/rule-sections/activating-an-item')
sentient_magic_items = entry_builder.entry_builder(name = 'Sentient Magic Items',index = 'sentient-magic-items',desc = '## Sentient Magic Items\n\nSome magic items possess sentience and personality. Such an item might be possessed, haunted by the spirit of a previous owner, or self-aware thanks to the magic used to create it. In any case, the item behaves like a character, complete with personality quirks, ideals, bonds, and sometimes flaws. A sentient item might be a cherished ally to its wielder or a continual thorn in the side.\n\nMost sentient items are weapons. Other kinds of items can manifest sentience, but consumable items such as potions and scrolls are never sentient.\n\nSentient magic items function as NPCs under the GM\'s control. Any activated property of the item is under the item\'s control, not its wielder\'s. As long as the wielder maintains a good relationship with the item, the wielder can access those properties normally. If the relationship is strained, the item can suppress its activated properties or even turn them against the wielder.\n\n### Creating Sentient Magic Items\n\nWhen you decide to make a magic item sentient, you create the item\'s persona in the same way you would create an NPC, with a few exceptions described here.\n\n#### Abilities\n\nA sentient magic item has Intelligence, Wisdom, and Charisma scores. You can choose the item\'s abilities or determine them randomly. To determine them randomly, roll 4d6 for each one, dropping the lowest roll and totaling the rest.\n\n#### Communication\n\nA sentient item has some ability to communicate, either by sharing its emotions, broadcasting its thoughts telepathically, or speaking aloud. You can choose how it communicates or roll on the following table.\n\n| d100   | Communication                                                                                                                                                      |\n|--------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------|\n| 01-60  | The item communicates by transmitting emotion to the creature carrying or wielding it.                                                                             |\n| 61-90  | The item can speak, read, and understand one or more languages.                                                                                                    |\n| 91-100 | The item can speak, read, and understand one or more languages. In addition, the item can communicate telepathically with any character that carries or wields it. |\n\n#### Senses\n\nWith sentience comes awareness. A sentient item can perceive its surroundings out to a limited range. You can choose its senses or roll on the following table.\n\n| d4 | Senses                                     |\n|----|--------------------------------------------|\n| 1  | Hearing and normal vision out to 30 feet.  |\n| 2  | Hearing and normal vision out to 60 feet   |\n| 3  | Hearing and normal vision out to 120 feet. |\n| 4  | Hearing and darkvision out to 120 feet.    |\n\n#### Alignment\n\nA sentient magic item has an alignment. Its creator or nature might suggest an alignment. If not, you can pick an alignment or roll on the following table.\n\n| d100   | Alignment       |\n|--------|-----------------|\n| 01-15  | Lawful good     |\n| 16-35  | Neutral good    |\n| 36-50  | Chaotic good    |\n| 51-63  | Lawful neutral  |\n| 64-73  | Neutral         |\n| 74-85  | Chaotic neutral |\n| 86-89  | Lawful evil     |\n| 90-96  | Neutral evil    |\n| 97-100 | Chaotic evil    |\n\n#### Special Purpose\n\nYou can give a sentient item an objective it pursues, perhaps to the exclusion of all else. As long as the wielder\'s use of the item aligns with that special purpose, the item remains cooperative. Deviating from this course might cause conflict between the wielder and the item, and could even cause the item to prevent the use of its activated properties. You can pick a special purpose or roll on the following table.\n\n| d10 | Purpose                                                                                                                                  |\n|-----|------------------------------------------------------------------------------------------------------------------------------------------|\n| 1   | *Aligned:* The item seeks to defeat or destroy those of a diametrically opposed alignment. (Such an item is never neutral.)              |\n| 2   | *Bane:* The item seeks to defeat or destroy creatures of a particular kind, such as fiends, shapechangers, trolls, or wizards.           |\n| 3   | *Protector:* The item seeks to defend a particular race or kind of creature, such as elves or druids.                                    |\n| 4   | *Crusader:* The item seeks to defeat, weaken, or destroy the servants of a particular deity.                                             |\n| 5   | *Templar*: The item seeks to defend the servants and interests of a particular deity.                                                    |\n| 6   | *Destroyer:* The item craves destruction and goads its user to fight arbitrarily.                                                        |\n| 7   | *Glory Seeker:* The item seeks renown as the greatest magic item in the world, by establishing its user as a famous or notorious figure. |\n| 8   | *Lore Seeker:* The item craves knowledge or is determined to solve a mystery, learn a secret, or unravel a cryptic prophecy.             |\n| 9   | *Destiny Seeker:* The item is convinced that it and its wielder have key roles to play in future events.                                 |\n| 10  | *Creator Seeker:* The item seeks its creator and wants to understand why it was created.                                                 |\n\n### Conflict\n\nA sentient item has a will of its own, shaped by its personality and alignment. If its wielder acts in a manner opposed to the item\'s alignment or purpose, conflict can arise. When such a conflict occurs, the item makes a Charisma check contested by the wielder\'s Charisma check. If the item wins the contest, it makes one or more of the following demands:\n- The item insists on being carried or worn at all times.\n- The item demands that its wielder dispose of anything the item finds repugnant.\n- The item demands that its wielder pursue the item\'s goals to the exclusion of all other goals.\n- The item demands to be given to someone else. If its wielder refuses to comply with the item\'s wishes, the item can do any or all of the following:\n- Make it impossible for its wielder to attune to it.\n- Suppress one or more of its activated properties.\n- Attempt to take control of its wielder.\n\nIf a sentient item attempts to take control of its wielder, the wielder must make a Charisma saving throw, with a DC equal to 12 + the item\'s Charisma modifier. On a failed save, the wielder is charmed by the item for 1d12 hours. While charmed, the wielder must try to follow the item\'s commands. If the wielder takes damage, it can repeat the saving throw, ending the effect on a success. Whether the attempt to control its user succeeds or fails, the item can\'t use this power again until the next dawn.\n',url = '/api/rule-sections/sentient-magic-items')
fantasy_historical_pantheons = entry_builder.entry_builder(name = 'Fantasy-Historical Pantheons',index = 'fantasy-historical-pantheons',desc = '## Fantasy-Historical Pantheons\n\nThe Celtic, Egyptian, Greek, and Norse pantheons are fantasy interpretations of historical religions from our world\'s ancient times. They include deities that are most appropriate for use in a game, divorced from their historical context in the real world and united into pantheons that serve the needs of the game.\n\n#### The Celtic Pantheon\n\nIt\'s said that something wild lurks in the heart of every soul, a space that thrills to the sound of geese calling at night, to the whispering wind through the pines, to the unexpected red of mistletoe on an oak-and it is in this space that the Celtic gods dwell. They sprang from the brook and stream, their might heightened by the strength of the oak and the beauty of the woodlands and open moor. When the first forester dared put a name to the face seen in the bole of a tree or the voice babbling in a brook, these gods forced themselves into being.\n\nThe Celtic gods are as often served by druids as by clerics, for they are closely aligned with the forces of nature that druids revere.\n\n##### Celtic Deities\n\n| Deity                                             | Alignment | Suggested Domains | Symbol                             |\n|---------------------------------------------------|-----------|-------------------|------------------------------------|\n| The Daghdha, god of weather and crops             | CG        | Nature, Trickery  | Bubbling cauldron or shield        |\n| Arawn, god of life and death                      | NE        | Life, Death       | Black star on gray background      |\n| Belenus, god of sun, light, and warmth            | NG        | Light             | Solar disk and standing stones     |\n| Brigantia, goddess of rivers and livestock        | NG        | Life              | Footbridge                         |\n| Diancecht, god of medicine and healing            | LG        | Life              | Crossed oak and mistletoe branches |\n| Dunatis, god of mountains and peaks               | N         | Nature            | Red sun-capped mountain peak       |\n| Goibhniu, god of smiths and healing               | NG        | Knowledge, Life   | Giant mallet over sword            |\n| Lugh, god of arts, travel, and commerce           | CN        | Knowledge, Life   | Pair of long hands                 |\n| Manannan mac Lir, god of oceans and sea creatures | LN        | Nature, Tempest   | Wave of white water on green       |\n| Math Mathonwy, god of magic                       | NE        | Knowledge         | Staff                              |\n| Morrigan, goddess of battle                       | CE        | War               | Two crossed spears                 |\n| Nuada, god of war and warriors                    | N         | War               | Silver hand on black background    |\n| Oghma, god of speech and writing                  | NG        | Knowledge         | Unfurled scroll                    |\n| Silvanus, god of nature and forests               | N         | Nature            | Summer oak tree                    |\n\n#### The Greek Pantheon\n\nThe gods of Olympus make themselves known with the gentle lap of waves against the shores and the crash of the thunder among the cloud-enshrouded peaks. The thick boar-infested woods and the sere, olive-covered hillsides hold evidence of their passing. Every aspect of nature echoes with their presence, and they\'ve made a place for themselves inside the human heart, too.\n\n##### Greek Deities\n\n| Deity                                      | Alignment | Suggested Domains      | Symbol                                |\n|--------------------------------------------|-----------|------------------------|---------------------------------------|\n| Zeus, god of the sky, ruler of the gods    | N         | Tempest                | Fist full of lightning bolts          |\n| Aphrodite, goddess of love and beauty      | CG        | Light                  | Sea shell                             |\n| Apollo, god of light, music, and healing   | CG        | Knowledge, Life, Light | Lyre                                  |\n| Ares, god of war and strife                | CE        | War                    | Spear                                 |\n| Artemis, goddess of hunting and childbirth | NG        | Life, Nature           | Bow and arrow on lunar disk           |\n| Athena, goddess of wisdom and civilization | LG        | Knowledge, War         | Owl                                   |\n| Demeter, goddess of agriculture            | NG        | Life                   | Mare\'s head                           |\n| Dionysus, god of mirth and wine            | CN        | Life                   | Thyrsus (staff tipped with pine cone) |\n| Hades, god of the underworld               | LE        | Death                  | Black ram                             |\n| Hecate, goddess of magic and the moon      | CE        | Knowledge, Trickery    | Setting moon                          |\n| Hephaestus, god of smithing and craft      | NG        | Knowledge              | Hammer and anvil                      |\n| Hera, goddess of marriage and intrigue     | CN        | Trickery               | Fan of peacock feathers               |\n| Hercules, god of strength and adventure    | CG        | Tempest, War           | Lion\'s head                           |\n| Hermes, god of travel and commerce         | CG        | Trickery               | Caduceus (winged staff and serpents)  |\n| Hestia, goddess of home and family         | NG        | Life                   | Hearth                                |\n| Nike, goddess of victory                   | LN        | War                    | Winged woman                          |\n| Pan, god of nature                         | CN        | Nature                 | Syrinx (pan pipes)                    |\n| Poseidon, god of the sea and earthquakes   | CN        | Tempest                | Trident                               |\n| Tyche, goddess of good fortune             | N         | Trickery               | Red pentagram                         |\n\n#### The Egyptian Pantheon\n\nThese gods are a young dynasty of an ancient divine family, heirs to the rulership of the cosmos and the maintenance of the divine principle of Ma\'at-the fundamental order of truth, justice, law, and order that puts gods, mortal pharaohs, and ordinary men and women in their logical and rightful place in the universe.\n\nThe Egyptian pantheon is unusual in having three gods responsible for death, each with different alignments. Anubis is the lawful neutral god of the afterlife, who judges the souls of the dead. Set is a chaotic evil god of murder, perhaps best known for killing his brother Osiris. And Nephthys is a chaotic good goddess of mourning.\n\n##### Egyptian Deities\n\n| Deity                                           | Alignment | Suggested Domains        | Symbol                               |\n|-------------------------------------------------|-----------|--------------------------|--------------------------------------|\n| Re-Horakhty, god of the sun, ruler of the gods  | LG        | Life, Light              | Solar disk encircled by serpent      |\n| Anubis, god of judgment and death               | LN        | Death                    | Black jackal                         |\n| Apep, god of evil, fire, and serpents           | NE        | Trickery                 | Flaming snake                        |\n| Bast, goddess of cats and vengeance             | CG        | War                      | Cat                                  |\n| Bes, god of luck and music                      | CN        | Trickery                 | Image of the misshapen deity         |\n| Hathor, goddess of love, music, and motherhood  | NG        | Life, Light              | Horned cow\'s head with lunar disk    |\n| Imhotep, god of crafts and medicine             | NG        | Knowledge                | Step pyramid                         |\n| Isis, goddess of fertility and magic            | NG        | Knowledge, Life          | Ankh and star                        |\n| Nephthys, goddess of death and grief            | CG        | Death                    | Horns around a lunar disk            |\n| Osiris, god of nature and the underworld        | LG        | Life, Nature             | Crook and flail                      |\n| Ptah, god of crafts, knowledge, and secrets     | LN        | Knowledge                | Bull                                 |\n| Set, god of darkness and desert storms          | CE        | Death, Tempest, Trickery | Coiled cobra                         |\n| Sobek, god of water and crocodiles              | LE        | Nature, Tempest          | Crocodile head with horns and plumes |\n| Thoth, god of knowledge and wisdom              | N         | Knowledge                | Ibis                                 |\n\n#### The Norse Pantheon\n\nWhere the land plummets from the snowy hills into the icy fjords below, where the longboats draw up on to the beach, where the glaciers flow forward and retreat with every fall and spring-this is the land of the Vikings, the home of the Norse pantheon. It\'s a brutal clime, and one that calls for brutal living. The warriors of the land have had to adapt to the harsh conditions in order to survive, but they haven\'t been too twisted by the needs of their environment. Given the necessity of raiding for food and wealth, it\'s surprising the mortals turned out as well as they did. Their powers reflect the need these warriors had for strong leadership and decisive action. Thus, they see their deities in every bend of a river, hear them in the crash of the thunder and the booming of the glaciers, and smell them in the smoke of a burning longhouse.\n\nThe Norse pantheon includes two main families, the Aesir (deities of war and destiny) and the Vanir (gods of fertility and prosperity). Once enemies, these two families are now closely allied against their common enemies, the giants (including the gods Surtur and Thrym).\n\n##### Norse Deities\n\n| Deity                                     | Alignment | Suggested Domains | Symbol                            |\n|-------------------------------------------|-----------|-------------------|-----------------------------------|\n| Odin, god of knowledge and war            | NG        | Knowledge, War    | Watching blue eye                 |\n| Aegir, god of the sea and storms          | NE        | Tempest           | Rough ocean waves                 |\n| Balder, god of beauty and poetry          | NG        | Life, Light       | Gem-encrusted silver chalice      |\n| Forseti, god of justice and law           | N         | Light             | Head of a bearded man             |\n| Frey, god of fertility and the sun        | NG        | Life, Light       | Ice-blue greatsword               |\n| Freya, goddess of fertility and love      | NG        | Life              | Falcon                            |\n| Frigga, goddess of birth and fertility    | N         | Life, Light       | Cat                               |\n| Heimdall, god of watchfulness and loyalty | LG        | Light, War        | Curling musical horn              |\n| Hel, goddess of the underworld            | NE        | Death             | Woman\'s face, rotting on one side |\n| Hermod, god of luck                       | CN        | Trickery          | Winged scroll                     |\n| Loki, god of thieves and trickery         | CE        | Trickery          | Flame                             |\n| Njord, god of sea and wind                | NG        | Nature, Tempest   | Gold coin                         |\n| Odur, god of light and the sun            | CG        | Light             | Solar disk                        |\n| Sif, goddess of war                       | CG        | War               | Upraised sword                    |\n| Skadi, god of earth and mountains         | N         | Nature            | Mountain peak                     |\n| Surtur, god of fire giants and war        | LE        | War               | Flaming sword                     |\n| Thor, god of storms and thunder           | CG        | Tempest, War      | Hammer                            |\n| Thrym, god of frost giants and cold       | CE        | War               | White double-bladed axe           |\n| Tyr, god of courage and strategy          | LN        | Knowledge, War    | Sword                             |\n| Uller, god of hunting and winter          | CN        | Nature            | Longbow                           |',url = '/api/rule-sections/fantasy-historical-pantheons')
the_planes_of_existence = entry_builder.entry_builder(name = 'The Planes of Existence',index = 'the-planes-of-existence',desc = '## The Planes of Existence\n\nThe cosmos teems with a multitude of worlds as well as myriad alternate dimensions of reality, called the **planes of existence**. It encompasses every world where GMs run their adventures, all within the relatively mundane realm of the Material Plane. Beyond that plane are domains of raw elemental matter and energy, realms of pure thought and ethos, the homes of demons and angels, and the dominions of the gods.\n\nMany spells and magic items can draw energy from these planes, summon the creatures that dwell there, communicate with their denizens, and allow adventurers to travel there. As your character achieves greater power and higher levels, you might walk on streets made of solid fire or test your mettle on a battlefield where the fallen are resurrected with each dawn.\n\n## The Material Plane\n\nThe Material Plane is the nexus where the philosophical and elemental forces that define the other planes collide in the jumbled existence of mortal life and mundane matter. All fantasy gaming worlds exist within the Material Plane, making it the starting point for most campaigns and adventures. The rest of the multiverse is defined in relation to the Material Plane.\n\nThe worlds of the Material Plane are infinitely diverse, for they reflect the creative imagination of the GMs who set their games there, as well as the players whose heroes adventure there. They include magic-wasted desert planets and island-dotted water worlds, worlds where magic combines with advanced technology and others trapped in an endless Stone Age, worlds where the gods walk and places they have abandoned.\n\n## Beyond the Material\n\nBeyond the Material Plane, the various planes of existence are realms of myth and mystery. They\'re not simply other worlds, but different qualities of being, formed and governed by spiritual and elemental principles abstracted from the ordinary world.\n\n### Planar Travel\n\nWhen adventurers travel into other planes of existence, they are undertaking a legendary journey across the thresholds of existence to a mythic destination where they strive to complete their quest. Such a journey is the stuff of legend. Braving the realms of the dead, seeking out the celestial servants of a deity, or bargaining with an efreeti in its home city will be the subject of song and story for years to come.\n\nTravel to the planes beyond the Material Plane can be accomplished in two ways: by casting a spell or by using a planar portal.\n\n***Spells.*** A number of spells allow direct or indirect access to other planes of existence. *Plane shift* and *gate* can transport adventurers directly to any other plane of existence, with different degrees of precision. *Etherealness* allows adventurers to enter the Ethereal Plane and travel from there to any of the planes it touches-such as the Elemental Planes. And the *astral projection* spell lets adventurers project themselves into the Astral Plane and travel to the Outer Planes.\n\n***Portals.*** A portal is a general term for a stationary interplanar connection that links a specific location on one plane to a specific location on another. Some portals are like doorways, a clear window, or a fog-shrouded passage, and simply stepping through it effects the interplanar travel. Others are locations--circles of standing stones, soaring towers, sailing ships, or even whole towns-that exist in multiple planes at once or flicker from one plane to another in turn. Some are vortices, typically joining an Elemental Plane with a very similar location on the Material Plane, such as the heart of a volcano (leading to the Plane of Fire) or the depths of the ocean (to the Plane of Water).\n\n### Transitive Planes\n\nThe Ethereal Plane and the Astral Plane are called the Transitive Planes. They are mostly featureless realms that serve primarily as ways to travel from one plane to another. Spells such as *etherealness* and *astral projection* allow characters to enter these planes and traverse them to reach the planes beyond.\n\nThe **Ethereal Plane** is a misty, fog-bound dimension that is sometimes described as a great ocean. Its shores, called the Border Ethereal, overlap the Material Plane and the Inner Planes, so that every location on those planes has a corresponding location on the Ethereal Plane. Certain creatures can see into the Border Ethereal, and the *see invisibility* and *true seeing* spell grant that ability. Some magical effects also extend from the Material Plane into the Border Ethereal, particularly effects that use force energy such as *forcecage* and *wall of force.* The depths of the plane, the Deep Ethereal, are a region of swirling mists and colorful fogs.\n\nThe **Astral Plane** is the realm of thought and dream, where visitors travel as disembodied souls to reach the planes of the divine and demonic. It is a great, silvery sea, the same above and below, with swirling wisps of white and gray streaking among motes of light resembling distant stars. Erratic whirlpools of color flicker in midair like spinning coins. Occasional bits of solid matter can be found here, but most of the Astral Plane is an endless, open domain.\n\n### Inner Planes\n\nThe Inner Planes surround and enfold the Material Plane and its echoes, providing the raw elemental substance from which all the worlds were made. The four **Elemental Planes**-Air, Earth, Fire, and Water-form a ring around the Material Plane, suspended within the churning **Elemental Chaos**.\n\nAt their innermost edges, where they are closest to the Material Plane (in a conceptual if not a literal geographical sense), the four Elemental Planes resemble a world in the Material Plane. The four elements mingle together as they do in the Material Plane, forming land, sea, and sky. Farther from the Material Plane, though, the Elemental Planes are both alien and hostile. Here, the elements exist in their purest form-great expanses of solid earth, blazing fire, crystal-clear water, and unsullied air. These regions are little-known, so when discussing the Plane of Fire, for example, a speaker usually means just the border region. At the farthest extents of the Inner Planes, the pure elements dissolve and bleed together into an unending tumult of clashing energies and colliding substance, the Elemental Chaos.\n\n### Outer Planes\n\nIf the Inner Planes are the raw matter and energy that makes up the multiverse, the Outer Planes are the direction, thought and purpose for such construction. Accordingly, many sages refer to the Outer Planes as divine planes, spiritual planes, or godly planes, for the Outer Planes are best known as the homes of deities.\n\nWhen discussing anything to do with deities, the language used must be highly metaphorical. Their actual homes are not literally "places" at all, but exemplify the idea that the Outer Planes are realms of thought and spirit. As with the Elemental Planes, one can imagine the perceptible part of the Outer Planes as a sort of border region, while extensive spiritual regions lie beyond ordinary sensory experience.\n\nEven in those perceptible regions, appearances can be deceptive. Initially, many of the Outer Planes appear hospitable and familiar to natives of the Material Plane. But the landscape can change at the whims of the powerful forces that live on the Outer Planes. The desires of the mighty forces that dwell on these planes can remake them completely, effectively erasing and rebuilding existence itself to better fulfill their own needs.\n\nDistance is a virtually meaningless concept on the Outer Planes. The perceptible regions of the planes often seem quite small, but they can also stretch on to what seems like infinity. It might be possible to take a guided tour of the Nine Hells, from the first layer to the ninth, in a single day-if the powers of the Hells desire it. Or it could take weeks for travelers to make a grueling trek across a single layer.\n\nThe most well-known Outer Planes are a group of sixteen planes that correspond to the eight alignments (excluding neutrality) and the shades of distinction between them.\n\n#### Outer Planes\n\nThe planes with some element of good in their nature are called the **Upper Planes**. Celestial creatures such as angels and pegasi dwell in the Upper Planes. Planes with some element of evil are the **Lower Planes**. Fiends such as demons and devils dwell in the Lower Planes. A plane\'s alignment is its essence, and a character whose alignment doesn\'t match the plane\'s experiences a profound sense of dissonance there. When a good creature visits Elysium, for example (a neutral good Upper Plane), it feels in tune with the plane, but an evil creature feels out of tune and more than a little uncomfortable.\n\n#### Demiplanes\n\nDemiplanes are small extradimensional spaces with their own unique rules. They are pieces of reality that don\'t seem to fit anywhere else. Demiplanes come into being by a variety of means. Some are created by spells, such as *demiplane,* or generated at the desire of a powerful deity or other force. They may exist naturally, as a fold of existing reality that has been pinched off from the rest of the multiverse, or as a baby universe growing in power. A given demiplane can be entered through a single point where it touches another plane. Theoretically, a *plane shift* spell can also carry travelers to a demiplane, but the proper frequency required for the tuning fork is extremely hard to acquire. The *gate* spell is more reliable, assuming the caster knows of the demiplane.',url = '/api/rule-sections/the-planes-of-existence')
traps = entry_builder.entry_builder(name = 'Traps',index = 'traps',desc = '## Traps\n\nTraps can be found almost anywhere. One wrong step in an ancient tomb might trigger a series of scything blades, which cleave through armor and bone. The seemingly innocuous vines that hang over a cave entrance might grasp and choke anyone who pushes through them. A net hidden among the trees might drop on travelers who pass underneath. In a fantasy game, unwary adventurers can fall to their deaths, be burned alive, or fall under a fusillade of poisoned darts.\n\nA trap can be either mechanical or magical in nature. **Mechanical traps** include pits, arrow traps, falling blocks, water-filled rooms, whirling blades, and anything else that depends on a mechanism to operate. **Magic traps** are either magical device traps or spell traps. Magical device traps initiate spell effects when activated. Spell traps are spells such as *glyph of warding* and *symbol* that function as traps.\n\n### Traps in Play\n\nWhen adventurers come across a trap, you need to know how the trap is triggered and what it does, as well as the possibility for the characters to detect the trap and to disable or avoid it.\n\n#### Triggering a Trap\n\nMost traps are triggered when a creature goes somewhere or touches something that the trap\'s creator wanted to protect. Common triggers include stepping on a pressure plate or a false section of floor, pulling a trip wire, turning a doorknob, and using the wrong key in a lock. Magic traps are often set to go off when a creature enters an area or touches an object. Some magic traps (such as the *glyph of warding* spell) have more complicated trigger conditions, including a password that prevents the trap from activating.\n\n#### Detecting and Disabling a Trap\n\nUsually, some element of a trap is visible to careful inspection. Characters might notice an uneven flagstone that conceals a pressure plate, spot the gleam of light off a trip wire, notice small holes in the walls from which jets of flame will erupt, or otherwise detect something that points to a trap\'s presence.\n\nA trap\'s description specifies the checks and DCs needed to detect it, disable it, or both. A character actively looking for a trap can attempt a Wisdom (Perception) check against the trap\'s DC. You can also compare the DC to detect the trap with each character\'s passive Wisdom (Perception) score to determine whether anyone in the party notices the trap in passing. If the adventurers detect a trap before triggering it, they might be able to disarm it, either permanently or long enough to move past it. You might call for an Intelligence (Investigation) check for a character to deduce what needs to be done, followed by a Dexterity check using thieves\' tools to perform the necessary sabotage.\n\nAny character can attempt an Intelligence (Arcana) check to detect or disarm a magic trap, in addition to any other checks noted in the trap\'s description. The DCs are the same regardless of the check used. In addition, *dispel magic* has a chance of disabling most magic traps. A magic trap\'s description provides the DC for the ability check made when you use *dispel magic*.\n\nIn most cases, a trap\'s description is clear enough that you can adjudicate whether a character\'s actions locate or foil the trap. As with many situations, you shouldn\'t allow die rolling to override clever play and good planning. Use your common sense, drawing on the trap\'s description to determine what happens. No trap\'s design can anticipate every possible action that the characters might attempt.\n\nYou should allow a character to discover a trap without making an ability check if an action would clearly reveal the trap\'s presence. For example, if a character lifts a rug that conceals a pressure plate, the character has found the trigger and no check is required.\n\nFoiling traps can be a little more complicated. Consider a trapped treasure chest. If the chest is opened without first pulling on the two handles set in its sides, a mechanism inside fires a hail of poison needles toward anyone in front of it. After inspecting the chest and making a few checks, the characters are still unsure if it\'s trapped. Rather than simply open the chest, they prop a shield in front of it and push the chest open at a distance with an iron rod. In this case, the trap still triggers, but the hail of needles fires harmlessly into the shield.\n\nTraps are often designed with mechanisms that allow them to be disarmed or bypassed. Intelligent monsters that place traps in or around their lairs need ways to get past those traps without harming themselves. Such traps might have hidden levers that disable their triggers, or a secret door might conceal a passage that goes around the trap.\n\n#### Trap Effects\n\nThe effects of traps can range from inconvenient to deadly, making use of elements such as arrows, spikes, blades, poison, toxic gas, blasts of fire, and deep pits. The deadliest traps combine multiple elements to kill, injure, contain, or drive off any creature unfortunate enough to trigger them. A trap\'s description specifies what happens when it is triggered.\n\nThe attack bonus of a trap, the save DC to resist its effects, and the damage it deals can vary depending on the trap\'s severity. Use the Trap Save DCs and Attack Bonuses table and the Damage Severity by Level table for suggestions based on three levels of trap severity.\n\nA trap intended to be a **setback** is unlikely to kill or seriously harm characters of the indicated levels, whereas a **dangerous** trap is likely to seriously injure (and potentially kill) characters of the indicated levels. A **deadly** trap is likely to kill characters of the indicated levels.\n\n##### Trap Save DCs and Attack Bonuses\n\n| Trap Danger | Save DC | Attack Bonus |\n|-------------|---------|--------------|\n| Setback     | 10-11   | +3 to +5     |\n| Dangerous   | 12-15   | +6 to +8     |\n| Deadly      | 16-20   | +9 to +12    |\n\n##### Damage Severity by Level\n\n| Character Level | Setback | Dangerous | Deadly |\n|-----------------|---------|-----------|--------|\n| 1st-4th         | 1d10    | 2d10      | 4d10   |\n| 5th-10th        | 2d10    | 4d10      | 10d10  |\n| 11th-16th       | 4d10    | 10d10     | 18d10  |\n| 17th-20th       | 10d10   | 18d10     | 24d10  |\n\n#### Complex Traps\n\nComplex traps work like standard traps, except once activated they execute a series of actions each round. A complex trap turns the process of dealing with a trap into something more like a combat encounter.\n\nWhen a complex trap activates, it rolls initiative. The trap\'s description includes an initiative bonus. On its turn, the trap activates again, often taking an action. It might make successive attacks against intruders, create an effect that changes over time, or otherwise produce a dynamic challenge. Otherwise, the complex trap can be detected and disabled or bypassed in the usual ways.\n\nFor example, a trap that causes a room to slowly flood works best as a complex trap. On the trap\'s turn, the water level rises. After several rounds, the room is completely flooded.\n\n### Sample Traps\n\nThe magical and mechanical traps presented here vary in deadliness and are presented in alphabetical order.\n\n#### Collapsing Roof\n\n*Mechanical trap*\n\nThis trap uses a trip wire to collapse the supports keeping an unstable section of a ceiling in place.\n\nThe trip wire is 3 inches off the ground and stretches between two support beams. The DC to spot the trip wire is 10. A successful DC 15 Dexterity check using thieves\' tools disables the trip wire harmlessly. A character without thieves\' tools can attempt this check with disadvantage using any edged weapon or edged tool. On a failed check, the trap triggers.\n\nAnyone who inspects the beams can easily determine that they are merely wedged in place. As an action, a character can knock over a beam, causing the trap to trigger.\n\nThe ceiling above the trip wire is in bad repair, and anyone who can see it can tell that it\'s in danger of collapse.\n\nWhen the trap is triggered, the unstable ceiling collapses. Any creature in the area beneath the unstable section must succeed on a DC 15 Dexterity saving throw, taking 22 (4d10) bludgeoning damage on a failed save, or half as much damage on a successful one. Once the trap is triggered, the floor of the area is filled with rubble and becomes difficult terrain.\n\n#### Falling Net\n\n*Mechanical trap*\n\nThis trap uses a trip wire to release a net suspended from the ceiling.\n\nThe trip wire is 3 inches off the ground and stretches between two columns or trees. The net is hidden by cobwebs or foliage. The DC to spot the trip wire and net is 10. A successful DC 15 Dexterity check using thieves\' tools breaks the trip wire harmlessly. A character without thieves\' tools can attempt this check with disadvantage using any edged weapon or edged tool. On a failed check, the trap triggers.\n\nWhen the trap is triggered, the net is released, covering a 10-foot-square area. Those in the area are trapped under the net and restrained, and those that fail a DC 10 Strength saving throw are also knocked prone. A creature can use its action to make a DC 10\n\nStrength check, freeing itself or another creature within its reach on a success. The net has AC 10 and 20 hit points. Dealing 5 slashing damage to the net (AC 10) destroys a 5-foot-square section of it, freeing any creature trapped in that section.\n\n#### Fire-Breathing Statue\n\n*Magic trap*\n\nThis trap is activated when an intruder steps on a hidden pressure plate, releasing a magical gout of flame from a nearby statue. The statue can be of anything, including a dragon or a wizard casting a spell.\n\nThe DC is 15 to spot the pressure plate, as well as faint scorch marks on the floor and walls. A spell or other effect that can sense the presence of magic, such as *detect magic*, reveals an aura of evocation magic around the statue.\n\nThe trap activates when more than 20 pounds of weight is placed on the pressure plate, causing the statue to release a 30-foot cone of fire. Each creature in the fire must make a DC 13 Dexterity saving throw, taking 22 (4d10) fire damage on a failed save, or half as much damage on a successful one.\n\nWedging an iron spike or other object under the pressure plate prevents the trap from activating. A successful *dispel magic* (DC 13) cast on the statue destroys the trap.\n\n#### Pits\n\n*Mechanical trap*\n\nFour basic pit traps are presented here.\n\n***Simple Pit.*** A simple pit trap is a hole dug in the ground. The hole is covered by a large cloth anchored on the pit\'s edge and camouflaged with dirt and debris.\n\nThe DC to spot the pit is 10. Anyone stepping on the cloth falls through and pulls the cloth down into the pit, taking damage based on the pit\'s depth (usually 10 feet, but some pits are deeper).\n\n***Hidden Pit***. This pit has a cover constructed from material identical to the floor around it.\n\nA successful DC 15 Wisdom (Perception) check discerns an absence of foot traffic over the section of floor that forms the pit\'s cover. A successful DC 15 Intelligence (Investigation) check is necessary to confirm that the trapped section of floor is actually the cover of a pit.\n\nWhen a creature steps on the cover, it swings open like a trapdoor, causing the intruder to spill into the pit below. The pit is usually 10 or 20 feet deep but can be deeper.\n\nOnce the pit trap is detected, an iron spike or similar object can be wedged between the pit\'s cover and the surrounding floor in such a way as to prevent the cover from opening, thereby making it safe to cross. The cover can also be magically held shut using the *arcane lock* spell or similar magic.\n\n***Locking Pit.*** This pit trap is identical to a hidden pit trap, with one key exception: the trap door that covers the pit is spring-loaded. After a creature falls into the pit, the cover snaps shut to trap its victim inside.\n\nA successful DC 20 Strength check is necessary to pry the cover open. The cover can also be smashed open. A character in the pit can also attempt to disable the spring mechanism from the inside with a DC 15 Dexterity check using thieves\' tools, provided that the mechanism can be reached and the character can see. In some cases, a mechanism (usually hidden behind a secret door nearby) opens the pit.\n\n***Spiked Pit.*** This pit trap is a simple, hidden, or locking pit trap with sharpened wooden or iron spikes at the bottom. A creature falling into the pit takes 11 (2d10) piercing damage from the spikes, in addition to any falling damage. Even nastier versions have poison smeared on the spikes. In that case, anyone taking piercing damage from the spikes must also make a DC 13 Constitution saving throw, taking an 22 (4d10) poison damage on a failed save, or half as much damage on a successful one.\n\n#### Poison Darts\n\n*Mechanical trap*\n\nWhen a creature steps on a hidden pressure plate, poison-tipped darts shoot from spring-loaded or pressurized tubes cleverly embedded in the surrounding walls. An area might include multiple pressure plates, each one rigged to its own set of darts.\n\nThe tiny holes in the walls are obscured by dust and cobwebs, or cleverly hidden amid bas-reliefs, murals, or frescoes that adorn the walls. The DC to spot them is 15. With a successful DC 15 Intelligence (Investigation) check, a character can deduce the presence of the pressure plate from variations in the mortar and stone used to create it, compared to the surrounding floor. Wedging an iron spike or other object under the pressure plate prevents the trap from activating. Stuffing the holes with cloth or wax prevents the darts contained within from launching.\n\nThe trap activates when more than 20 pounds of weight is placed on the pressure plate, releasing four darts. Each dart makes a ranged attack with a +8\n\nbonus against a random target within 10 feet of the pressure plate (vision is irrelevant to this attack roll). (If there are no targets in the area, the darts don\'t hit anything.) A target that is hit takes 2 (1d4) piercing damage and must succeed on a DC 15 Constitution saving throw, taking 11 (2d10) poison damage on a failed save, or half as much damage on a successful one.\n\n#### Poison Needle\n\n*Mechanical trap*\n\nA poisoned needle is hidden within a treasure chest\'s lock, or in something else that a creature might open. Opening the chest without the proper key causes the needle to spring out, delivering a dose of poison.\n\nWhen the trap is triggered, the needle extends 3 inches straight out from the lock. A creature within range takes 1 piercing damage and 11\n(2d10) poison damage, and must succeed on a DC 15 Constitution saving throw or be poisoned for 1 hour.\n\nA successful DC 20 Intelligence (Investigation) check allows a character to deduce the trap\'s presence from alterations made to the lock to accommodate the needle. A successful DC 15 Dexterity check using thieves\' tools disarms the trap, removing the needle from the lock. Unsuccessfully attempting to pick the lock triggers the trap.\n\n#### Rolling Sphere\n\n*Mechanical trap*\n\nWhen 20 or more pounds of pressure are placed on this trap\'s pressure plate, a hidden trapdoor in the ceiling opens, releasing a 10-foot-diameter rolling sphere of solid stone.\n\nWith a successful DC 15 Wisdom (Perception) check, a character can spot the trapdoor and pressure plate. A search of the floor accompanied by a successful DC 15 Intelligence (Investigation) check reveals variations in the mortar and stone that betray the pressure plate\'s presence. The same check made while inspecting the ceiling notes variations in the stonework that reveal the trapdoor. Wedging an iron spike or other object under the pressure plate prevents the trap from activating.\n\nActivation of the sphere requires all creatures present to roll initiative. The sphere rolls initiative with a +8 bonus. On its turn, it moves 60 feet in a straight line. The sphere can move through creatures\' spaces, and creatures can move through its space, treating it as difficult terrain. Whenever the sphere enters a creature\'s space or a creature enters its space while it\'s rolling, that creature must succeed on a DC 15 Dexterity saving throw or take 55 (10d10) bludgeoning damage and be knocked prone.\n\nThe sphere stops when it hits a wall or similar barrier. It can\'t go around corners, but smart dungeon builders incorporate gentle, curving turns into nearby passages that allow the sphere to keep moving.\n\nAs an action, a creature within 5 feet of the sphere can attempt to slow it down with a DC 20 Strength check. On a successful check, the sphere\'s speed is reduced by 15 feet. If the sphere\'s speed drops to 0, it stops moving and is no longer a threat.\n\n#### Sphere of Annihilation\n\n*Magic trap*\n\nMagical, impenetrable darkness fills the gaping mouth of a stone face carved into a wall. The mouth is 2 feet in diameter and roughly circular. No sound issues from it, no light can illuminate the inside of it, and any matter that enters it is instantly obliterated.\n\nA successful DC 20 Intelligence (Arcana) check reveals that the mouth contains a *sphere of annihilation* that can\'t be controlled or moved. It is otherwise identical to a normal *sphere of annihilation*.\n\nSome versions of the trap include an enchantment placed on the stone face, such that specified creatures feel an overwhelming urge to approach it and crawl inside its mouth. This effect is otherwise like the *sympathy* aspect of the *antipathy/sympathy* spell. A successful *dispel magic* (DC 18) removes this enchantment.\n',url = '/api/rule-sections/traps')
diseases = entry_builder.entry_builder(name = 'Diseases',index = 'diseases',desc = '## Diseases\n\nA plague ravages the kingdom, setting the adventurers on a quest to find a cure. An adventurer emerges from an ancient tomb, unopened for centuries, and soon finds herself suffering from a wasting illness. A warlock offends some dark power and contracts a strange affliction that spreads whenever he casts spells.\n\nA simple outbreak might amount to little more than a small drain on party resources, curable by a casting of *lesser restoration*. A more complicated outbreak can form the basis of one or more adventures as characters search for a cure, stop the spread of the disease, and deal with the consequences.\n\nA disease that does more than infect a few party members is primarily a plot device. The rules help describe the effects of the disease and how it can be cured, but the specifics of how a disease works aren\'t bound by a common set of rules. Diseases can affect any creature, and a given illness might or might not pass from one race or kind of creature to another. A plague might affect only constructs or undead, or sweep through a halfling neighborhood but leave other races untouched. What matters is the story you want to tell.\n\n### Sample Diseases\n\nThe diseases here illustrate the variety of ways disease can work in the game. Feel free to alter the saving throw DCs, incubation times, symptoms, and other characteristics of these diseases to suit your campaign.\n\n#### Cackle Fever\n\nThis disease targets humanoids, although gnomes are strangely immune. While in the grips of this disease, victims frequently succumb to fits of mad laughter, giving the disease its common name and its morbid nickname: "the shrieks."\n\nSymptoms manifest 1d4 hours after infection and include fever and disorientation. The infected creature gains one level of exhaustion that can\'t be removed until the disease is cured.\n\nAny event that causes the infected creature great stress-including entering combat, taking damage, experiencing fear, or having a nightmare-forces the creature to make a DC 13 Constitution saving throw. On a failed save, the creature takes 5 (1d10) psychic damage and becomes incapacitated with mad laughter for 1 minute. The creature can repeat the saving throw at the end of each of its turns, ending the mad laughter and the incapacitated condition on a success.\n\nAny humanoid creature that starts its turn within 10 feet of an infected creature in the throes of mad laughter must succeed on a DC 10 Constitution saving throw or also become infected with the disease. Once a creature succeeds on this save, it is immune to the mad laughter of that particular infected creature for 24 hours.\n\nAt the end of each long rest, an infected creature can make a DC 13 Constitution saving throw. On a successful save, the DC for this save and for the save to avoid an attack of mad laughter drops by 1d6. When the saving throw DC drops to 0, the creature recovers from the disease. A creature that fails three of these saving throws gains a randomly determined form of indefinite madness, as described later in this chapter.\n\n#### Sewer Plague\n\nSewer plague is a generic term for a broad category of illnesses that incubate in sewers, refuse heaps, and stagnant swamps, and which are sometimes transmitted by creatures that dwell in those areas, such as rats and otyughs.\n\nWhen a humanoid creature is bitten by a creature that carries the disease, or when it comes into contact with filth or offal contaminated by the disease, the creature must succeed on a DC 11 Constitution saving throw or become infected.\n\nIt takes 1d4 days for sewer plague\'s symptoms to manifest in an infected creature. Symptoms include fatigue and cramps. The infected creature suffers one level of exhaustion, and it regains only half the normal number of hit points from spending Hit Dice and no hit points from finishing a long rest.\n\nAt the end of each long rest, an infected creature must make a DC 11 Constitution saving throw. On a failed save, the character gains one level of exhaustion. On a successful save, the character\'s exhaustion level decreases by one level. If a successful saving throw reduces the infected creature\'s level of exhaustion below 1, the creature recovers from the disease.\n\n#### Sight Rot\n\nThis painful infection causes bleeding from the eyes and eventually blinds the victim.\n\nA beast or humanoid that drinks water tainted by sight rot must succeed on a DC 15 Constitution saving throw or become infected. One day after infection, the creature\'s vision starts to become blurry. The creature takes a -1 penalty to attack rolls and ability checks that rely on sight. At the end of each long rest after the symptoms appear, the penalty worsens by 1. When it reaches -5, the victim is blinded until its sight is restored by magic such as *lesser restoration* or *heal*.\n\nSight rot can be cured using a rare flower called Eyebright, which grows in some swamps. Given an hour, a character who has proficiency with an herbalism kit can turn the flower into one dose of ointment. Applied to the eyes before a long rest, one dose of it prevents the disease from worsening after that rest. After three doses, the ointment cures the disease entirely.\n',url = '/api/rule-sections/diseases')
madness = entry_builder.entry_builder(name = 'Madness',index = 'madness',desc = '## Madness\n\nIn a typical campaign, characters aren\'t driven mad by the horrors they face and the carnage they inflict day after day, but sometimes the stress of being an adventurer can be too much to bear. If your campaign has a strong horror theme, you might want to use madness as a way to reinforce that theme, emphasizing the extraordinarily horrific nature of the threats the adventurers face.\n\n### Going Mad\n\nVarious magical effects can inflict madness on an otherwise stable mind. Certain spells, such as *contact other plane* and *symbol*, can cause insanity, and you can use the madness rules here instead of the spell effects of those spells*.* Diseases, poisons, and planar effects such as psychic wind or the howling winds of Pandemonium can all inflict madness. Some artifacts can also break the psyche of a character who uses or becomes attuned to them.\n\nResisting a madness-inducing effect usually requires a Wisdom or Charisma saving throw.\n\n### Madness Effects\n\nMadness can be short-term, long-term, or indefinite. Most relatively mundane effects impose short-term madness, which lasts for just a few minutes. More horrific effects or cumulative effects can result in long-term or indefinite madness.\n\nA character afflicted with **short-term madness** is subjected to an effect from the Short-Term Madness table for 1d10 minutes.\n\nA character afflicted with **long-term madness** is subjected to an effect from the Long-Term Madness table for 1d10 × 10 hours.\n\nA character afflicted with **indefinite madness** gains a new character flaw from the Indefinite Madness table that lasts until cured.\n\n#### Short-Term Madness\n\n| d100   | Effect (lasts 1d10 minutes)                                                                                                  |\n|--------|------------------------------------------------------------------------------------------------------------------------------|\n| 01-20  | The character retreats into his or her mind and becomes paralyzed. The effect ends if the character takes any damage.        |\n| 21-30  | The character becomes incapacitated and spends the duration screaming, laughing, or weeping.                                 |\n| 31-40  | The character becomes frightened and must use his or her action and movement each round to flee from the source of the fear. |\n| 41-50  | The character begins babbling and is incapable of normal speech or spellcasting.                                             |\n| 51-60  | The character must use his or her action each round to attack the nearest creature.                                          |\n| 61-70  | The character experiences vivid hallucinations and has disadvantage on ability checks.                                       |\n| 71-75  | The character does whatever anyone tells him or her to do that isn\'t obviously self-destructive.                            |\n| 76-80  | The character experiences an overpowering urge to eat something strange such as dirt, slime, or offal.                       |\n| 81-90  | The character is stunned.                                                                                                    |\n| 91-100 | The character falls unconscious.                                                                                             |\n\n#### Long-Term Madness\n\n| d100   | Effect (lasts 1d10 × 10 hours)                                                                                                                                                                                                       |\n|--------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|\n| 01-10  | The character feels compelled to repeat a specific activity over and over, such as washing hands, touching things, praying, or counting coins.                                                                                       |\n| 11-20  | The character experiences vivid hallucinations and has disadvantage on ability checks.                                                                                                                                               |\n| 21-30  | The character suffers extreme paranoia. The character has disadvantage on Wisdom and Charisma checks.                                                                                                                                |\n| 31-40  | The character regards something (usually the source of madness) with intense revulsion, as if affected by the antipathy effect of the antipathy/sympathy spell.                                                                      |\n| 41-45  | The character experiences a powerful delusion. Choose a potion. The character imagines that he or she is under its effects.                                                                                                          |\n| 46-55  | The character becomes attached to a "lucky charm," such as a person or an object, and has disadvantage on attack rolls, ability checks, and saving throws while more than 30 feet from it.                                           |\n| 56-65  | The character is blinded (25%) or deafened (75%).                                                                                                                                                                                    |\n| 66-75  | The character experiences uncontrollable tremors or tics, which impose disadvantage on attack rolls, ability checks, and saving throws that involve Strength or Dexterity.                                                           |\n| 76-85  | The character suffers from partial amnesia. The character knows who he or she is and retains racial traits and class features, but doesn\'t recognize other people or remember anything that happened before the madness took effect. |\n| 86-90  | Whenever the character takes damage, he or she must succeed on a DC 15 Wisdom saving throw or be affected as though he or she failed a saving throw against the confusion spell. The confusion effect lasts for 1 minute.            |\n| 91-95  | The character loses the ability to speak.                                                                                                                                                                                            |\n| 96-100 | The character falls unconscious. No amount of jostling or damage can wake the character.                                                                                                                                             |\n\n#### Indefinite Madness\n\n| d100   | Flaw (lasts until cured)                                                                                                                 |\n|--------|------------------------------------------------------------------------------------------------------------------------------------------|\n| 01-15  | "Being drunk keeps me sane."                                                                                                             |\n| 16-25  | "I keep whatever I find."                                                                                                                |\n| 26-30  | "I try to become more like someone else I know-adopting his or her style of dress, mannerisms, and name."                                |\n| 31-35  | "I must bend the truth, exaggerate, or outright lie to be interesting to other people."                                                  |\n| 36-45  | "Achieving my goal is the only thing of interest to me, and I\'ll ignore everything else to pursue it."                                   |\n| 46-50  | "I find it hard to care about anything that goes on around me."                                                                          |\n| 51-55  | "I don\'t like the way people judge me all the time."                                                                                     |\n| 56-70  | "I am the smartest, wisest, strongest, fastest, and most beautiful person I know."                                                       |\n| 71-80  | "I am convinced that powerful enemies are hunting me, and their agents are everywhere I go. I am sure they\'re watching me all the time." |\n| 81-85  | "There\'s only one person I can trust. And only I can see this special friend."                                                           |\n| 86-95  | "I can\'t take anything seriously. The more serious the situation, the funnier I find it."                                                |\n| 96-100 | "I\'ve discovered that I really like killing people."                                                                                     |\n\n### Curing Madness\n\nA *calm emotions* spell can suppress the effects of madness, while a *lesser restoration* spell can rid a character of a short-term or long-term madness. Depending on the source of the madness, *remove curse* or *dispel evil* might also prove effective. A *greater restoration* spell or more powerful magic is required to rid a character of indefinite madness.\n',url = '/api/rule-sections/madness')
