from . import entry_builder
entries = ['acrobatics', 'animal_handling', 'arcana', 'athletics', 'deception', 'history', 'insight', 'intimidation', 'investigation', 'medicine', 'nature', 'perception', 'performance', 'persuasion', 'religion', 'sleight_of_hand', 'stealth', 'survival']
attributes = ['index', 'name', 'desc', 'ability_score', 'url']
acrobatics = entry_builder.entry_builder(index = 'acrobatics',name = 'Acrobatics',desc = ["Your Dexterity (Acrobatics) check covers your attempt to stay on your feet in a tricky situation, such as when you're trying to run across a sheet of ice, balance on a tightrope, or stay upright on a rocking ship's deck. The GM might also call for a Dexterity (Acrobatics) check to see if you can perform acrobatic stunts, including dives, rolls, somersaults, and flips."],ability_score = {'index': 'dex', 'name': 'DEX', 'url': '/api/ability-scores/dex'},url = '/api/skills/acrobatics')
animal_handling = entry_builder.entry_builder(index = 'animal-handling',name = 'Animal Handling',desc = ["When there is any question whether you can calm down a domesticated animal, keep a mount from getting spooked, or intuit an animal's intentions, the GM might call for a Wisdom (Animal Handling) check. You also make a Wisdom (Animal Handling) check to control your mount when you attempt a risky maneuver."],ability_score = {'index': 'wis', 'name': 'WIS', 'url': '/api/ability-scores/wis'},url = '/api/skills/animal-handling')
arcana = entry_builder.entry_builder(index = 'arcana',name = 'Arcana',desc = ['Your Intelligence (Arcana) check measures your ability to recall lore about spells, magic items, eldritch symbols, magical traditions, the planes of existence, and the inhabitants of those planes.'],ability_score = {'index': 'int', 'name': 'INT', 'url': '/api/ability-scores/int'},url = '/api/skills/arcana')
athletics = entry_builder.entry_builder(index = 'athletics',name = 'Athletics',desc = ['Your Strength (Athletics) check covers difficult situations you encounter while climbing, jumping, or swimming.'],ability_score = {'index': 'str', 'name': 'STR', 'url': '/api/ability-scores/str'},url = '/api/skills/athletics')
deception = entry_builder.entry_builder(index = 'deception',name = 'Deception',desc = ["Your Charisma (Deception) check determines whether you can convincingly hide the truth, either verbally or through your actions. This deception can encompass everything from misleading others through ambiguity to telling outright lies. Typical situations include trying to fast- talk a guard, con a merchant, earn money through gambling, pass yourself off in a disguise, dull someone's suspicions with false assurances, or maintain a straight face while telling a blatant lie."],ability_score = {'index': 'cha', 'name': 'CHA', 'url': '/api/ability-scores/cha'},url = '/api/skills/deception')
history = entry_builder.entry_builder(index = 'history',name = 'History',desc = ['Your Intelligence (History) check measures your ability to recall lore about historical events, legendary people, ancient kingdoms, past disputes, recent wars, and lost civilizations.'],ability_score = {'index': 'int', 'name': 'INT', 'url': '/api/ability-scores/int'},url = '/api/skills/history')
insight = entry_builder.entry_builder(index = 'insight',name = 'Insight',desc = ["Your Wisdom (Insight) check decides whether you can determine the true intentions of a creature, such as when searching out a lie or predicting someone's next move. Doing so involves gleaning clues from body language, speech habits, and changes in mannerisms."],ability_score = {'index': 'wis', 'name': 'WIS', 'url': '/api/ability-scores/wis'},url = '/api/skills/insight')
intimidation = entry_builder.entry_builder(index = 'intimidation',name = 'Intimidation',desc = ['When you attempt to influence someone through overt threats, hostile actions, and physical violence, the GM might ask you to make a Charisma (Intimidation) check. Examples include trying to pry information out of a prisoner, convincing street thugs to back down from a confrontation, or using the edge of a broken bottle to convince a sneering vizier to reconsider a decision.'],ability_score = {'index': 'cha', 'name': 'CHA', 'url': '/api/ability-scores/cha'},url = '/api/skills/intimidation')
investigation = entry_builder.entry_builder(index = 'investigation',name = 'Investigation',desc = ['When you look around for clues and make deductions based on those clues, you make an Intelligence (Investigation) check. You might deduce the location of a hidden object, discern from the appearance of a wound what kind of weapon dealt it, or determine the weakest point in a tunnel that could cause it to collapse. Poring through ancient scrolls in search of a hidden fragment of knowledge might also call for an Intelligence (Investigation) check.'],ability_score = {'index': 'int', 'name': 'INT', 'url': '/api/ability-scores/int'},url = '/api/skills/investigation')
medicine = entry_builder.entry_builder(index = 'medicine',name = 'Medicine',desc = ['A Wisdom (Medicine) check lets you try to stabilize a dying companion or diagnose an illness.'],ability_score = {'index': 'wis', 'name': 'WIS', 'url': '/api/ability-scores/wis'},url = '/api/skills/medicine')
nature = entry_builder.entry_builder(index = 'nature',name = 'Nature',desc = ['Your Intelligence (Nature) check measures your ability to recall lore about terrain, plants and animals, the weather, and natural cycles.'],ability_score = {'index': 'int', 'name': 'INT', 'url': '/api/ability-scores/int'},url = '/api/skills/nature')
perception = entry_builder.entry_builder(index = 'perception',name = 'Perception',desc = ['Your Wisdom (Perception) check lets you spot, hear, or otherwise detect the presence of something. It measures your general awareness of your surroundings and the keenness of your senses. For example, you might try to hear a conversation through a closed door, eavesdrop under an open window, or hear monsters moving stealthily in the forest. Or you might try to spot things that are obscured or easy to miss, whether they are orcs lying in ambush on a road, thugs hiding in the shadows of an alley, or candlelight under a closed secret door.'],ability_score = {'index': 'wis', 'name': 'WIS', 'url': '/api/ability-scores/wis'},url = '/api/skills/perception')
performance = entry_builder.entry_builder(index = 'performance',name = 'Performance',desc = ['Your Charisma (Performance) check determines how well you can delight an audience with music, dance, acting, storytelling, or some other form of entertainment.'],ability_score = {'index': 'cha', 'name': 'CHA', 'url': '/api/ability-scores/cha'},url = '/api/skills/performance')
persuasion = entry_builder.entry_builder(index = 'persuasion',name = 'Persuasion',desc = ['When you attempt to influence someone or a group of people with tact, social graces, or good nature, the GM might ask you to make a Charisma (Persuasion) check. Typically, you use persuasion when acting in good faith, to foster friendships, make cordial requests, or exhibit proper etiquette. Examples of persuading others include convincing a chamberlain to let your party see the king, negotiating peace between warring tribes, or inspiring a crowd of townsfolk.'],ability_score = {'index': 'cha', 'name': 'CHA', 'url': '/api/ability-scores/cha'},url = '/api/skills/persuasion')
religion = entry_builder.entry_builder(index = 'religion',name = 'Religion',desc = ['Your Intelligence (Religion) check measures your ability to recall lore about deities, rites and prayers, religious hierarchies, holy symbols, and the practices of secret cults.'],ability_score = {'index': 'int', 'name': 'INT', 'url': '/api/ability-scores/int'},url = '/api/skills/religion')
sleight_of_hand = entry_builder.entry_builder(index = 'sleight-of-hand',name = 'Sleight of Hand',desc = ["Whenever you attempt an act of legerdemain or manual trickery, such as planting something on someone else or concealing an object on your person, make a Dexterity (Sleight of Hand) check. The GM might also call for a Dexterity (Sleight of Hand) check to determine whether you can lift a coin purse off another person or slip something out of another person's pocket."],ability_score = {'index': 'dex', 'name': 'DEX', 'url': '/api/ability-scores/dex'},url = '/api/skills/sleight-of-hand')
stealth = entry_builder.entry_builder(index = 'stealth',name = 'Stealth',desc = ['Make a Dexterity (Stealth) check when you attempt to conceal yourself from enemies, slink past guards, slip away without being noticed, or sneak up on someone without being seen or heard.'],ability_score = {'index': 'dex', 'name': 'DEX', 'url': '/api/ability-scores/dex'},url = '/api/skills/stealth')
survival = entry_builder.entry_builder(index = 'survival',name = 'Survival',desc = ['The GM might ask you to make a Wisdom (Survival) check to follow tracks, hunt wild game, guide your group through frozen wastelands, identify signs that owlbears live nearby, predict the weather, or avoid quicksand and other natural hazards.'],ability_score = {'index': 'wis', 'name': 'WIS', 'url': '/api/ability-scores/wis'},url = '/api/skills/survival')
